2009-04-17  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* evince.doap: Added project description.

2009-04-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/main.c: (main):

	Change process working directory to $HOME so that we don't prevent
	unmounting in case the initial cwd is on an external device. Fixes
	bug #575436.
	
2009-04-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_create_tmp_symlink):

	Use g_file_make_symbolic_link to create symlinks. Patch by Hib
	Eris. See bug #339172.
	
2009-04-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* properties/ev-properties-main.c: (ev_properties_get_pages):

	Create and load the document based on the mime-type provided by
	nautilus instead of using our own documents factory. Fixes bug
	#533917.
	
2009-04-09  Benjamin Berg  <benjamin@sipsolutions.net>

	* backend/tiff/tiff-document.c: (tiff_document_render):
	Fix tiff pixel conversion on big endian machines. Fixes bug #509920.

2009-04-09  Benjamin Berg  <benjamin@sipsolutions.net>

	* backend/dvi/cairo-device.c: (dvi_cairo_put_pixel):
	Fix output on big endian machines. Fixes bug #578433.

2009-04-08  Dan Winship  <danw@gnome.org>
	* cut-n-paste/smclient/eggsmclient-xsmp.c (save_state):
	
	Fix the .desktop-file-as-state-file case;
	egg_desktop_file_get_source() returns a URI, not a filename.

2009-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/Makefile.am:
	* cut-n-paste/evmountoperation/*: Removed
	* po/POTFILES.in:
	* shell/Makefile.am:
	* shell/ev-print-operation.c:
	* shell/ev-window.c: (window_open_file_copy_ready_cb),
	(ev_window_cmd_help_contents), (launch_action),
	(launch_external_uri):

	Bump GTK+ requirement to 2.14.
	
2009-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (window_open_file_copy_ready_cb),
	(reload_remote_copy_ready_cb), (window_save_file_copy_ready_cb):

	Use g_error_matches() instead of manually check error code and
	domain.
	
2009-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_clear_temp_symlink),
	(ev_window_dispose):

	Delete the temp symlink created when opening a copy.
	
2009-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* po/POTFILES.in:

	Add previewer files to POTFILES.in.
	
2009-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* previewer/ev-previewer.c: (ev_previewer_unlink_tempfile),
	(main):

	Delete the print settings file.
	
2009-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/evince-ui.xml:
	* shell/ev-application.[ch]: (ev_application_open_uri_at_dest),
	(ev_application_open_uri), (ev_application_open_uri_list):
	* shell/ev-print-operation.c: (export_print_done):
	* shell/ev-window.[ch]: (ev_window_setup_action_sensitivity),
	(update_chrome_visibility), (ev_window_clear_local_uri),
	(ev_window_load_job_cb), (window_open_file_copy_ready_cb),
	(ev_window_open_uri), (ev_window_cmd_file_open_copy_at_dest),
	(ev_window_cmd_recent_file_activate),
	(ev_window_open_recent_action_item_activated),
	(ev_window_dispose), (open_remote_link):
	* shell/main.c: (launch_previewer), (arguments_parse), (main):

	Remove the preview mode from EvWindow. EvPrintOperation now 
	launches evince-previewer. The preview mode command line options
	have not been removed to keep backwards compatibility, launching
	evince-previewer when evince is run in preview mode.
	
2009-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* Makefile.am:
	* data/Makefile.am:
	* previewer/Makefile.am:
	* previewer/ev-previewer-window.[ch]:
	* previewer/ev-previewer.c:

	Add evince-previewer as a separate applicaton that implements the
	preview mode.
	
2009-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* Makefile.am:
	* po/POTFILES.in:
	* shell/Makefile.am:
	* shell/ev-page-action-widget.[ch]:
	* shell/ev-page-action.[ch]:
	* shell/ev-stock-icons.[ch]:
	* shell/ev-application.c:
	* shell/main.c:
	* libmisc/Makefile.am:
	* libmisc/ev-page-action-widget.[ch]:
	* libmisc/ev-page-action.[ch]:
	* libmisc/ev-stock-icons.[ch]:

	Move EvPageAction and EvStockIcons from shell to a new internal
	library (libevmisc) that will be used by the evince previewer too.
	
2009-04-08  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/tiff/tiff2ps.c (tiff2ps_context_new):
	
	Fixes memory leak. Bug #578285.
	
2009-04-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libview/ev-view.[ch]: (ev_view_set_zoom),
	(ev_view_update_view_size):
	* shell/ev-window.c: (ev_window_set_view_size),
	(ev_window_sizing_mode_changed_cb), (ev_window_init):

	Move ev_view_update_view_size() from libview to ev-window again
	and make sure the view is not redrawn when calling
	ev_view_set_zoom more than once with the same zoom scale.

2009-04-05  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c:

	Follow up to bug #539972. Alt+Arrows conflict with
	view scrolling, changed it to Ctrl+Arrows.

2009-04-05  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-print-operation.c (clamp_ranges),
	(ev_print_operation_export_print_dialog_response_cb):
	* test/Makefile.am:
	* test/test7.py:
	
	Patch by Juanjo Marín <juanj.marin@juntadeandalucia.es> to fix
	the bug 517735. Fixes preview of the empty selection.

2009-04-01  Christian Persch  <chpe@gnome.org>

	* data/evince.desktop.in.in: Direct bug-buddy bugs to the
	BugBuddyBugs component.

2009-04-01  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-application.c (ev_application_init):
	
	Set proper path to saved accels file. Fixes bug #577500.

2009-03-30  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* libview/ev-transition-animation.c:
	(ev_transition_animation_paint), (ev_transition_animation_ready):

	Animation is ready only when origin surface is ready. This fixes
	fading animations because otherwise next page is displayed 
	before animaiton starts.

2009-03-26  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* test/Makefile.am:
	* test/test6.py:
	
	Added a test to check printing and a size of the file.

2009-03-24  Christian Persch  <chpe@gnome.org>

	* cut-n-paste/smclient/eggdesktopfile.c:
	(egg_desktop_file_launchv), (egg_set_desktop_file):
	* cut-n-paste/smclient/eggsmclient.c:
	(egg_sm_client_get_option_group): Update smclient from libegg master.

2009-03-19  Christian Persch  <chpe@gnome.org>

	* shell/ev-window.c: (ev_window_cmd_save_as),
	(ev_window_cmd_file_close_window),
	(ev_view_popup_cmd_save_image_as),
	(ev_attachment_popup_cmd_save_attachment_as): Set alternative button
	order for dialogues.

2009-03-19  Christian Persch  <chpe@gnome.org>

	Bug 575085 – titles not translated in the nautilus tab

	* properties/ev-properties-view.c: (set_property): Translate the
	categories.

2009-03-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Updated for release 2.26.0
	
2009-03-05  Tobias Mueller  <tobiasmue@svn.gnome.org>

	* properties/ev-properties-view.c:
	(ev_properties_view_format_date): Make the fixed sized string a 
	semantically correct const char[] instead of a const char* to fix 
	a compiler warning if built with -Wformat.
	** Fixes bug 574168

2009-03-03  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-document-factory.c:
	(ev_document_factory_get_document): If the document is encrypted,
	the ev_document_factory_get_document() is supposed to return the
        document *and* fill in the error. So let's propagate the local error.

2009-03-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:

	Update for release 2.25.92.
	
2009-03-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libview/ev-view.c: (ev_view_goto_window_create):

	Show the 'jump to page' window in the right GdkScreen. Fixes bug
	#560541.
	
2009-03-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_set_document),
	(ev_window_reload_job_cb):

	Do not lose page position when reloading. Fixes bug #573091.
	
2009-03-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (make_thumbnail_for_page),
	(pdf_document_thumbnails_get_thumbnail),
	(pdf_document_thumbnails_get_dimensions):

	Make our own thumbnail when the provided one doesn't have the size
	we need. Based on patch and feedback by Christian Spurk. Fixes
	bugs #323198 and #307357.
	
2009-02-27   Christian Spurk  <mail@code.chriki.de>

	* thumbnailer/evince-thumbnailer.c: (main):

	Reduce the restriction on the minimum size of thumbnails from 40
	to 1. See bug #323198.
	
2009-02-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* thumbnailer/evince-thumbnailer.c: (print_usage), (main):

	Use GOption in thumbnailer.
	
2009-02-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_save),
	(pdf_document_forms_form_field_text_set_text),
	(pdf_document_forms_form_field_button_set_state),
	(pdf_document_forms_form_field_choice_select_item),
	(pdf_document_forms_form_field_choice_toggle_item),
	(pdf_document_forms_form_field_choice_unselect_all),
	(pdf_document_forms_form_field_choice_set_text):

	Use poppler_document_save_a_copy(), which never saves the document
	modifications, when saving an unmodified document. It makes saving
	a copy of encrypted PDFs work again. Fixes bug #566791.
	
2009-02-18  Christian Persch  <chpe@gnome.org>

	* backend/djvu/djvu-document.c: (ev_djvu_error_quark):
	Don't use g_quark_from_static_string in a loadable module!

2009-02-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Update for release 2.25.91
	
2009-02-16  Thomas H.P. Andersen  <phomes@gmail.com>

	* backend/impress/r_gradient.c: (r_draw_gradient): Replace deprecated 
	GTK symbol in commented out code. Bug #571707

2009-02-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:

	Update for release 2.25.91.
	
2009-02-16  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-file-helpers.c: (get_mime_type_from_uri): Fix a freed
	memory read.

2009-02-15  Christian Persch  <chpe@gnome.org>

	* backend/dvi/dvi-document.c: (hsb2rgb): Fix signed/unsigned compiler
        warnings.

2009-02-15  Christian Persch  <chpe@gnome.org>

	* libdocument/Makefile.am:
	* libview/Makefile.am: Rename GIRs to EvinceDocument/EvinceView.

2009-02-15  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-document-type-builtins.c.template:
	* libview/ev-view-type-builtins.c.template: Use g_intern_static_string.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* backend/impress/impress-document.c: (impress_document_save):
        Fill in the error.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-document.c: (ev_document_load): Add code to catch
	backends incorrectly implementing the load vfunc.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-document-factory.c:
	(ev_document_factory_get_document): Use a local GError, and propagate
	as appropriate, making sure always to fill in @error if returning NULL.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* shell/ev-window.c: (ev_window_load_job_cb): Use g_error_matches.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* backend/pdf/ev-poppler.cc: Plug a mem leak.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* backend/dvi/dvi-document.c: (dvi_document_load): Don't overwite
	an error.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* backend/djvu/djvu-document.c: (djvu_document_load): Make sure
	to always set @error when returning FALSE. Fix a typo.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* backend/tiff/tiff-document.c: (tiff_document_load): Make sure
	to always set @error when returning FALSE.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* backend/comics/comics-document.c: (comics_document_load): Make sure
	to always set @error when returning FALSE.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* backend/impress/impress-document.c: (impress_document_load): Plug a
	mem leak.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* backend/impress/impress-document.c: (impress_document_load): Don't
	overwrite an error.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-document.c: (ev_document_info_copy): Remove
	unnecessary NULL check; g_strdup() is NULL-safe.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-document-factory.c: (get_document_from_uri): Document
	that this returns either NULL and fills in error, or non-NULL. Use a
	local GError so we can reliably check it.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-document-factory.c: (get_document_from_uri): Use the
	content type to get the description, not the MIME type.

2009-02-14  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-file-helpers.c: (compression_run): Make sure to fill
	in @error on failure. Also, since this is exported in public APIs,
	cope with the passed-in GError** being NULL.

2009-02-13  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-file-helpers.c: (get_mime_type_from_uri): NULL
	safety.
	(get_mime_type_from_data): Return the MIME type, not the content type.

2009-02-13  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-file-helpers.c: (get_mime_type_from_data): Don't leak
	the input stream.

2009-02-13  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-file-helpers.c: (get_mime_type_from_data): Propagate
	all errors upwards.

2009-02-13  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-file-helpers.c: (get_mime_type_from_data): Don't use
	more bytes from buffer than were read from the file.

2009-02-15  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* properties/ev-properties-view.c (set_property):
	
	Fixes bug #571787.

2009-02-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/eggfindbar.c: (egg_find_bar_init):

	Use gtk_tool_button_set_use_underline() for next/previous buttons
	so that the underline is used for the mnemonic. Fixes bug #571547.
	
2009-02-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (setup_document_from_metadata),
	(setup_sidebar_from_metadata), (setup_document_from_metadata),
	(setup_view_from_metadata), (ev_window_set_document),
	(ev_window_load_job_cb), (ev_window_reload_job_cb),
	(ev_window_reload_remote), (ev_window_init):

	Do not use metadata when reloading the document, so that the
	window is not resized when reloading. See bugs #571051 and
	#304249.
	
2009-02-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/smclient/Makefile.am:

	Fix smclient libs on cycgwin. See bug #339172.
	
2009-02-08  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* libdocument/Makefile.am:
	* libview/Makefile.am: Add experimental introspection support.
	Disabled by default; use --enable-introspection to enable it.
	Bug #569083.

2009-02-08  Christian Persch  <chpe@gnome.org>

	* libview/Makefile.am: Link libevdocument.la to libevview.la.

2009-02-05  Christian Persch  <chpe@gnome.org>

	* backend/comics/comics-document.c: (comics_document_load):
	* backend/djvu/djvu-document.c: (djvu_document_load):
	* backend/dvi/dvi-document.c: (dvi_document_load):
	* backend/impress/impress-document.c: (impress_document_load):
	* backend/pdf/ev-poppler.cc:
	* libdocument/ev-document-factory.c: (get_document_from_uri),
	(ev_document_factory_get_document):
	* shell/ev-print-operation.c:
	(ev_print_operation_export_print_dialog_response_cb): Use
	g_set_error_literal now that we depend on glib 2.18.

2009-02-05  Hib Eris  <hib@hiberis.nl>

	* shell/ev-application.c:

	Include gdkx.h only with X11. See bug #339172.
	
2009-02-05  Hib Eris  <hib@hiberis.nl>

	* backend/pdf/pdfdocument.evince-backend.in:

	Add application/x-ext-pdf mime type for pdf backend. See bug
	#339172.
	
2009-02-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/smclient/Makefile.am:
	* cut-n-paste/smclient/eggdesktopfile.c:
	* cut-n-paste/smclient/eggsmclient-win32.c:
	* shell/main.c:

	Make session manager code compile for w32. These changes have been
	taken from upstream libegg. Based on patch by Hib Eris. See bug
	#339172.
	
2009-02-05  Hib Eris  <hib@hiberis.nl>

	* cut-n-paste/totem-screensaver/totem-scrsaver.c:

	Make screensaver code compile for w32. These changes have been
	copied from upstream totem. See bug #339172.
	
2009-02-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* shell/ev-window.c: (ev_window_setup_action_sensitivity):

	Make use of GConf optional. Based on patch by Hib Eris. See bug
	#339172.
	
2009-02-04  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-init.c: (ev_init): Make ev_init() also bind the
	evince gettext domain, so i18n works in the library.

	* properties/ev-properties-main.c: (nautilus_module_initialize):
	Remove extra bindtextdomain call.

2009-02-04  Christian Persch  <chpe@gnome.org>

	* backend/comics/comics-document.c:
	* backend/djvu/djvu-document.c:
	* backend/dvi/dvi-document.c:
	* backend/impress/impress-document.c:
	* backend/pdf/ev-poppler.cc:
	* backend/pixbuf/pixbuf-document.c:
	* backend/ps/ev-spectre.c:
	* backend/tiff/tiff-document.c:
	* libdocument/ev-attachment.c:
	* libdocument/ev-document-factory.c:
	* libview/ev-jobs.c:
	* libview/ev-view-accessible.c:
	* libview/ev-view.c:
	* properties/ev-properties-view.c: Include gi18n-lib.h instead of
	gi18n.h.

2009-02-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Update for release 2.25.90
	
2009-02-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/zoom-control/ephy-zoom-control.c:
	(ephy_zoom_control_finalize), (ephy_zoom_control_class_init):

	Remove the old tooltips code and use G_DEFINE_TYPE().
	
2009-02-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* help/reference/Makefile.am:
	* help/reference/libdocument/Makefile.am:
	* help/reference/libdocument/libevdocument-docs.sgml:
	* help/reference/libdocument/libevdocument.types:
	* help/reference/libdocument/version.xml.in:
	* help/reference/libview/Makefile.am:
	* help/reference/libview/libevview-docs.sgml:
	* help/reference/libview/libevview.types:
	* help/reference/libview/version.xml.in:
	* help/reference/shell/Makefile.am:
	* help/reference/shell/evince-docs.sgml:
	* help/reference/shell/evince.types:
	* help/reference/shell/tmpl/dummy.sgml:
	* help/reference/shell/version.xml.in:

	Split API documentation into libdocument, libview and
	shell. Required gtk-doc files has been added, but API docs still
	need to be completed and improved. Fixes bug #568465.
	
2009-02-01  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-document.h: Don't make GTypeInfo static. Bug #570077.

2009-02-01  Christian Persch  <chpe@gnome.org>

	* backend/Makefile.am:
	A backend/backend.symbols:
	* configure.ac: Only export the backend module entry point. Bug
	#569998.

2009-02-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/eggfindbar.c: (egg_find_bar_init):

	Add mnemonics to buttons in search bar. Fixes bug #569212.
	
2009-02-01  Carlos Garcia Campos  <carlosgc@gnome.org>
	
	* shell/ev-print-operation.c:
	(ev_print_operation_export_print_dialog_response_cb):

	Make sure pages_per_sheet is always >= 1. Fixes bug #569328.
	
2009-02-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (ev_link_dest_from_dest):

	Clamp top/bottom values of destinations to make sure they are not
	bigger than the page height. Fixes bug #569327.
	
2009-02-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-debug.h:

	Fix build when debug mode is disabled.
	
2009-01-30  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-backends-manager.c: (ev_backends_manager_load): Make
	this return TRUE only if any backends were loaded, so the ev_init()
	function works as documented.

2009-01-30  Christian Persch  <chpe@gnome.org>

	* evince-document.h:
	* libdocument/Makefile.am:
	A libdocument/ev-init.[ch]: Add single init/shutdown method. Bug
	#569117.

	* libdocument/ev-backends-manager.c: (_ev_backends_manager_init):
	* libdocument/ev-backends-manager.h:
	* libdocument/ev-debug.c: (_ev_debug_init), (_ev_debug_shutdown):
	* libdocument/ev-debug.h:
	* libdocument/ev-file-helpers.c: (_ev_file_helpers_init),
	(_ev_file_helpers_shutdown):
	* libdocument/ev-file-helpers.h: Make these init/shutdown methods
	private.

	* properties/ev-properties-main.c: (nautilus_module_initialize),
	(nautilus_module_shutdown):
	* shell/main.c: (main):
	* thumbnailer/evince-thumbnailer.c: (main): Use the new single
	init/shutdown method.

2009-01-29  Christian Persch  <chpe@gnome.org>

	* shell/main.c: (option_version_cb): Add --version which was lost in
	the libgnome removal. Bug #562869.

2009-01-26  Christian Persch  <chpe@gnome.org>

	* shell/ev-application.c: (ev_application_register_service),
	(ev_application_shutdown):
	* shell/main.c: (main): Move metadata manager initialisation and
	shutdown into EvApplication. Follow-up from bug #569120.

2009-01-26  Christian Persch  <chpe@gnome.org>

	* shell/ev-metadata-manager.c: (ev_metadata_manager_set_string): Don't
	copy the string twice. Bug #569231.

2009-01-26  Christian Persch  <chpe@gnome.org>

	* libdocument/ev-file-helpers.c: (ev_dir_ensure_exists),
	(ev_tmp_dir), (ev_file_helpers_init), (ev_file_helpers_shutdown):
	* libdocument/ev-file-helpers.h:
	* shell/ev-application.c: (ev_application_shutdown),
	(ev_application_init), (ev_application_screensaver_disable),
	(ev_application_save_print_settings),
	(ev_application_set_page_setup):
	* shell/ev-application.h:
	* shell/ev-metadata-manager.c: (load_values),
	(ev_metadata_manager_save): Move ev_dot_dir() from libdocument to
	shell, since it shouldn't be public API. Bug #569120.

	* libdocument/ev-file-helpers.c: (ev_tmp_filename): Use
	g_get_prgname() instead of hardcoding "evince" for the tmpdir name.

2009-01-25  Christian Persch  <chpe@gnome.org>

        Bug 569082 – use versioned directory for backends

        * configure.ac: Define ev_binary_version and backenddir.
        * evince-document.pc.in: Add backenddir variable.
        * libdocument/Makefile.am:
        * backend/*/Makefile.am: Remove backenddir definition, so it picks
        up the one from configure.

2009-01-25  Christian Persch  <chpe@gnome.org>

        * configure.ac:
        * evince-document.pc.in: Renamed from evince-backend.pc.in.
        * libdocument/Makefile.am: Renamed library to libevdocument.la.
        * libview/Makefile.am:
        * shell/Makefile.am:
        * backend/*/Makefile.am: Adapt to changed library name.

        * libdocument/Makefile.am:
        * libview/Makefile.am: Change the installed headers path to match
        the directory names in SVN.

        * evince-document.h:
        * evince-view.h: Add single headers. Bug #568227.

        * libdocument/*.h:
        * libview/*.h: Add single headers guards.

        * libview/Makefile.am:
        * libdocument/Makefile.am:
        * backend/*/Makefile.am:
        * help/reference/Makefile.am: Define EVINCE_COMPILATION, so we can
        still include individual headers.

        * properties/Makefile.am:
        * properties/ev-properties-main.c:
        * properties/ev-properties-view.h:
        * thumbnailer/Makefile.am:
        * thumbnailer/evince-thumbnailer.c: Include only evince-document.h.

        * libdocument/Makefile.am:
        * libview/Makefile.am: Generate type builtins from all installed headers.
        * libdocument/ev-link-action.[ch]:
        * libdocument/ev-link-dest.[ch]:
        * libdocument/ev-transition-effect.[ch]:
        * libview/ev-view.[ch]: Remove handcoded type builtins.

        * libdocument/Makefile.am:
        * evince-document.h: Add ev-document-factory.h to the public headers.

2009-01-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-page.c:

	Use EV_DEFINE_INTERFACE to define EvSidebarPage interface. See bug
	#568228.
	
2009-01-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document.h:

	Add EV_DEFINE_INTERFACE macro.
	
	* libdocument/ev-async-renderer.c:
	* libdocument/ev-document-find.c:
	* libdocument/ev-document-fonts.c:
	* libdocument/ev-document-forms.c:
	* libdocument/ev-document-images.c:
	* libdocument/ev-document-layers.c:
	* libdocument/ev-document-links.c:
	* libdocument/ev-document-security.c:
	* libdocument/ev-document-thumbnails.c:
	* libdocument/ev-document-transition.c:
	* libdocument/ev-document.c:
	* libdocument/ev-file-exporter.c:
	* libdocument/ev-selection.c:

	Use EV_DEFINE_INTERFACE macro to define interfaces in
	libdocument. See bug #568228.
	
2009-01-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document.[ch]:

	Add EV_DEFINE_BOXED_TYPE macro to define boxed types. See bug
	#568228.
	
2009-01-24  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/toolbar-editor/egg-editable-toolbar.c
	(drag_begin_cb), (drag_end_cb), (configure_item_tooltip),
	(new_separator_pixbuf):
	* cut-n-paste/toolbar-editor/egg-toolbar-editor.c
	(egg_toolbar_editor_disconnect_model),
	(egg_toolbar_editor_set_model), (egg_toolbar_editor_class_init),
	(egg_toolbar_editor_finalize):
	* cut-n-paste/toolbar-editor/egg-toolbar-editor.h:
	* cut-n-paste/toolbar-editor/eggmarshalers.list:
	
	Sync EggToolbarEditor with libegg.

2009-01-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libdocument/ev-file-helpers.c: (ev_xfer_uri_simple):
	When saving a file, using the default permissions for the user/system,
	respecting umask and any setgid bit on the directory. Uses the new
	G_FILE_COPY_TARGET_DEFAULT_PERMS flag in glib 2.19.0, if available.
	Bug #568593.
	
2009-01-21  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* libdocument/Makefile.am:
	* libview/Makefile.am: Add libtool versioning to libevbackend and
	libevview. Bug #568229.

2009-01-21  Christian Persch  <chpe@gnome.org>

	* Makefile.am:
	* configure.ac:
	A evince-{backend,view}.pc.in: Add pkgconfig files. Bug #568220.

2009-01-21  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* libdocument/Makefile.am:
	A libdocument/ev-version.h.in: Add version defines and version check
	macro. Bug #568224.

2009-01-21  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* shell/ev-sidebar-links.c
	* shell/ev-print-operation.c:
	* shell/ev-history.c:
	* shell/ev-file-monitor.c:
	* shell/ev-window.c:
	* shell/ev-password-view.c:
	* shell/ev-sidebar-thumbnails.c:
	* shell/ev-sidebar-attachments.c:
	* libview/ev-pixbuf-cache.c:
	* libview/ev-view.c: Remove needless G_OBJECT from g_signal_connect.
	Bug #568386.

2009-01-20  Tomeu Vizoso  <tomeu@sugarlabs.org>

	* libdocument/ev-document-info.h:

	Add missing EV_TYPE_DOCUMENT_INFO. See bug #567790.
	
2009-01-20  Tomeu Vizoso  <tomeu@sugarlabs.org>

	* libview/Makefile.am:

	Install ev-job-scheduler.h. See bug #567790.
	
2009-01-20  Tomeu Vizoso  <tomeu@sugarlabs.org>

	* libdocument/Makefile.am:

	Install ev-backends-manager.h and
	ev-document-type-builtins.h. Fixes bug #567787.
	
2009-01-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Update for release 2.25.5
	
2009-01-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libview/ev-view.c: (ev_view_drag_data_get):

	Fix second parameter passed to gtk_selection_data_set_uris(), 
	it expects a gchar **.
	
2009-01-18  Tomeu Vizoso  <tomeu@sugarlabs.org>

	* libdocument/Makefile.am:
	* libdocument/ev-document-info.h:
	* libdocument/ev-document-type-builtins.c.template:
	* libdocument/ev-document-type-builtins.h.template:
	* libdocument/ev-document.c: (ev_document_info_get_type),
	(ev_document_info_copy):

	Make EvDocumentInfo and enums definded in ev-document-info.h
	GTypes. Fixes bug #567789.
	
2009-01-18  Michal Vaner <vorner+evince@ucw.cz>

	* shell/main.c (arguments_parse): Fix for a minor code typo.

2009-01-18  Christian Persch  <chpe@gnome.org>

	* help/reference/Makefile.am:
	* help/reference/evince.types: Fix the API docs build. Bug #568171.

2009-01-18  Tomeu Vizoso  <tomeu@sugarlabs.org>

	* libview/Makefile.am:
	* libview/ev-view-type-builtins.c.template:
	* libview/ev-view-type-builtins.h.template:

	Make EvJobPriority a proper GType. Fixes bug #567788.
	
2009-01-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/*/Makefile.am:
	* libdocument/Makefile.am:

	Rename LIB as LIBDOCUMENT and use SHELL_CORE for cut-n-paste
	code.
	
2009-01-18  Christian Persch  <chpe@gnome.org>

	* libview/ev-view.c: (ev_view_drag_data_get),
	(ev_view_drag_motion), (ev_view_update_primary_selection),
	(clear_link_selected):
	* shell/ev-sidebar-attachments.c:
	(ev_sidebar_attachments_drag_data_get),
	(ev_sidebar_attachments_get_property),
	(ev_sidebar_attachments_init):
	* shell/ev-window.c: Update drag handling code to use the
	gtk_*_add_uri_targets and gtk_*_add_text_targets targets instead of
	hardcoding the targets lists. Bug #558084.
	
2009-01-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/Makefile.am:
	* libdocument/ev-backend-marshal.c:
	* libdocument/ev-backend-marshalers.list:
	* libdocument/ev-document.c:

	Remove unused marshalers stuff from libdocument.
	
2009-01-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* po/POTFILES.in:

	Update for the current source tree.
	
2009-01-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* Makefile.am:
	* libdocument/Makefile.am:
	* libview/Makefile.am:
	* libview/ev-job-scheduler.[ch]:
	* libview/ev-jobs.[ch]:
	* libview/ev-page-cache.[ch]:
	* libview/ev-pixbuf-cache.[ch]:
	* libview/ev-timeline.[ch]:
	* libview/ev-transition-animation.[ch]:
	* libview/ev-view-accessible.[ch]:
	* libview/ev-view-marshal.list:
	* libview/ev-view.[ch]:
	* shell/Makefile.am:

	Move EvView specific code to a libeviview library so that it can
	be embbeded in other applications. Based on patches by Tomeu
	Vizoso. Fixes bug #567751.
	
2009-01-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.[ch]: (ev_job_load_dispose), (ev_job_load_new):
	* shell/ev-window.c: (ev_window_load_job_cb),
	(ev_window_load_job_cb), (ev_window_open_uri),
	(ev_window_reload_local), (ev_window_dispose):

	Remove dest, mode and search_string from EvJobLoad since they are
	not really needed by the job, but for the window.
	
2009-01-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_drag_data_received),
	(ev_view_class_init), (ev_view_init):
	* shell/ev-window.c: (ev_window_drag_data_received),
	(ev_window_class_init), (ev_window_init):

	Make the whole EvWindow the destination of a drag and drop
	operation.
	
2009-01-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (window_open_file_copy_progress_cb):

	Add missing brakets around the percentage in progress
	messages. See bug #567910.
	
2009-01-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.c: (ev_application_open_window),
	(ev_application_open_uri_at_dest):

	Do no use gdk_x11_* when not available. Based on patch by Hib
	Eris, see bug #339172.
	
2009-01-16  Hib Eris  <hib@hiberis.nl>

	* configure.ac:
	* properties/ev-properties-view.c:
	(ev_properties_view_format_date):

	Check for localtime_r. See bug #339172.
	
2009-01-16  Hib Eris  <hib@hiberis.nl>

	* shell/main.c:

	Include gdkx only for dbus support. See bug #339172.
	
2009-01-16  Tomeu Vizoso  <tomeu@sugarlabs.org>

	* shell/ev-view.c: (ev_view_set_zoom_for_size):

	Expose ev_view_set_zoom_for_size for embedders to use. Fixes bug
	#567785.
	
2009-01-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (reload_remote_copy_progress_cb),
	(window_save_file_copy_progress_cb):

	Use brakets around the percentage in progress messages. See bug
	#567910.
	
2009-01-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (reload_remote_copy_ready_cb):

	Fix typo in error message. See bug #567910.
	
2009-01-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_cmd_file_close_window):

	Fix mnemonic conflict. Fixes bug #567937.
	
2009-01-05  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:

	Update for release 2.25.4
	
2009-01-02  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	
	GLib version requirement bumped to 2.18 due to g_set_error_literal.
	Thanks to Christian Spurk.

2008-12-31  Hib Eris  <hib@hiberis.nl>
	
	* libdocument/ev-file-helpers.c: (get_mime_type_from_uri):

	Fix mime type handling.
	
2008-12-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* po/POTFILES.in:

	Add ev-print-operation.c.
	
2008-12-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_clear_progress_idle),
	(reset_progress_idle), (ev_window_show_progress_message),
	(ev_window_reset_progress_cancellable),
	(ev_window_progress_response_cb), (show_loading_progress),
	(ev_window_load_remote_failed), (window_open_file_copy_ready_cb),
	(window_open_file_copy_progress_cb), (ev_window_load_file_remote),
	(show_reloading_progress), (reload_remote_copy_ready_cb),
	(reload_remote_copy_progress_cb), (query_remote_uri_mtime_cb),
	(show_saving_progress), (window_save_file_copy_ready_cb),
	(window_save_file_copy_progress_cb), (ev_window_save_remote),
	(ev_window_dispose):

	Show progress information when loading/saving remote files. Fixes
	bug #370958.
	
2008-12-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-file-helpers.c: (ev_tmp_file_unlink):

	Show better warning message when temp file cannot be deleted.
	
2008-12-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (image_save_dialog_response_cb):

	Fix saving images to remote locations.
	
2008-12-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.[ch]: (ev_application_shutdown),
	(ev_application_get_print_settings_file),
	(ev_application_save_print_settings),
	(ev_application_get_print_settings),
	(ev_application_set_print_settings),
	(ev_application_get_page_setup), (ev_application_set_page_setup):
	* shell/ev-window.c: (ev_window_save_print_page_setup),
	(ev_window_load_print_page_setup_from_metadata),
	(ev_window_print_page_setup_done_cb),
	(ev_window_cmd_file_print_setup), (ev_window_do_preview_print),
	(ev_window_cmd_preview_print):

	Remember page setup options too. Paper size is globally remembered
	while page margins are stored per document in metadata file. Fixes
	bugs #525185 and #349102.
	
2008-12-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-print-operation.c:
	(ev_print_operation_export_print_dialog_response_cb):

	Fallback to EV_FILE_FORMAT_PS when file_format is not defined.
	
2008-12-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-print-operation.c: (export_cancel),
	(export_job_cancelled), (ev_print_operation_export_begin),
	(ev_print_operation_export_cancel):
	* shell/ev-window.c: (ev_window_print_cancel),
	(ev_window_print_update_pending_jobs_message),
	(ev_window_print_operation_done),
	(ev_window_print_operation_status_changed),
	(print_jobs_confirmation_dialog_response),
	(ev_window_cmd_file_close_window):

	Show a confirmation dialog when there are pending print jobs while
	closing the main window. Fixes bug #480964.
	
2008-12-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-print-operation.[ch]: (ev_print_operation_class_init),
	(ev_print_operation_get_job_name),
	(ev_print_operation_get_status),
	(ev_print_operation_get_progress),
	(ev_print_operation_update_status),
	(ev_print_operation_export_get_job_name), (clamp_ranges),
	(get_first_and_last_page), (ev_print_operation_export_run_next),
	(print_job_finished), (export_print_done), (export_job_cancelled),
	(update_progress), (export_print_page),
	(ev_print_operation_export_begin),
	(ev_print_operation_export_print_dialog_response_cb),
	(ev_print_operation_export_run),
	(ev_print_operation_export_cancel),
	(ev_print_operation_export_class_init):
	* shell/ev-window.c:
	(ev_window_print_update_pending_jobs_message),
	(ev_window_print_operation_done),
	(ev_window_print_progress_response_cb),
	(ev_window_print_operation_status_changed),
	(ev_window_print_operation_begin_print), (ev_window_print_range),
	(ev_window_dispose):

	Show progress information when printing. Fixes bug #482770.
	
2008-12-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/Makefile.am:
	* shell/ev-progress-message-area.[ch]:
	* shell/ev-message-area.[ch]: (ev_message_area_init),
	(ev_message_area_set_image_from_stock):

	Add EvProgressMessageArea derived from EvMessageArea to show
	progress information in the message area. 
	
2008-12-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/gedit-message-area/gedit-message-area.[ch]:

	Use GTK_RESPONSE_CLOSE instead of GTK_RESPONSE_CANCEL for the
	close button. Add a function to get the contents of the message
	area.
	
2008-12-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/Makefile.am:
	* shell/ev-print-operation.[ch]:
	* shell/ev-jobs.[ch]: (ev_job_export_init),
	(ev_job_export_dispose), (ev_job_export_run),
	(ev_job_export_class_init), (ev_job_export_new),
	(ev_job_export_set_page):
	* shell/ev-window.c: (ev_window_print_operation_done),
	(ev_window_print_range), (ev_window_dispose):

	First step of the printing system rework. EvJobPrint has been
	replaced by EvJobExport so that every page is scheduled to be
	exported in a thread instead of scheduling the whole printing
	process. This way the gui is responsive during printing.
	
2008-12-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (setup_size_from_metadata),
	(ev_window_load_print_settings_from_metadata):

	Fix memory leaks.
	
2008-12-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document.c: (ev_document_get_type):

	Add GObject type as prerequisite to EvDocument interface so that
	document instances can be used as GObjects.
	
2008-12-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (jump_to_find_result):

	Only jump the the location of the find result for the first match
	when searching. It drastically improves the performance when
	searching. Bug catched and fixed by Michael Hunold. Fixes bug
	#564774.
	
2008-12-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* properties/ev-properties-main.c: (ev_properties_get_pages):
	* properties/ev-properties-view.[ch]:
	(ev_properties_view_dispose), (ev_properties_view_class_init),
	(ev_properties_view_set_info), (ev_properties_view_new):
	* shell/ev-properties-dialog.[ch]:
	(ev_properties_dialog_set_document):
	* shell/ev-window.c: (ev_window_setup_document),
	(ev_window_cmd_file_properties):

	Add document URI to properties page. Fixes bug #555376.
	
2008-12-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* data/Makefile.am:
	* data/evince-password.glade: Removed
	* data/evince-properties.glade: Removed
	* properties/ev-properties-view.c:
	(ev_properties_view_class_init), (set_property),
	(ev_properties_view_set_info), (ev_properties_view_init):
	* shell/ev-properties-fonts.c: (ev_properties_fonts_dispose),
	(font_cell_data_func), (ev_properties_fonts_init):

	Remove Glade dependency.
	
2008-12-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/comics/comics-document.c: (comics_document_load):

	Fix zip mime-type in comics backend. Patch by Juanjo Marín.
	
2008-12-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Update for release 2.25.2
	
2008-12-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* shell/Makefile.am:
	* shell/ev-keyring.[ch]:
	* shell/ev-password.[ch]: Removed
	* shell/ev-password-view.[ch]: (ev_password_view_finalize),
	(ev_password_view_class_init), (ev_password_view_clicked_cb),
	(ev_password_view_init), (ev_password_view_set_uri),
	(ev_password_dialog_got_response),
	(ev_password_dialog_remember_button_toggled),
	(ev_password_dialog_entry_changed_cb),
	(ev_password_dialog_entry_activated_cb),
	(ev_password_view_ask_password), (ev_password_view_get_password),
	(ev_password_view_get_password_save_flags),
	(ev_password_view_new):
	* shell/ev-window.c: (ev_window_password_view_unlock),
	(ev_window_load_job_cb), (ev_window_close_dialogs),
	(ev_window_init):

	Rework the password view. When the password is in the keyring it's
	used automatically without showing the password dialog and it's  
	only stored in the keyring when we are sure it's correct. The
	password dialog has been reworked too, in order to make it
	more hig compliant and consistent with the GTK+ dialog used in
	gtkmountoperation. Fixes bug #562496. 
	
2008-11-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/comics/comics-document.c: (comics_document_load):

	Do not trust file extensions when getting the command needed to
	uncompress comic documents. Fixes bug #562143.
	
2008-11-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-factory.c: (get_document_from_uri),
	(ev_document_factory_get_document):
	* libdocument/ev-file-helpers.[ch]: (get_mime_type_from_uri),
	(get_mime_type_from_data), (ev_file_get_mime_type):

	Move mime-type functions from document-facrory to file-helpers so
	that it can be reused.
	
2008-11-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_load_job_cb), (set_uri_mtime),
	(window_open_file_copy_ready_cb), (ev_window_reload_local),
	(reload_remote_copy_ready_cb), (query_remote_uri_mtime_cb),
	(ev_window_reload_remote), (ev_window_reload_document):

	Add support for reloading remote documents. Fixes bug #555399.
	
2008-11-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_find_previous):

	Make sure find_result is never < 0 which causes a crash while
	searching. Fixes bug #558377.
	
2008-11-19  Marek Kašík <mkasik@redhat.com>

	* shell/ev-pixbuf-cache.c (new_selection_surface_needed),
	(ev_pixbuf_cache_get_selection_surface):
	
	Fixes crash on fast scrolling with simultaneous text selection.

2008-11-19  Marek Kašík <mkasik@redhat.com>

	* shell/ev-pixbuf-cache.c (ev_pixbuf_cache_add_jobs_if_needed):
	* shell/ev-window.c (launch_external_uri):
	
	Fixes assertion fail on selecting text. See bug #561393.

2008-11-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/Makefile.am:
	* shell/ev-jobs.[ch]: (ev_job_layers_init),
	(ev_job_layers_dispose), (ev_job_layers_run),
	(ev_job_layers_class_init), (ev_job_layers_new):
	* shell/ev-sidebar-layers.[ch]:
	* shell/ev-view.[ch]: (ev_view_form_field_button_create_widget),
	(ev_view_form_field_text_save), (ev_view_form_field_choice_save),
	(ev_view_reload_page), (ev_view_reload):
	* shell/ev-window.c: (setup_sidebar_from_metadata),
	(ev_window_sidebar_current_page_changed_cb),
	(sidebar_layers_visibility_changed), (ev_window_init):

	Add layers support.
	
2008-11-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/actions/eye.png:
	* shell/ev-stock-icons.[ch]:
	
	Add eye icon from gimp to hide/show layers.
	
2008-11-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/Makefile.am:
	* cut-n-paste/gimpcellrenderertoggle/Makefile.am:
	* cut-n-paste/gimpcellrenderertoggle/gimpcellrenderertoggle.[ch]:
	* cut-n-paste/gimpcellrenderertoggle/gimpwidgetsmarshal.list:

	Add GimpCellRendererToggle from gimp slightly modified to fit our
	needs. 
	
2008-11-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc:

	Implement layers interface in PDF backend.
	
2008-11-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/Makefile.am:
	* libdocument/ev-document-layers.[ch]:
	* libdocument/ev-layer.[ch]:

	Add optional content (layers) interface.
	
2008-11-12  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/toolbar-editor/eggtreemultidnd.c:
	* cut-n-paste/toolbar-editor/eggtreemultidnd.h:

	Removes unused code.

2008-11-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Update for 2.25.1 release

2008-11-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c:

	Fix build with GTK+ < 2.14

2008-11-05  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/zoom-control/ephy-zoom-action.c (create_menu_item):
	
	Makes menu label translatable. Fixes bug #559129.

2008-11-04  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/dvi/mdvi-lib/t1.c (t1_reset_resolution),
	(t1_transform_font):
	* backend/dvi/mdvi-lib/tt.c (tt_really_load_font), (tt_load_font):
	
	More renames of warning to mdvi_warning in follow up to the
	fix of the bug #553369. Fix for the bug #559257 by
	Tuxce <tuxce.net@gmail.com>.
	
2008-11-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.c: (ev_application_init_session):
	* shell/main.c: (main):

	Move the egg_set_desktop_file() call to main and remove
	gtk_window_set_default_icon_name() since it's already called by
	egg_set_desktop_file()
	
2008-11-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-file-helpers.c: (ev_xfer_uri_simple):

	Initialize GError to NULL.
	
2008-11-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (window_save_file_copy_ready_cb),
	(ev_window_print_finished), (ev_window_print_dialog_response_cb),
	(ev_window_preview_print_finished), (launch_action):

	Do not use popup dialogs to show error messages anymore, use the
	message area instead.
	
2008-11-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_error_message),
	(ev_window_warning_message), (ev_window_set_document),
	(ev_window_load_job_cb), (ev_window_load_remote_failed),
	(ev_window_cmd_file_open_copy_at_dest), (ev_window_save_job_cb),
	(ev_window_cmd_help_contents), (launch_external_uri),
	(image_save_dialog_response_cb), (image_save_dialog_response_cb),
	(ev_attachment_popup_cmd_open_attachment),
	(attachment_save_dialog_response_cb):

	Use a message format (with printf()-style) in
	ev_window_error_message and ev_window_warning_message.

2008-11-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_error_message),
	(ev_window_warning_message), (ev_window_set_document),
	(ev_window_load_job_cb), (ev_window_load_remote_failed),
	(ev_window_cmd_file_open_copy_at_dest), (ev_window_save_job_cb),
	(ev_window_cmd_help_contents), (launch_external_uri),
	(image_save_dialog_response_cb),
	(ev_attachment_popup_cmd_open_attachment),
	(attachment_save_dialog_response_cb):

	Change ev_window_error_message and ev_window_warning_message to
	receive a EvWindow instead of a GtkWindow. It's more consistent
	and avoids unneeded casts.
	
2008-11-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_cmd_help_contents):

	Use gtk_show_uri() when availale to display help contents.
	
2008-10-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc:
	* properties/ev-properties-view.c:
	* shell/Makefile.am:
	* shell/ev-tooltip.[ch]: Removed
	* shell/ev-view-private.h
	* shell/eggfindbar.c:
	* shell/ev-application.c:
	* shell/ev-open-recent-action.c:
	* shell/ev-sidebar-thumbnails.c:
	* shell/ev-view.c:
	* shell/ev-window.c:

	Bump GTK+ requirement to 2.12.
	
2008-10-27 Christian Persch <chpe@gnome.org>

        * backend/djvu/djvu-document.c
        * backend/dvi/cairo-device.c
        * cut-n-paste/evmountoperation/ev-mount-operation.h
        * cut-n-paste/gedit-message-area/gedit-message-area.h
        * cut-n-paste/toolbar-editor/egg-editable-toolbar.c
        * cut-n-paste/toolbar-editor/egg-editable-toolbar.h
        * cut-n-paste/toolbar-editor/egg-toolbar-editor.c
        * cut-n-paste/toolbar-editor/egg-toolbar-editor.h
        * cut-n-paste/toolbar-editor/egg-toolbars-model.c
        * cut-n-paste/toolbar-editor/egg-toolbars-model.h
        * cut-n-paste/toolbar-editor/eggtreemultidnd.c
        * cut-n-paste/toolbar-editor/eggtreemultidnd.h
        * cut-n-paste/zoom-control/ephy-zoom-action.c
        * cut-n-paste/zoom-control/ephy-zoom-action.h
        * cut-n-paste/zoom-control/ephy-zoom-control.c
        * cut-n-paste/zoom-control/ephy-zoom-control.h
        * libdocument/ev-async-renderer.h
        * libdocument/ev-document-factory.c
        * libdocument/ev-document-misc.h
        * libdocument/ev-image.h
        * libdocument/ev-selection.h
        * shell/ev-properties-fonts.h
        * shell/ev-stock-icons.h
        * shell/ev-window.c: Only include glib.h, gdk/gdk.h and gtk/gtk.h
        directly. Bug #558064.

2008-10-27 Christian Persch <chpe@gnome.org>

	* cut-and-paste/smclient/*: Update from libegg.

2008-10-27 Christian Persch <chpe@gnome.org>

	* backend/djvu/djvu-document.c
	* backend/ps/ev-spectre.c
	* shell/ev-jobs.c: Use printf safely. Bug #558066.

2008-10-24  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c (ev_view_change_page),
	(ev_view_transition_animation_finish),
	(ev_view_transition_animation_cancel), (page_changed_cb),
	(ev_view_set_presentation), (ev_view_next_page),
	(ev_view_previous_page):
	
	Cancel the animation without scheduling transition start
	and proceed to the next page to fix bug #516749.

2008-10-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Update for release 2.24.1
	
2008-10-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_cmd_view_presentation):

	Disable toggle function of F5 when in presentation mode. Patch by
	Dave Neary. Fixes bug #556162.
	
2008-10-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-thumbnails.c: (ev_sidebar_thumbnails_dispose),
	(ev_sidebar_thumbnails_get_loading_icon), (clear_range),
	(ev_sidebar_thumbnails_fill_model),
	(ev_sidebar_thumbnails_refresh),
	(ev_sidebar_thumbnails_set_document):

	Instead of using only one loading icon for thumbnails based on the
	size of the first page, create an icon for every different page
	size. Fixes bug #556264.
	
2008-10-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-page-cache.c: (ev_page_cache_finalize):

	Fix memory leak.
	
2008-10-14  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window-title.c (ev_window_title_sanitize_title):

	Removes bad prefixes from window title. Patch by 
	Robin Sonefors <ozamosi@blinkenlights.se> fixes bug #534684.
	
2008-10-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (launch_external_uri):

	Do not consider mailto links as http uris. Fixes bug #555801.
	
2008-10-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (merge_selection_region), (clear_selection):

	Fix memory leak. Fixes bug #555134.
	
2008-10-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c: (copy_job_to_job_info):

	Emit the job finished signal when the job is handled before the
	page_ready callback.
	
2008-10-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (launch_action):

	Use GdkAppLaunchContext when available to launch external
	applications.
	
2008-10-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (launch_action):

	Fix launching external applications for launch actions which seems
	to be broken since the gio port. Fixes bug #554500.
	
2008-09-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/Makefile.am:
	* backend/dvi/cairo-device.c:
	* backend/dvi/dvi-document.c:
	* backend/dvi/mdvi-lib/Makefile.am:

	Fix several compile warnings in the dvi backend.
	
2008-09-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/mdvi-lib/common.h:
	* backend/dvi/mdvi-lib/dviread.c:
	* backend/dvi/mdvi-lib/font.c:
	* backend/dvi/mdvi-lib/fontmap.c:
	* backend/dvi/mdvi-lib/fontsrch.c:
	* backend/dvi/mdvi-lib/gf.c:
	* backend/dvi/mdvi-lib/pagesel.c:
	* backend/dvi/mdvi-lib/pk.c:
	* backend/dvi/mdvi-lib/sp-epsf.c:
	* backend/dvi/mdvi-lib/special.c:
	* backend/dvi/mdvi-lib/tfm.c:
	* backend/dvi/mdvi-lib/tfmfile.c:
	* backend/dvi/mdvi-lib/util.c:
	* backend/dvi/mdvi-lib/vf.c:

	Rename error as mdvi_error to avoid symbol conflicts with the libc
	error. Rename also message, crash, fatal and warning for
	consistency. Fixes bug #553369.
	
2008-09-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/dvi-document.c: (dvi_document_load):

	Fix memory leak.
	
2008-09-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/dvi-document.c:

	Use EV_BACKEND_IMPLEMENT_INTERFACE instead of
	G_IMPLEMENT_INTERFACE.
	
2008-09-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c: (copy_job_to_job_info):

	Make sure copy_job_page_and_selection_to_job_info is always called
	before copy_job_to_job_info. Fixes bug #552382.
	
2008-09-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Update for release 2.24.0
	
2008-09-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (launch_external_uri):

	Use GdkAppLaunchContext when available to launch external uris.
	
2008-09-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (launch_external_uri):

	Use the message area to show errors when lauching external uris
	instead of a popup window.
	
2008-09-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (launch_external_uri):

	Assume invalid uris are http uris. Fixes bug #552071.
	
2008-09-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Update for release 2.23.92.
	
2008-09-07  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/eggfindbar.c: (egg_find_bar_class_init):

	Allow page scrolling with PageUp/PageDown keys when find bar is
	active. Fixes bug #529833.
	
2008-09-07  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view-private.h:
	* shell/ev-view.[ch]: (add_scroll_binding_keypad),
	(ev_view_scroll), (ev_view_class_init):
	* shell/ev-view-accessible.c:
	(ev_view_accessible_action_do_action):
	* shell/ev-window.c: (ev_window_cmd_scroll_forward),
	(ev_window_cmd_scroll_backward):

	Use GtkScrollType instead of EvScrollType.
	
2008-09-07  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-page-cache.c (ev_page_cache_set_page_label):
	
	Patch for case unsensitive page label match by Michael Lee.
	See bug #550136.
	
	* shell/ev-page-action.c (create_tool_item):	
	* test/Makefile.am:
	* test/test1.py:
	* test/test4.py:
	* test/test5.py:
	
	Added test for the above and updated other tests.

2008-09-07  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (image_save_dialog_response_cb):

	Do not append the file extension twice when saving an image.
	
2008-09-07  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_images_get_image):

	Remove an invalid ifdef.
	
2008-09-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_motion_notify_event):

	Make sure the cursor is correctly restored after showing the right
	click menu.
	
2008-09-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-attachment.[ch]: (ev_attachment_launch_app),
	(ev_attachment_open):
	* shell/ev-sidebar-attachments.c:
	(ev_sidebar_attachments_button_press):
	* shell/ev-window.c: (ev_attachment_popup_cmd_open_attachment):

	Use GdkAppLaunchContext when available to open attachments.
	
2008-09-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-media-player-keys.c: (ev_media_player_keys_grab_keys):

	Grab the mediakeys with a low priority. Fixes bug #547164. Patch
	by Eric Piel.
	
2008-09-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.c: (ev_application_get_media_keys):
	* shell/ev-media-player-keys.[ch]:
	(ev_media_player_keys_class_init), (on_media_player_key_pressed),
	(ev_media_player_keys_grab_keys),
	(ev_media_player_keys_release_keys), (ev_media_player_keys_init),
	(ev_media_player_keys_focused), (ev_media_player_keys_finalize):
	* shell/ev-window.[ch]: (ev_window_dispose),
	(view_actions_focus_in_cb), (ev_window_media_player_key_pressed),
	(ev_window_init):

	Clean up the media player keys stuff.
	
2008-08-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:
	* configure.ac:

	Update for release 2.23.91.
	
2008-08-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/smclient/eggsmclient-xsmp.c:
	(sm_client_xsmp_set_initial_properties):

	Fix memory leak.
	
2008-08-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.c: (ev_application_open_window),
	(ev_application_open_uri_at_dest):

	Make sure evince starts up in the right workspace when resuming a
	previous session.
	
2008-08-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.[ch]: (ev_application_open_window),
	(ev_application_add_icon_path_for_screen),
	(ev_application_open_uri_at_dest):

	Fix window manager warnings shown in ~/.xsession-errors
	
2008-08-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/Makefile.am:
	* cut-n-paste/smclient/Makefile.am:
	* cut-n-paste/smclient/eggdesktopfile.[ch]:
	* cut-n-paste/smclient/eggsmclient-private.h:
	* cut-n-paste/smclient/eggsmclient-xsmp.c:
	* cut-n-paste/smclient/eggsmclient.[ch]:

	EggSMClient copied from libegg

	* libdocument/ev-file-helpers.c: (ev_dot_dir):
	* shell/Makefile.am:
	* shell/ev-application.[ch]: (ev_application_load_session),
	(smclient_save_state_cb), (smclient_quit_cb),
	(ev_application_init_session), (ev_application_shutdown),
	(ev_application_init):
	* shell/main.c: (main):

	Use EggSMClient instead of gnome-client and remove libgnome and
	libgnomeui dependencies.
	
2008-08-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/main.c: (main):

	Remove gnome_authentication_manager_init.
	
2008-08-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_goto_window_create):

	Use gtk_box_pack_start instead of gtk_box_pack_start_defaults
	since it's now deprecated.
	
2008-08-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/Makefile.am:
	* backend/djvu/djvu-document-private.h:
	* backend/djvu/djvu-document.c: (djvu_document_find_find_text),
	(djvu_document_find_iface_init):
	* backend/djvu/djvu-text-page.[ch]:
	* backend/djvu/djvu-text.[ch]: Removed
	* backend/pdf/ev-poppler.cc: (pdf_document_find_find_text),
	(pdf_document_find_iface_init):
	* libdocument/ev-document-find.[ch]: (ev_document_find_find_text):
	* shell/ev-jobs.[ch]: (ev_job_find_init), (ev_job_find_dispose),
	(ev_job_find_run), (ev_job_find_class_init), (ev_job_find_new),
	(ev_job_find_get_n_results), (ev_job_find_get_progress),
	(ev_job_find_has_results), (ev_job_find_get_results):
	* shell/ev-view-private.h:
	* shell/ev-view.[ch]: (ev_view_expose_event),
	(highlight_find_results), (ev_view_finalize),
	(ev_view_get_property), (ev_view_class_init), (page_changed_cb),
	(ev_view_set_document), (ev_view_find_get_n_results),
	(ev_view_find_get_result), (jump_to_find_result),
	(jump_to_find_page), (ev_view_find_changed), (ev_view_find_next),
	(ev_view_find_previous), (ev_view_find_search_changed),
	(ev_view_find_set_highlight_search), (ev_view_find_cancel):
	* shell/ev-window.c: (ev_window_update_actions),
	(page_changed_cb), (ev_window_setup_document),
	(ev_window_update_find_status_message),
	(ev_window_find_job_finished_cb), (ev_window_find_job_updated_cb),
	(ev_window_clear_find_job), (find_bar_close_cb),
	(find_bar_search_changed_cb), (find_bar_visibility_changed_cb),
	(ev_window_dispose), (ev_window_init):

	Rework find interface. The find logic has been moved from backends
	to the shell avoiding a lot of duplicated code in the backends and
	making easier to implement the find interface in the backends.
	
2008-08-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc:
	(pdf_document_thumbnails_get_dimensions):

	Make sure thumbnail size returned by the PDF is actually
	valid. Fixes bug #548462.
	
2008-08-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_setup_document),
	(ev_window_set_document), (ev_window_dispose):

	Remove the idle function for setting the document up when the
	window is destroyed. Fixes bug #549163.
	
2008-08-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.[ch]: (ev_job_attachments_init),
	(ev_job_attachments_dispose), (ev_job_attachments_run),
	(ev_job_attachments_class_init), (ev_job_attachments_new):
	* shell/ev-sidebar-attachments.c:
	(ev_sidebar_attachments_set_document):

	Add a new job to get the attachments in a thread with the document
	lock held. Fixes bug #548653.
	
2008-08-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/tiff/tiff-document.c: (tiff_document_get_page_label),
	(tiff_document_document_iface_init):

	Implement document_get_page_label in tiff backend.
	
2008-08-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/tiff/tiff-document.c: (tiff_document_render):

	Handle document orientation in tiff backend. Fixes bug #548444.
	
2008-08-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-thumbnails.c: (adjustment_changed_cb):

	Do not crash when adjustment page size is 0. Fixes bug #547440.
	
2008-08-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/evmountoperation/ev-mount-operation.c:

	Sync with current GTK+.
	
2008-08-06  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	
	Update for release 2.23.6.

2008-08-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.[ch]: (ev_job_load_dispose), (ev_job_load_run),
	(ev_job_load_set_password):
	* shell/ev-password.[ch]: (ev_password_dialog_get_password):
	* shell/ev-window.c: (password_dialog_response),
	(ev_window_load_job_cb):

	Fix loading encrypted documents since I broke it with the jobs
	rework.
	
2008-08-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:

	Update NEWS for 2.23.6 release.
	
2008-08-03  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* backend/impress/impress-document.c:
	* backend/impress/render.h:
	* libdocument/ev-document-factory.c:
	* libdocument/ev-document-factory.h:
	* libdocument/ev-document-links.h:
	* libdocument/ev-document-misc.c:
	* libdocument/ev-document-misc.h:
	* properties/ev-properties-main.c:
	* properties/ev-properties-view.c:
	* properties/ev-properties-view.h:
	* shell/eggfindbar.c:
	* shell/eggfindbar.h:
	* shell/ev-application.c:
	* shell/ev-application.h:
	* shell/ev-jobs.h:
	* shell/ev-message-area.h:
	* shell/ev-navigation-action.c:
	* shell/ev-navigation-action.h:
	* shell/ev-open-recent-action.c:
	* shell/ev-open-recent-action.h:
	* shell/ev-page-action-widget.c:
	* shell/ev-page-action.c:
	* shell/ev-page-action.h:
	* shell/ev-page-cache.h:
	* shell/ev-password-view.h:
	* shell/ev-password.h:
	* shell/ev-pixbuf-cache.h:
	* shell/ev-properties-fonts.c:
	* shell/ev-sidebar-attachments.c:
	* shell/ev-sidebar-links.c:
	* shell/ev-sidebar-links.h:
	* shell/ev-sidebar-thumbnails.c:
	* shell/ev-sidebar-thumbnails.h:
	* shell/ev-sidebar.c:
	* shell/ev-sidebar.h:
	* shell/ev-stock-icons.c:
	* shell/ev-tooltip.h:
	* shell/ev-view.c:
	* shell/ev-view.h:
	* shell/ev-window.c:
	* shell/ev-window.h:
	* shell/main.c:

	More #include cleanups. Again: reordering, single gtk.h
	includes and other stuff.

2008-08-03  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* shell/eggfindbar.c:
	* shell/ev-application.c:
	* shell/ev-message-area.c:
	* shell/ev-navigation-action.c:
	* shell/ev-open-recent-action.c:
	* shell/ev-page-action-widget.c:
	* shell/ev-page-action.c:
	* shell/ev-password-view.c:
	* shell/ev-properties-dialog.c:
	* shell/ev-properties-fonts.c:
	* shell/ev-sidebar-attachments.c:
	* shell/ev-sidebar-page.c:
	* shell/ev-sidebar-thumbnails.c:
	* shell/ev-stock-icons.c:
	* shell/ev-tooltip.c:
	* shell/ev-view.c:
	* shell/ev-window.c:
	* shell/main.c:

	Cleanup many #include statements: reorder so that a
	generic-to-specific order is used, use single gtk.h
	includes, and some other cleanups.

2008-08-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.h:

	Add gio header.
	
2008-08-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document.[ch]: (ev_document_doc_mutex_trylock),
	(ev_document_fc_mutex_trylock):
	* shell/Makefile.am:
	* shell/ev-job-queue.[ch]:
	* shell/ev-job-scheduler.[ch]:
	* shell/ev-jobs.[ch]: (ev_job_init), (ev_job_dispose),
	(ev_job_class_init), (emit_finished), (ev_job_emit_finished),
	(ev_job_run), (ev_job_cancel), (ev_job_failed),
	(ev_job_failed_from_error), (ev_job_succeeded),
	(ev_job_is_finished), (ev_job_is_failed), (ev_job_get_run_mode),
	(ev_job_set_run_mode), (ev_job_links_init), (ev_job_links_run),
	(ev_job_links_class_init), (ev_job_render_init),
	(notify_page_ready), (ev_job_render_page_ready),
	(ev_job_render_run), (ev_job_render_class_init),
	(ev_job_thumbnail_init), (ev_job_thumbnail_run),
	(ev_job_thumbnail_class_init), (ev_job_fonts_init),
	(ev_job_fonts_run), (ev_job_fonts_class_init), (ev_job_load_init),
	(ev_job_load_run), (ev_job_load_class_init), (ev_job_save_init),
	(ev_job_save_dispose), (ev_job_save_run),
	(ev_job_save_class_init), (ev_job_print_init),
	(ev_job_print_dispose), (ev_job_print_run),
	(ev_job_print_class_init):
	* shell/ev-page-cache.c:
	* shell/ev-pixbuf-cache.[ch]: (dispose_cache_job_info),
	(check_job_size_and_unref), (move_one_job),
	(copy_job_to_job_info), (add_job),
	(ev_pixbuf_cache_add_jobs_if_needed):
	* shell/ev-properties-fonts.c: (ev_properties_fonts_dispose),
	(job_fonts_finished_cb), (job_fonts_updated_cb),
	(ev_properties_fonts_set_document):
	* shell/ev-sidebar-links.c: (ev_sidebar_links_dispose),
	(ev_sidebar_links_set_document):
	* shell/ev-sidebar-thumbnails.c: (clear_range), (add_range),
	(ev_sidebar_thumbnails_set_document),
	(ev_sidebar_thumbnails_clear_job):
	* shell/ev-view-private.h:
	* shell/ev-view.c:
	* shell/ev-window.c: (ev_window_clear_thumbnail_job),
	(ev_window_refresh_window_thumbnail), (password_dialog_response),
	(ev_window_clear_load_job), (ev_window_clear_reload_job),
	(ev_window_load_job_cb), (ev_window_reload_job_cb),
	(window_open_file_copy_ready_cb), (ev_window_open_uri),
	(ev_window_reload_document), (ev_window_clear_save_job),
	(ev_window_save_job_cb), (file_save_dialog_response_cb),
	(ev_window_clear_print_job), (ev_window_print_job_cb),
	(ev_window_print_dialog_response_cb):
	* shell/main.c: (main):

	Rework the jobs system in order to make it simpler and more
	extensible. It allows to run jobs in the main loop instead of
	using a thread when it's appropriate like the fonts job. Now it's
	also possible to cancel jobs that are currently running. 
	
2008-07-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-debug.c: (profile_init):

	Create the hash table also when profiling service is enabled for
	all sections.
	
2008-07-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-debug.[ch]: (ev_profiler_start),
	(ev_profiler_stop):
	* shell/ev-jobs.c: (ev_job_finished), (ev_job_links_run),
	(notify_page_ready), (ev_job_render_run), (ev_job_thumbnail_run),
	(ev_job_fonts_run), (ev_job_load_run), (ev_job_save_run),
	(ev_job_print_run):
	* shell/main.c: (main):

	Add a profile mode available when debug is enabled. Add profilers
	in ev-jobs.
	
2008-07-23  Götz Waschk <waschk@mandriva.org>

	* configure.ac: Correctly build desktop file. Fixes
	bug #544237.

2008-07-22  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	
	Update for release 2.23.5.

2008-07-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:

	Update NEWS for 2.23.5 release.
	
2008-07-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_state_event),
	(ev_window_class_init):

	Intercept window manager's fullscreen request in order to run/stop
	fullscreen mode. Fixes bug #493541.
	
2008-07-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (find_bar_visibility_changed_cb):

	Restart the job search when the find bar is opened for the second
	time. Fixes bug #531956.
	
2008-07-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-factory.c: (get_mime_type_from_data),
	(get_document_from_uri):

	Make sure we always return a valid error struct when
	get_document_from_uri fails. Fixes nautilus crash, see bug
	#542548.
	
2008-07-15   Darren Kenny  <darren.kenny@sun.com>

	* libdocument/ev-transition-effect.c
	(ev_transition_effect_type_get_type),
	(ev_transition_effect_alignment_get_type),
	(ev_transition_effect_direction_get_type):
	
	Fixes bug #542924. Makes enums static to fix Solaris build.

2008-07-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_key_press_event):

	Add '.' keybinding for blanking the screen in presentation
	mode. Fixes bug #542001.
	
2008-07-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-misc.c:
	(ev_document_misc_pixbuf_from_surface):

	Fix bytes order on big endian. Patch by Benjamin Jacobs. Fixes bug
	#540950.
	
2008-07-11  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/comics/comics-document.c (comics_document_load):
	* backend/comics/comicsdocument.evince-backend.in:
	* configure.ac:
	* thumbnailer/evince-thumbnailer-comics.schemas.in:
	
	Added support for 7-zip based cb7 comic book. Patch by
	Kartik Rustagi. Fixes bug #532312.

2008-06-24  Bastien Nocera  <hadess@hadess.net>

	* shell/ev-window.c: Use Alt+Left to rotate left, and Alt+Right
	to rotate right. Ctrl+R (as EOG uses) is already used for reload.
	Fixes bug #539972.

2008-06-24  Bastien Nocera  <hadess@hadess.net>

	* shell/Makefile.am:
	* shell/ev-application.c (ev_application_init),
	(ev_application_get_media_keys):
	* shell/ev-application.h:
	* shell/ev-marshal.list:
	* shell/ev-media-player-keys.c (ev_media_player_keys_class_init),
	(proxy_destroy), (on_media_player_key_pressed),
	(ev_media_player_keys_init), (ev_media_player_keys_focused),
	(ev_media_player_keys_finalize), (ev_media_player_keys_new):
	* shell/ev-media-player-keys.h:
	* shell/ev-window.c (ev_window_go_previous_page),
	(ev_window_go_next_page), (ev_window_go_first_page),
	(ev_window_go_last_page), (ev_window_start_presentation),
	(ev_window_dispose), (view_actions_focus_in_cb):
	* shell/ev-window.h: When building with D-Bus support, listen
	for multimedia key events from gnome-settings-daemon. This allows
	to go to the next/previous/first/last pages using, respectively,
	Next/Previous/Rewing/Fast Forward. The Play button is used to start
	a presentation. Fixes bug #539971.

2008-06-19  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	
	Update for release 2.23.4.

2008-06-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:

	Update news for 2.23.4 release.
	
2008-06-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_get_info):
	* shell/ev-sidebar-thumbnails.c:
	(ev_sidebar_thumbnails_set_loading_icon),
	(ev_sidebar_thumbnails_refresh):
	* shell/ev-window.c: (ev_window_error_message),
	(ev_window_warning_message), (ev_window_refresh_window_thumbnail),
	(ev_window_set_document):

	Do not crash opening documents with no pages and show a warning
	message in the message area. Fixes bugs #537574 and #171588.
	
2008-06-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/Makefile.am:
	* shell/ev-file-monitor.[ch]:
	* shell/ev-window.c: (ev_window_document_changed),
	(ev_window_clear_reload_job), (ev_window_load_job_cb),
	(ev_window_reload_job_cb), (ev_window_open_uri),
	(ev_window_reload_document), (ev_window_cmd_view_reload),
	(ev_window_dispose):

	Automaticly reload the document when the file has changed on
	disk. Bug #304249.
	
2008-06-10  Cosimo Cecchi  <cosimoc@gnome.org>

	* libdocument/ev-backends-manager.c: (ev_backends_manager_load):
	* libdocument/ev-image.c: (ev_image_save_tmp):
	* libdocument/ev-module.c: (ev_module_load):
	* shell/ev-application.c: (ev_application_shutdown),
	(ev_application_get_print_settings):
	* shell/ev-sidebar-attachments.c:
	(ev_sidebar_attachments_button_press),
	(ev_sidebar_attachments_drag_data_get):
	* shell/ev-window.c: (window_save_file_copy_ready_cb),
	(ev_window_print_finished), (ev_window_print_send),
	(ev_window_print_job_cb), (ev_window_cmd_help_contents),
	(ev_window_preview_print_finished), (ev_window_do_preview_print),
	(ev_window_cmd_preview_print):
	* shell/main.c: (load_files_remote):
	Fix some build warnings under GCC 4.3.0. (#537535).

2008-05-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.c: (ev_job_render_dispose):

	Fix a crash in debug mode. Patch by Daniel M German.
	
2008-05-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c:

	Add Ctrl+N keybinding for Open a Copy. Fixes bug #532239.
	
2008-05-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_send),
	(ev_window_do_preview_print):

	Use the window title as print job name instead of just
	"evince-print". Fixes bug #534493.
	
2008-05-19  Frederic Peters  <fpeters@0d.be>

	* libdocument/Makefile.am: fixed typo in ev-debug.h filename.
	Bug #533897.

2008-05-19  Frederic Peters  <fpeters@0d.be>

	* help/reference/Makefile.am: added missing libevmountoperation to
	gtkdoc-scanobj libraries.  Bug #533896.

2008-05-19  Matthias Drochner  <M.Drochner@fz-juelich.de>

	* properties/ev-properties-view.c (get_default_user_units):
	Fixes check for default units string translation. Bug #533323.

2008-05-01  Hans Petter Jansson  <hpj@novell.com>

	* backend/impress/iksemel.c (sax_core): Fix a free() that should
	be an iks_free(). Fix an array overflow in the XML parser that
	would occur whenever the number of attributes in a tag was greater
	than 0 and divisible by 6. Fixes GNOME bug #530852.

2008-04-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/djvu-document-private.h:
	* backend/djvu/djvu-links.c:
	* backend/djvu/djvu-text.c:
	* backend/djvu/djvu-document.c: (djvu_handle_events),
	(djvu_wait_for_message), (djvu_document_load),
	(document_get_page_size), (djvu_document_render),
	(djvu_document_thumbnails_get_thumbnail),
	(djvu_document_file_exporter_end):

	Make sure load job doesn't finish successfully when the document
	is not successfully decoded by libdjvu. Fixes bug #530202.
	
2008-04-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* libdocument/Makefile.am:
	* libdocument/ev-debug.[ch]:
	* libdocument/ev-document.c:
	* shell/ev-jobs.c: (ev_job_links_dispose),
	(ev_job_render_dispose), (ev_job_thumbnail_dispose),
	(ev_job_print_dispose), (ev_job_finished), (ev_job_links_new),
	(ev_job_links_run), (ev_job_render_new), (notify_page_ready),
	(ev_job_render_page_ready), (ev_job_render_run),
	(ev_job_thumbnail_new), (ev_job_thumbnail_run),
	(ev_job_fonts_new), (ev_job_fonts_run), (ev_job_load_dispose),
	(ev_job_load_new), (ev_job_load_set_uri), (ev_job_load_run),
	(ev_job_save_dispose), (ev_job_save_new), (ev_job_save_run),
	(ev_job_print_new), (ev_job_print_run):
	* shell/main.c: (main):

	Add debug mode based on gedit code. Add debug messages in
	ev-jobs.
	
2008-04-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-factory.c: (get_document_from_uri):

	Fix memory leak.
	
2008-04-24   Jean Baptiste Lallement  <jeanbaptiste.lallement@gmail.com>

	* libdocument/ev-document-factory.c (get_mime_type_from_uri),
	(get_mime_type_from_data), (get_document_from_uri),
	(ev_document_factory_get_document):
	
	Improved error message about file opening failture.
	Bug #529129.

2008-04-24  Abhishek Mukherjee  <linkinpark342@gmail.com>

	* data/evince-toolbar.xml:
	
	Allow to add SaveAs to toolbar.

2008-04-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view-private.h:
	* shell/ev-view.[ch]: (ev_view_button_release_event),
	(ev_view_finalize), (ev_view_clipboard_copy), (ev_view_copy),
	(ev_view_primary_get_cb), (ev_view_primary_clear_cb),
	(ev_view_update_primary_selection), (clear_link_selected),
	(ev_view_copy_link_address):
	* shell/ev-window.c: (ev_view_popup_cmd_copy_link_address):

	Update also the primary selection when copying a link
	address. Fixes bug #520855.
	
2008-04-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-factory.c: (get_document_from_uri):

	Use the pixbuf backend only when the mime type is not supported by
	any of the other backend so that tiff documents, for instance, are
	handled by the tiff backend instead of the pixbuf backend. fixes
	bug #520290.
	
2008-04-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/Makefile.am:

	Add evmountoperation to subdirs list.
	
2008-04-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Fix libspectre check in configure script. Fixes bug #528549.
	
2008-04-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/evmountoperation/ev-mount-operation.[ch]:
	* shell/Makefile.am:
	* shell/ev-window.c: (ev_window_load_remote_failed),
	(mount_volume_ready_cb), (window_open_file_copy_ready_cb):

	Add GtkMountOperation (renamed to avoid conflicts) to be able to
	open documents in remote locations that are not mounted.
	
2008-04-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/mdvi-lib/bitmap.[ch]: (bitmap_convert_lsb8),
	(bitmap_convert_msb8):
	* backend/dvi/mdvi-lib/t1.c: (t1_glyph_bitmap):
	* backend/dvi/mdvi-lib/tt.c: (tt_get_bitmap):

	Fix T1 font rendering in dvi backend. Patch by Mattias Nissler.
	
2008-04-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.[ch]: (ev_job_render_dispose),
	(ev_job_render_new), (ev_job_render_set_selection_info),
	(ev_job_render_run):
	* shell/ev-pixbuf-cache.c: (job_page_ready_cb), (job_finished_cb),
	(check_job_size_and_unref),
	(copy_job_page_and_selection_to_job_info), (copy_job_to_job_info),
	(add_job), (ev_pixbuf_cache_get_selection_surface):

	Create the render context needed for rendering a page in the render
	thread so that we don't block the main thread. Simplify
	EvJobRender API.
	
2008-04-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/Makefile.am:
	* libdocument/ev-page.[ch]:
	* libdocument/ev-render-context.[ch]: (ev_render_context_dispose),
	(ev_render_context_new), (ev_render_context_set_page):
	* libdocument/ev-form-field.[ch]: (ev_form_field_init),
	(ev_form_field_finalize), (ev_form_field_class_init):
	* libdocument/ev-document-forms.[ch]:
	(ev_document_forms_get_form_fields):
	* libdocument/ev-document.[ch]: (ev_document_get_page),
	(ev_document_get_page_size), (ev_document_get_page_label):
	* shell/ev-jobs.[ch]: (ev_job_thumbnail_dispose),
	(ev_job_render_run), (ev_job_thumbnail_new),
	(ev_job_thumbnail_run), (ev_job_print_run):
	* shell/ev-page-cache.c: (ev_page_cache_new):
	* shell/ev-pixbuf-cache.c: (job_page_ready_cb), (job_finished_cb),
	(check_job_size_and_unref), (add_job):
	* shell/ev-sidebar-thumbnails.c: (add_range):
	* shell/ev-view.c: (ev_view_form_field_get_region),
	(ev_view_form_field_button_create_widget),
	(ev_view_form_field_text_save), (ev_view_form_field_choice_save),
	(ev_view_handle_form_field), (ev_view_size_allocate),
	(get_selected_text):
	* shell/ev-window.c: (ev_window_refresh_window_thumbnail):
	* backend/pdf/ev-poppler.cc: (pdf_document_get_page_size),
	(pdf_document_get_page), (pdf_document_get_page_label),
	(pdf_document_render), (pdf_document_get_info),
	(pdf_document_document_iface_init),
	(pdf_document_thumbnails_get_thumbnail),
	(pdf_document_thumbnails_get_dimensions),
	(pdf_document_file_exporter_do_page),
	(pdf_selection_render_selection),
	(pdf_selection_get_selected_text),
	(pdf_selection_get_selection_region),
	(pdf_selection_get_selection_map),
	(pdf_document_forms_get_form_fields),
	(pdf_document_forms_form_field_text_get_text),
	(pdf_document_forms_form_field_text_set_text),
	(pdf_document_forms_form_field_button_set_state),
	(pdf_document_forms_form_field_button_get_state),
	(pdf_document_forms_form_field_choice_get_item),
	(pdf_document_forms_form_field_choice_get_n_items),
	(pdf_document_forms_form_field_choice_is_item_selected),
	(pdf_document_forms_form_field_choice_select_item),
	(pdf_document_forms_form_field_choice_toggle_item),
	(pdf_document_forms_form_field_choice_unselect_all),
	(pdf_document_forms_form_field_choice_set_text),
	(pdf_document_forms_form_field_choice_get_text):
	* backend/ps/ev-spectre.c: (ps_document_get_page),
	(ps_document_get_page_size), (ps_document_get_page_label),
	(ps_document_render), (ps_document_document_iface_init),
	(ps_document_file_exporter_do_page):
	* backend/tiff/tiff-document.c: (tiff_document_get_page_size),
	(tiff_document_render), (tiff_document_render_pixbuf),
	(tiff_document_file_exporter_do_page):
	* backend/pixbuf/pixbuf-document.c:
	(pixbuf_document_get_page_size):
	* backend/comics/comics-document.c:
	(comics_document_get_page_size), (comics_document_render_pixbuf):
	* backend/djvu/djvu-document.c: (djvu_document_get_page_size),
	(djvu_document_render), (djvu_selection_get_selected_text),
	(djvu_document_thumbnails_get_thumbnail),
	(djvu_document_file_exporter_do_page),
	(djvu_document_find_get_result):
	* backend/dvi/dvi-document.c: (dvi_document_get_page_size),
	(dvi_document_render), (dvi_document_thumbnails_get_dimensions),
	(dvi_document_thumbnails_get_thumbnail),
	(dvi_document_file_exporter_do_page):
	* backend/impress/impress-document.c:
	(impress_document_get_page_size),
	(impress_document_render_pixbuf):
	* thumbnailer/evince-thumbnailer.c: (evince_thumbnail_pngenc_get):

	Add EvPage so that we can hold a reference to the backend
	page. Form fields keep now a reference to the poppler page
	improving performance since we don't have to create/destroy the
	poppler field for every form operation. This will be needed for
	annotations too.
	
2008-04-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/evince-ui.xml:
	* shell/ev-window.c:

	Add Ctrl-Insert keybinding for copying text. Fixes bug #526523.
	
2008-04-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/ps/Makefile.am:

	Remove gs stuff from ps backend.
	
2008-04-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc:

	Bump poppler requirement to 0.8.0.
	
2008-04-08  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:

	Update for release 2.22.1.1

2008-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Fix build (again) when poppler version is 0.6
	
2008-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/djvu-links.c: (build_tree):

	Make sure link title is a valid utf8 string. Fixes bug #526517.
	
2008-04-07  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Fix build in FreeBSD. Based on patch by Michael Johnson. Fixes bug
	#526799.
	
2008-04-07  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	
	Update for release 2.22.1.

2008-04-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:

	Update for upcoming release.

2008-04-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/dvi/dvidocument.evince-backend.in:

	Add compressed dvi to the list of supported mime types. Patch by
	Ed Catmur. Fixes bug #307087.

2008-04-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.c: (ev_job_print_get_page_list):

	Fix a crash when printing a range that doesn't specify the start or
	end page. Fixes bug #524288.

2008-04-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_cmd_continuous),
	(ev_window_cmd_dual), (ev_window_cmd_view_best_fit),
	(ev_window_cmd_view_page_width), (ev_window_run_fullscreen),
	(ev_window_stop_fullscreen), (ev_window_cmd_view_fullscreen),
	(ev_window_run_presentation), (ev_window_stop_presentation),
	(ev_window_cmd_view_presentation),
	(ev_window_cmd_leave_fullscreen),
	(ev_window_cmd_start_presentation), (ev_window_cmd_escape):

	Do not unfullscreen and fullscreen again the window when changing
	from fullscreen to presentation mode and vice versa. Fixes bug
	#524112.
	
2008-04-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ps/ev-spectre.c: (ps_document_thumbnails_get_thumbnail):

	Do not crash when thumbnail failed to render in PS backend. Fixes
	bug #525015.
	
2008-03-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (window_open_file_copy_ready_cb),
	(ev_window_load_file_remote), (ev_window_open_uri):

	Handle errors when opening remote files.
	
2008-03-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-page-action.c: (ev_page_action_grab_focus):

	Only grab the focus for the current visible proxy widget. Fixes
	bug #521224.
	
2008-03-30  Emil Soleyman  <emil@nishra.com>

	* shell/ev-window.c: (launch_external_uri):
	
	Reuse g_app_info_launch_default_for_uri to
	save some code and fix bug #525009.

2008-03-24  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* shell/ev-window.c (image_save_dialog_response_cb):

	Use g_str_has_suffix. See bug #523069.

2008-03-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Add a configure option to enable/diable DBus. Patch by Rémi
	Cardona. Fixes bug 521797.

2008-03-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_file_exporter_do_page):

	Fix printing in documents with rotated pages. Patch by Eugen
	Dedu. Fixes bug #512648.
	
2008-03-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (ev_link_dest_from_dest),
	(ev_link_from_action):

	Fix warning messages.
	
2008-03-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (image_save_dialog_response_cb):

	Do not append the extension to filename when saving an image
	if the filename alredy contains the extension. Fixes bug #523069.
	
2008-03-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.[ch]: (ev_view_find_cancel):
	* shell/ev-window.c: (find_bar_close_cb):

	Cancel the find operation when the find bar is closed. Fixes bug
	#508845.
	
2008-03-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ps/psdocument.evince-backend.in:

	Make ps backend module resident. Fixes bug #520607.
	
2008-03-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.c: (ev_job_print_run):

	Invert collate action in order to work as expected, fix reverse
	printing so that it doesn't start with a blank page and fix number
	of copies. Patch by Eugen Dedu. Fixes bug #365332.
	
2008-03-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_selection_render_selection):

	Fix build with poppler <= 0.7.2
	
2008-03-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-misc.c:
	(ev_document_misc_surface_from_pixbuf):

	Fix selections with poppler-splash.
	
2008-03-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc:

	Fix build with poppler >= 0.7.2
	
2008-03-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	
	Update for release 2.22.0

2008-03-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* NEWS:

	Update for upcoming release.

2008-03-09  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* shell/ev-window.c (ev_window_print_dialog_response_cb):

	Bug 495107 – Handle print dialog responses correctly

	Correctly handle print dialog response. Properly fixes
	the above mentioned bug.

2008-03-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_dialog_response_cb):

	Make sure print job is only run when the print button is
	clicked. Based on patch by Eugen Dedu. Fixes bug #495107.
	
2008-03-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/pdfdocument.evince-backend.in:
	* libdocument/ev-backends-manager.c:
	(ev_backends_manager_load_backend),
	(ev_backends_manager_get_document):
	* libdocument/ev-module.[ch]: (ev_module_load), (ev_module_new):

	Allow making backend modules resident. This is needed only for
	some backends like pdf to avoid registering glib types more than
	once.
	
2008-03-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/comics/comics-document.c:
	* backend/djvu/djvu-document.c:
	* backend/impress/impress-document.c:
	* backend/pdf/ev-poppler.cc:
	* backend/pixbuf/pixbuf-document.c:
	* backend/ps/ev-spectre.c:
	* backend/ps/ps-document.c:
	* backend/tiff/tiff-document.c:
	* libdocument/ev-document.h:
	* properties/ev-properties-main.c:

	Use g_type_module_add_interface instead of
	g_type_add_interface_static. Fixes bug #519679.
	
2008-02-29  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.[ch] (ev_transition_animation_ready):
	Added. Returns whether the animation has everything necessary to run.
	* shell/ev-view.c (ev_view_expose_event): Do not assume the animation
	is ready just because it's been created. Fixes #519106.
	(draw_one_page): Do not show the "Loading..." text in presentation
	mode, there was a slim probability that this could happen.

2008-02-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-factory.c: (get_mime_type_from_uri):

	Duplicate mime_type string before freeing it so that it doesn't
	always fail when getting mime type from uri. Fixes bug #518874.
	
2008-02-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_form_field_choice_changed):

	Fix a crash when a choice form field doesn't have any item
	selected. Fixes bug #518831
	
2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* shell/ev-window.c (ev_window_clear_temp_file):
	Use g_file_has_prefix instead of renamed
	g_file_contains_file.

	* configure.ac:
	Require new glib for above change.
	
2008-02-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-image.c: (ev_image_finalize),
	(ev_image_save_tmp):

	Return a real uri instead of a filename when saving an
	image. Fixes images drag an drop from evince to nautilus. 
	
2008-02-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc:
	(pdf_document_images_get_image_mapping):

	Return the image list in the right order. Fixes bug #516237.
	
2008-02-12  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* backend/impress/impress-document.c:
	(impress_document_thumbnails_get_thumbnail):

	Remove unused variable to avoid a compiler warning.

2008-02-12  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	
	Update for release 2.21.91.

2008-02-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* shell/Makefile.am:
	* shell/ev-application.[ch]:
	* shell/ev-sidebar-links.c:
	* shell/ev-utils.[ch]:
	* shell/ev-window.[ch]:

	Remove libgnomeprint support. Fixes bug #512370.
	
2008-02-08  Matthias Clasen  <mclasen@redhat.com>

	* thumbnailer/evince-thumbnailer.c: (main):

	Initialize glib type system before using it. Fixes bug #513934.
	
2008-02-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* properties/ev-properties-main.c:

	Add missing #include.
	
2008-01-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/djvu/djvu-document.c: (djvu_document_render):
	* backend/tiff/tiff-document.c: (tiff_document_render):

	Use the new cairo function cairo_format_stride_for_width when
	available. Fixes bug #482720.

2008-01-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-factory.c: (get_mime_type_from_uri),
	(get_mime_type_from_data), (get_document_from_uri):

	Use g_content_type_guess() only when slow is true in
	get_document_from_uri(). Fix several memory leaks.
	
2008-01-30  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* libdocument/ev-document-factory.c:
	(throw_unknown_mime_type_error), (throw_failed_to_get_info_error),
	(get_document_from_uri):

	Use g_content_type_guess () to get mimetype for files.
	Bug #510401.

2008-01-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* thumbnailer/Makefile.am:

	Remove DJVU_LIBS from thumbnailer LDADD. Fixes bug #513203.
	
2008-01-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Fix build with --without-libgnome. Fixes bug #512771.
	
2008-01-29  Matthias Clasen  <mclasen@redhat.com>

	* backend/dvi/Makefile.am: Install only dvi
	module. Fixes bug #512718.

2008-01-29  Matthias Clasen  <mclasen@redhat.com>

	* properties/ev-properties-main.c: (nautilus_module_initialize):
	
	Initialize backends in properties tab. Fixes bug
	#512720.

2008-01-29  Matthias Clasen  <mclasen@redhat.com>

	* properties/Makefile.am: No need to link with 
	libraries. Fixes bug #512719.

2008-01-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 2.21.90.

2008-01-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_cmd_escape):

	Fix compile warning.
	
2008-01-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/dvi-document.c: (dvi_document_file_exporter_end):

	Fix printing in dvi backend when filename contains white
	espaces. Fixes bug #502839.
	
2008-01-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/totem-screensaver/totem-scrsaver.c:
	(screensaver_disable_x11):
	* shell/Makefile.am:
	* shell/xdg-user-dir-lookup.c: Removed
	* shell/ev-metadata-manager.c: (ev_metadata_arm_timeout):
	* shell/ev-view.c: (ev_view_presentation_transition_start):
	* shell/ev-window.c: (ev_window_cmd_file_open),
	(ev_window_cmd_save_as), (presentation_set_timeout):

	Remove #ifdefs that are no longer needed.
	
2008-01-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.[ch]: (ev_view_button_release_event),
	(ev_view_autoscroll_start), (ev_view_autoscroll_stop):
	* shell/ev-window.c: (ev_window_cmd_view_autoscroll),
	(ev_window_cmd_escape):

	Stop autoscroll when Escape key is pressed. Fixes bug #511635.
	
2008-01-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/comics/comics-document.c: (comics_document_load):
	* libdocument/ev-attachment.[ch]: (ev_attachment_finalize),
	(ev_attachment_set_property), (ev_attachment_init),
	(ev_attachment_save), (ev_attachment_launch_app),
	(ev_attachment_open):
	* libdocument/ev-document-factory.c: (get_document_from_uri):
	* libdocument/ev-file-helpers.[ch]: (ev_tmp_file_get),
	(ev_tmp_file_unlink), (ev_tmp_uri_unlink), (ev_xfer_uri_simple),:
	* shell/ev-jobs.c:
	* shell/ev-password.c: (ev_password_dialog_set_property),
	(ev_password_dialog_save_password):
	* shell/ev-sidebar-attachments.c:
	(ev_sidebar_attachments_drag_data_get):
	* shell/ev-window-title.c: (get_filename_from_uri):
	* shell/ev-window.c: (ev_window_clear_temp_file),
	(ev_window_load_job_cb), (window_open_file_copy_ready_cb),
	(ev_window_open_uri), (window_save_file_copy_ready_cb),
	(ev_window_save_remote), (ev_window_cmd_save_as), (launch_action),
	(launch_external_uri), (image_save_dialog_response_cb),
	(attachment_save_dialog_response_cb):
	* shell/main.c: (load_files), (load_files_remote), (main):
	* thumbnailer/evince-thumbnailer.c: (main):

	Port to gio and drop gnome-vfs dependency. Fixes bug
	#510401. Based on patch by Cosimo Cecchi.
	
2008-01-24  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* NEWS:

	Fixed formatting inconsistencies (spaces vs. tabs)

2008-01-24  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* shell/ev-window.c:

	Use top/up/bottom/down arrows instead of
	first/left/last/right in the toolbar and menu actions.
	This fixes issues with RTL languages and is visually
	consistent with the page view. Fixes bug #170081.

2008-01-24  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* NEWS:

	Fixed some inaccuracies pointed out by Carlos Garcia
	Campos.

2008-01-24  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* NEWS:
	* data/evince.schemas.in:
	* shell/ev-window.c: (ev_window_setup_action_sensitivity):

	Override PDF restrictions by default. Fixes bug #382700.

2008-01-24  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* NEWS: Updated for upcoming release

2008-01-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-backends-manager.c: (ev_backends_manager_load):

	Fix memory leak.
	
2008-01-23  Gil Forcada <gilforcada@guifi.net>

	* shell/ev-window.c: (register_custom_actions):
	
	Added comment for translators

2008-01-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_button_release_event):

	Do not create the idle function for kinetic scrolling if we are
	not in a drag operation.

2008-01-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_handle_cursor_over_xy),
	(ev_view_button_press_event), (ev_view_motion_notify_event),
	(ev_view_button_release_event):

	Restore cursor after autoscrolling. Fixes bug #509958.

2008-01-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc:
	(pdf_document_images_get_image_mapping),
	(pdf_document_images_get_image),
	(pdf_document_document_images_iface_init):
	* libdocument/ev-document-images.[ch]:
	(ev_document_images_get_image_mapping),
	(ev_document_images_get_image):
	* libdocument/ev-image.[ch]: (ev_image_new), (ev_image_get_page),
	(ev_image_get_id), (ev_image_save_tmp):
	* shell/ev-jobs.c: (ev_job_render_run):
	* shell/ev-view.c: (ev_view_drag_data_get):
	* shell/ev-window.c: (image_save_dialog_response_cb),
	(ev_view_popup_cmd_copy_image):

	Do not render images when rendering the page but on demand. It
	reduces the memory comsumption.
	
2008-01-18  Marcelo Lira  <setanta@gmail.com>

	* configure.a:
	* shell/ev-password.c:

	Make gnome-keyring optional. Fixes bug #509676.
	
2008-01-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c: (add_job):

	Initialize include_images variable as FALSE instead of TRUE.
	
2008-01-15  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* cut-n-paste/Makefile.am:
	* cut-n-paste/fileformatchooser/Makefile.am:
	* cut-n-paste/fileformatchooser/egg-macros.h:
	* cut-n-paste/fileformatchooser/eggfileformatchooser.c:
	* cut-n-paste/fileformatchooser/eggfileformatchooser.h:
	* shell/Makefile.am:
	* shell/ev-utils.c:
	(file_chooser_dialog_add_writable_pixbuf_formats),
	(get_gdk_pixbuf_format_by_extension):
	* shell/ev-utils.h:
	* shell/ev-window.c: (ev_window_error_message),
	(image_save_dialog_response_cb), (ev_view_popup_cmd_save_image_as):
	
	Simplify image format selection on save.

2008-01-15  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c: (ev_view_scroll_event):
	
	Repair gorizontal scrolling with shift. Fixes
	bug #483412.

2008-01-13  Carlos Garcia Campos  <carlosgc@gnome.org>
	
	* MAINTAINERS:

	Fix formatting issues.
	
2008-01-13  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/comics/comics-document.c: (comics_regex_quote):
	
	Don't overquote special chars except of '. See bug 
	502500. Thanks to Tom Parker.

2008-01-13  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* MAINTAINERS:
	
	Added Nickolay and Carlos, since they're doing most of
	the releases nowadays.

2008-01-13  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* properties/Makefile.am:

	Get the nautilus extension dir properly instead of using
	a hack. Fixes bug #505359.

2008-01-13  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* properties/Makefile.am:
	
	Install nautilus extension into new place. See bug
	#505359. Thanks to Matthias Clasen, Brian Pepple and
	Damien Carbery.

2008-01-13  Djihed Afifi  <djihed@gmail.com>

	* shell/ev-window.c: (ev_window_get_recent_file_label):
	
	RTL marker in recent file list. See bug #509076.

2008-01-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/djvu-text-page.c: (djvu_text_page_limits):
	* shell/ev-window.c: (image_save_dialog_response_cb):

	Fix compile warnings due to unused variables.
	
2008-01-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/dvi/cairo-device.c: (dvi_cairo_draw_ps):
	* backend/ps/ev-spectre.c: (ps_document_render):

	Bump requirements to libspectre 0.2.0. Fixes bug #507705. 

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_fade)
	(ev_transition_animation_paint): Implement "fade" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_uncover)
	(ev_transition_animation_paint): Implement "uncover" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_cover)
	(ev_transition_animation_paint): Implement "cover" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_push)
	(ev_transition_animation_paint): Implement "push" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_dissolve)
	(ev_transition_animation_paint): Implement "dissolve" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_wipe)
	(ev_transition_animation_paint): Implement "wipe" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_box)
	(ev_transition_animation_paint): Implement "box" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_blinds)
	(ev_transition_animation_paint): Implement "blinds" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.c (ev_transition_animation_split)
	(ev_transition_animation_paint): Implement "split" effect.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-view-private.h: Add a EvTransitionAnimation to the struct.
	* shell/ev-view.c (ev_view_expose_event) (ev_view_change_page)
	(ev_view_transition_animation_start) 
	(ev_view_transition_animation_finish) (ev_transition_animation_frame)
	(job_finished_cb) (page_changed_cb) (ev_view_set_presentation)
	(ev_view_next_page) (ev_view_previous_page):
	
	Use EvTransitionAnimation to drive page changes in the presentation
	mode, the animation will wait to start until both the origin and 
	destination page surfaces are available. Fixes #458460.

	(draw_loading_text):

	Remove workaround for bug #320352, it's now fixed properly.


2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-transition-animation.[ch]: Added, EvTransitionAnimation
	will contain the implementations for page transition animations, at
	the moment it just has the "replace" effect.
	* shell/Makefile.am: Added these files to build.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* shell/ev-timeline.[ch]: Added, EvTimeline is the base object for
	animations.
	* shell/Makefile.am: Added these files to build.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* backend/pdf/ev-poppler.cc (pdf_document_get_effect): Added
	implementation to get_effect() in EvDocumentTransitionIface.

2008-01-04  Carlos Garnacho  <carlosg@gnome.org>

	* libdocument/ev-transition-effect.[ch]: New files, define a page
	transition effect, at the moment it maps PopplerPageTransition to a
	GObject.
	* libdocument/Makefile.am: Added these files to build.
	* libdocument/ev-document-transition.[ch]
	(ev_document_transition_get_effect): New method, gets the
	EvTransitionEffect returned by the interface implementation, with
	fallback to the "replace" effect.

2007-12-30  Carl-Anton Ingmarsson  <c-a.ingmarsson@oktv.se>

	* configure.ac:
	* cut-n-paste/Makefile.am:
	* cut-n-paste/fileformatchooser/Makefile.am:
	* cut-n-paste/fileformatchooser/egg-macros.h:
	* cut-n-paste/fileformatchooser/eggfileformatchooser.[ch]:
	* shell/Makefile.am:
	* shell/ev-window.c: (image_save_dialog_response_cb),
	(ev_view_popup_cmd_save_image_as):

	Allow exporting images in any format supported by
	GdkPixbuf. Fixes bug #500209.
	
2007-12-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pixbuf/pixbuf-document.c:

	More warnings fixed.
	
2007-12-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/djvu-links.c: (get_djvu_link_dest),
	(get_djvu_hyperlink_area), (djvu_links_find_link_dest):
	* backend/djvu/djvu-text.h:
	* backend/tiff/tiff-document.c: (tiff_document_render):

	Fix compile warnings.
	
2007-12-28  Christian Persch  <chpe@gnome.org>

	* **/*.c: Include config.h. Bug #504721.

2007-12-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* Makefile.am:
	* po/POTFILES.in:
	* backend/comics/Makefile.am:
	* backend/comics/comics-document.[ch]:
	* backend/comics/comicsdocument.evince-backend.in:
	* backend/djvu/Makefile.am:
	* backend/djvu/djvu-document.[ch]:
	* backend/djvu/djvudocument.evince-backend.in:
	* backend/dvi/Makefile.am:
	* backend/dvi/dvi-document.[c]:
	* backend/dvi/dvidocument.evince-backend.in:
	* backend/impress/Makefile.am:
	* backend/impress/impress-document.[ch]:
	* backend/impress/impressdocument.evince-backend.in:
	* backend/pdf/Makefile.am:
	* backend/pdf/ev-poppler.cc:
	* backend/pdf/ev-poppler.h:
	* backend/pdf/pdfdocument.evince-backend.in:
	* backend/pixbuf/Makefile.am:
	* backend/pixbuf/pixbuf-document.[ch]:
	* backend/pixbuf/pixbufdocument.evince-backend.in:
	* backend/ps/Makefile.am:
	* backend/ps/ev-spectre.[ch]:
	* backend/ps/ps-document.[ch]:
	* backend/ps/psdocument.evince-backend.in:
	* backend/tiff/Makefile.am:
	* backend/tiff/tiff-document.[ch]:
	* backend/tiff/tiffdocument.evince-backend.in:
	* libdocument/Makefile.am:
	* libdocument/ev-backends-manager.[ch]:
	* libdocument/ev-module.[ch]:
	* libdocument/ev-document.h:
	* libdocument/ev-document-factory.[ch]:
	(gdk_pixbuf_mime_type_list), (mime_type_supported_by_gdk_pixbuf),
	(get_compression_from_mime_type), (get_document_from_uri),
	(ev_document_factory_get_document), (file_filter_add_mime_types),
	(ev_document_factory_add_filters):
	* shell/Makefile.am:
	* shell/ev-window-title.c: (get_filename_from_uri):
	* shell/main.c: (main):
	* thumbnailer/Makefile.am:
	* thumbnailer/evince-thumbnailer.c: (main):

	Plugin system for backends. Fixes bug #351348.
	
2007-12-25  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_drag_update_momentum),
	(ev_view_scroll_drag_release), (ev_view_motion_notify_event),
	(ev_view_button_release_event), (ev_view_destroy):
	
	Kinetic scrolling implemented as requested in
	bug #461271. Thanks to David Turner <cillian64@googlemail.com>.

2007-12-23  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/evince-toolbar.xml:
	* data/evince-ui.xml:
	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_handle_cursor_over_xy),
	(ev_view_button_press_event), (ev_view_motion_notify_event),
	(ev_view_button_release_event), (ev_view_init),
	(ev_view_autoscroll_cb), (ev_view_autoscroll),
	(ev_view_set_cursor):
	* shell/ev-view.h:
	* shell/ev-window.c: (ev_window_setup_action_sensitivity),
	(ev_window_cmd_view_autoscroll):
	
	Autoscroll feature with the context menu. Fixes bug 
	#323670. Thanks to David Turner <cillian64@googlemail.com>.

2007-12-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c: (check_job_size_and_unref):

	Disconnect also page-ready signal when removing a job because the
	page size has changed. Thanks to kripken
	<kripkensteiner@gmail.com>.

2007-12-21  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-page-action.c: (page_scroll_cb), (create_tool_item):
	
	Scroll pages in page entry with mouse wheel. Fixes bug
	#324122. Thanks to David Turner <cillian64@googlemail.com>.

2007-12-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/Makefile.am:
	* backend/dvi/cairo-device.c: (dvi_cairo_draw_ps),
	(mdvi_cairo_device_init):
	* backend/dvi/mdvi-lib/common.h:
	* backend/dvi/mdvi-lib/mdvi.h:
	* backend/dvi/mdvi-lib/sp-epsf.c: (epsf_special):
	* backend/dvi/mdvi-lib/util.c: (mdvi_strrstr),
	(mdvi_build_path_from_cwd):

	Add ps specials support in dvi backend when libspectre is
	present. Fixes bug #386005.
	
2007-12-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/ps/Makefile.am:
	* backend/ps/ev-spectre.[ch]:
	
	Use libspectre, if available, for the ps backend. Fixes bugs
	#317106, #499787, #501235, #421879, #445797, #443859 and #486547.

2007-12-18  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>
	
	* backend/comics/comics-document.c: (comics_document_load):
	
	Cygwin build issue fix.

2007-12-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_set_zoom):

	Do not limit the minimum zoom factor when sizing mode is best bit
	or fit width. Fixes bug #503805.
	
2007-12-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (ev_link_dest_from_dest):
	* libdocument/ev-link-dest.[ch]: (ev_link_dest_get_top),
	(ev_link_dest_get_left), (ev_link_dest_get_zoom),
	(ev_link_dest_get_property), (ev_link_dest_set_property),
	(ev_link_dest_class_init), (ev_link_dest_new_xyz),
	(ev_link_dest_new_fith), (ev_link_dest_new_fitv),
	(ev_link_dest_new_fitr):
	* shell/ev-view.c: (goto_fitr_dest), (goto_fitv_dest),
	(goto_fith_dest), (goto_xyz_dest):

	Do not change left, top and zoom values when they are null in PDF
	destinations. Fixes bug #460658.
	
2007-12-10  Christian Persch  <chpe@gnome.org>

	* shell/ev-view-accessible.c: (ev_view_accessible_finalize),
	(ev_view_accessible_class_init),
	(ev_view_accessible_idle_do_action),
	(ev_view_accessible_action_do_action),
	(ev_view_accessible_action_get_description),
	(ev_view_accessible_action_set_description),
	(ev_view_accessible_action_iface_init), (ev_view_accessible_new),
	(ev_view_accessible_factory_init),
	(ev_view_accessible_factory_get_accessible_type):
	* shell/ev-view-accessible.h: A bit of cleanup: use gobject instance
	private data, and G_DEFINE_TYPE. Bug #502843.

2007-12-08  Christian Persch  <chpe@gnome.org>

	* shell/ev-metadata-manager.c: (item_free),
	(ev_metadata_manager_init), (ev_metadata_manager_shutdown),
	(value_free), (parse_value), (parseItem),
	(ev_metadata_manager_set_last), (ev_metadata_manager_set),
	(save_values): Use GSlice to allocate small amounts of memory. Bug
	#475972.

2007-12-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_handle_cursor_over_xy):

	Restore cursor to normal after a drag operation. Fixes bug
	#501603.
	
2007-12-04  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 2.21.1

2007-12-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/gedit-message-area/Makefile.am:
	* cut-n-paste/gedit-message-area/gedit-message-area.[ch]:
	* shell/Makefile.am:
	* shell/ev-message-area.[ch]:
	* shell/ev-window.c: (ev_window_set_message_area),
	(ev_window_error_message_response_cb), (ev_window_error_message),
	(ev_window_load_job_cb), (ev_window_cmd_file_open_copy_at_dest),
	(ev_window_save_job_cb), (image_save_dialog_response_cb),
	(ev_attachment_popup_cmd_open_attachment),
	(attachment_save_dialog_response_cb), (ev_window_set_document),
	(ev_window_init):

	Use a message area instead of a popup dialog for error
	notifications. Fixes bug #337495.
	
2007-12-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (fullscreen_toolbar_remove_shadow),
	(ev_window_run_fullscreen):

	Remove the shadow of the fullscreen toolbar. Fixes bug #500702.
	
2007-12-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* ev-sidebar-thumbnails.c: (update_visible_range),
	(ev_sidebar_thumbnails_refresh),
	(ev_sidebar_thumbnails_set_document),
	(ev_sidebar_thumbnails_support_document):

	Show thumbnails for documents with one page. Fixes bug #358751.
	
2007-12-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c:
	(ev_window_load_print_settings_from_metadata),
	(ev_window_save_print_settings), (ev_window_print_finished),
	(ev_window_print_range):

	Print settings that are specific to the document are now saved per
	document in the metadata file. Fixes bug #488806.
	
2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	* backend/tiff/tiff-document.c: (tiff_document_render):

	Tiff documents were rendered with wrong colors. Fixes bug #497279.
	
2007-11-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.[ch]: (get_find_string_from_args),
	(ev_application_open_uri_at_dest), (ev_application_open_uri),
	(ev_application_open_uri_list):
	* shell/ev-jobs.[ch]: (ev_job_load_dispose), (ev_job_load_new):
	* shell/ev-window.[ch]: (ev_window_load_job_cb),
	(ev_window_open_uri), (ev_window_cmd_file_open_copy_at_dest),
	(ev_window_cmd_recent_file_activate),
	(ev_window_open_recent_action_item_activated),
	(ev_window_print_send), (open_remote_link):
	* shell/main.c: (arguments_parse):

	Add a command line option for search. Fixes bug #497710.
	
2007-11-20  Darren Kenny  <darren.kenny@sun.com>

	* shell/ev-jobs.c: (ev_job_print_new):

	Fix endless loop when pages_per_sheet is 0. Fixes bug #498248.
	
2007-10-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/evince-toolbar.xml:
	* shell/Makefile.am:
	* shell/ev-application.c: (ev_application_init):
	* shell/ev-open-recent-action.[ch]:
	* shell/ev-window.c:
	(ev_window_open_recent_action_item_activated),
	(register_custom_actions):

	Add an expander to the open toolbar item which pops up a dropdown
	menu with the recently used documents. Fixes bug #487215.
	
2007-10-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_open_uri),
	(ev_window_cmd_view_reload):

	Do not jump to the first page when reloading by running evince
	from the command line. Fixes bug #490847.
	
2007-10-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* shell/ev-window.c: (ev_window_cmd_help_contents):

	Plugged memory leak when help file is not found. Fixes bug
	#490762.
	
2007-10-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Enable djvu, dvi and comics backends by default. Fixes bug
	#437121.
	
2007-10-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/Makefile.am:
	* cut-n-paste/recent-files/*: Removed
	* help/reference/Makefile.am:
	* shell/Makefile.am:
	* shell/ev-application.[ch]: (ev_application_shutdown),
	(ev_application_init):
	* shell/ev-window.c: (ev_window_add_recent),
	(ev_window_setup_recent), (ev_window_dispose), (ev_window_init):

	Bump requirements to gtk+ 2.10.0 and remove egg-recent code. 
	
2007-10-25  Pascal Terjan  <pterjan@linuxfr.org>

	* shell/ev-window.c: (launch_external_uri):

	Let GnomeVFS check the URL, this allow more URL (like mailto:),
	and report error if the URL is not supported (#489910).

2007-10-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_file_exporter_begin),
	(pdf_document_file_exporter_begin_page),
	(pdf_document_file_exporter_end_page):

	Fix printing with poppler splash backend. Fixes bug #489774.
	
2007-10-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_file_exporter_begin):
	* shell/ev-print-job.c: (ev_print_job_class_init):

	Fix a crash when printing with the gnome-print dialog. Fixes bug
	#488939.
	
2007-10-18  Sebastien Bacher  <seb128@ubuntu.com>

	* backend/pixbuf/pixbuf-document.c:

	Fix an implicit function definition warning (#487655)

2007-10-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c:

	Fix conflicting shortcut for view sade pane and presentation.
	
2007-10-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc:
	(pdf_document_file_exporter_begin_page),
	(pdf_document_file_exporter_do_page),
	(pdf_document_file_exporter_end_page),
	(pdf_document_file_exporter_iface_init):
	* libdocument/ev-file-exporter.[ch]:
	(ev_file_exporter_begin_page), (ev_file_exporter_end_page):
	* shell/ev-jobs.c: (ev_job_print_get_page_list),
	(ev_job_print_run):

	When printing multiple pages per sheet in reverse option, do not
	invert the order of the pages in every sheet, but the order of the
	sheets. Do not print blank pages when page range is invalid. Fixes
	bugs #484857 and #485521.
	
2007-10-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.c: (ev_job_print_get_page_list),
	(ev_job_print_run):
	* shell/ev-window.c: (ev_window_print_dialog_response_cb):

	Respect ranges order when printing more than one range in random
	order.
	
2007-10-10  Martin Schanzenbach  <mschanzenbach@gmail.com>

	* shell/ev-window.c: (ev_window_refresh_window_thumbnail),
	(ev_window_setup_document), (ev_window_rotation_changed_cb):

	Rotate also the window icon when document is rotated. Fixes bug
	#474681.
	
2007-10-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (ev_form_field_from_poppler_field),
	(pdf_document_forms_get_form_fields):

	Silently ignore unknown form fields. Fixes bug #482654. Patch by
	Matthias Drochner.
	
2007-10-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc: (pdf_document_file_exporter_do_page):

	Use poppler_page_render_for_printing() instead of
	poppler_page_render() if available when exporting to a ps or pdf
	file. Fixes bug #476627.
	
2007-10-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_run_fullscreen):

	Do not show the toolbar in fullscreen mode if the main toolbar is
	not visible. Fixes bug #483048.
	
2007-09-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_button_press_event):

	Give priority to form fields over images when deciding whether a
	button press event is over an image or form field. It allows edit
	form fields when they are over a background image. Fixes bug
	#477841.
	
2007-09-17  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 2.20.0

2007-09-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc:

	Remove #ifdef HAVE_FORMS, so that forms support works again.

2007-09-05  Götz Waschk  <waschk@mandriva.org>

	* configure.ac:
	* data/evince.desktop.in.in:
	
	Fixes desktop file issues. See bug #473471.

2007-09-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-job-queue.c: (handle_job), (search_for_jobs_unlocked),
	(no_jobs_available_unlocked), (ev_job_queue_init), (find_queue),
	(ev_job_queue_remove_job):
	* shell/ev-jobs.[ch]: (ev_job_save_init), (ev_job_save_dispose),
	(ev_job_save_class_init), (ev_job_save_new), (ev_job_save_run):
	* shell/ev-window.c: (ev_window_clear_save_job),
	(ev_window_save_job_cb), (file_save_dialog_response_cb),
	(ev_window_dispose):

	Move save a copy task to its own job so that it's carried out in a
	thread avoiding another lock in the main thread. Use
	ev_xfer_uri_simple() instead of gnome_vfs_move() so that document
	can be saved to a pathin another file system. Fixes bug #456891.
	
2007-09-04  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 2.19.92

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc: (pdf_selection_get_selected_text),
	(pdf_selection_get_selection_region),
	(pdf_selection_get_selection_map),
	(ev_form_field_from_poppler_field):

	Bump requirements to poppler 0.6 and drop all ifdefs used. Double
	and triple click selections are enabled again now.

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_add_history):

	Make sure not to use the history with documents not supporting
	links. Fixes bug #468954.

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_load_job_cb):

	Restart the search when reloading a document with the find bar
	visible. Fixes bug #461962.

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (setup_document_from_metadata),
	(ev_window_load_job_cb), (ev_window_cmd_view_reload):

	Do not jump to the first page when reloading a document from the
	last page.

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (update_chrome_flag),
	(setup_sidebar_from_metadata),
	(ev_window_cmd_focus_page_selector), (ev_window_cmd_edit_find),
	(ev_window_cmd_edit_find_next),
	(ev_window_cmd_edit_find_previous), (ev_window_cmd_escape),
	(ev_window_view_toolbar_cb), (ev_window_view_sidebar_cb),
	(find_bar_close_cb), (view_actions_focus_in_cb):

	Do not update visibility when changing a chrome flag so that it's
	possible to update several flags and update visibility only once
	for all of them.

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_dialog_response_cb):

	Use GTK_UNIT_POINTS instead of GTK_UNIT_PIXEL, since it's not
	supported by gtk+. Fixes bug #460907.

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (view_update_range_and_current_page):

	Make sure current-page <= end-page in continuous mode. Fixes bug
	#454950.

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (build_tree):

	Ignore outline items without a title. Fixes bug #453913.

2007-09-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_handle_cursor_over_xy),
	(ev_view_button_release_event), (ev_view_leave_notify_event):

	Use always drag mouse cursor during a drag operation. Fixes bug
	#470564.

2007-09-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_selection_get_selected_text),
	(pdf_selection_get_selection_region),
	(pdf_selection_get_selection_map):

	Temporarily disable double and triple selections since it depends on
	poppler cvs head. It'll be enabled again as soon as poppler 0.6 is
	released and the update of the external dependency minimal version
	approved.

2007-09-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_file_exporter_begin),
	(pdf_document_file_exporter_do_page):
	* libdocument/ev-file-exporter.h:
	* shell/ev-jobs.[ch]: (ev_job_print_new), (ev_job_print_run):
	* shell/ev-window.c: (ev_window_print_dialog_response_cb):

	Actually fix printing regressions. Remove orientation from
	EvPrintContext since it's redundant.

2007-08-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/dvi-document.c: (dvi_document_document_iface_init):
	* backend/impress/impress-document.c:
	(impress_document_document_iface_init):
	* backend/ps/ps-document.c: (ps_document_document_iface_init):
	* backend/djvu/djvu-document.c:
	(djvu_document_document_iface_init),
	(djvu_selection_get_selected_text), (djvu_selection_iface_init):
	* backend/tiff/tiff-document.c:
	(tiff_document_document_iface_init):
	* backend/pixbuf/pixbuf-document.c:
	(pixbuf_document_document_iface_init):
	* backend/comics/comics-document.c:
	(comics_document_document_iface_init):
	* backend/pdf/ev-poppler.cc: (pdf_document_document_iface_init),
	(pdf_selection_render_selection),
	(pdf_selection_get_selected_text),
	(pdf_selection_get_selection_region),
	(pdf_selection_get_selection_map), (pdf_selection_iface_init):
	* libdocument/ev-selection.[ch]: (ev_selection_get_selected_text),
	(ev_selection_get_selection_region),
	(ev_selection_get_selection_map):
	* libdocument/ev-document.[ch]:
	* shell/ev-pixbuf-cache.[ch]: (add_job),
	(ev_pixbuf_cache_get_selection_surface), (update_job_selection):
	* shell/ev-view-private.h:
	* shell/ev-jobs.[ch]: (ev_job_render_new), (ev_job_render_new),
	(ev_job_render_run):
	* shell/ev-window.c: (ev_window_setup_action_sensitivity):
	* shell/ev-view.c: (start_selection_for_event),
	(ev_view_button_press_event), (ev_view_drag_data_get),
	(ev_view_drag_data_received), (ev_view_button_release_event),
	(compute_new_selection_text), (compute_selections),
	(ev_view_select_all), (get_selected_text), (ev_view_copy),
	(ev_view_primary_get_cb):

	Add support for double and triple click selections.

2007-08-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:

	Update for release 2.19.4

2007-08-28  Justin Blanchard  <justinb04@aim.com>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_expose_event), (ev_view_init),
	(ev_view_set_highlight_search):
	* shell/ev-view.h:
	* shell/ev-window.c: (ev_window_cmd_edit_find_next),
	(ev_window_cmd_edit_find_previous), (find_bar_search_changed_cb),
	(find_bar_visibility_changed_cb):
	
	Enables 'find next' when bindbar is hidden. Fixes bug #323817.

2007-08-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_print_context_free),
	(pdf_document_file_exporter_begin),
	(pdf_document_file_exporter_do_page):
	* shell/ev-jobs.c: (ev_job_print_run):
	* shell/ev-window.c: (ev_window_print_dialog_response_cb):

	Create always a portrait cairo surface and rotate when needed for
	landscape. It fixes printing problems in real printers.

2007-08-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_file_exporter_begin):
	* libdocument/ev-file-exporter.[ch]:
	(ev_file_exporter_get_capabilities):
	* shell/ev-jobs.[ch]: (ev_job_print_new), (ev_job_print_run):
	* shell/ev-window.c: (ev_window_print_dialog_response_cb):

	Adjust number of pages per row according to page orientation when
	printing 2 or 6 pages per sheet.

2007-08-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_send):

	Reset also cups setting to 1 when printing multiple pages per
	sheet. Fixes bug #468853.

2007-08-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-misc.c:
	(ev_document_misc_surface_rotate_and_scale):

	Use directly cairo_surface_get_content() when creating a similar
	surface as suggested by Jeff Muizelaar. Thanks again.

2007-08-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/djvu-document.c: (djvu_document_render):
	* backend/tiff/tiff-document.c: (tiff_document_render):
	* backend/pdf/ev-poppler.cc: (pdf_document_render):
	* libdocument/ev-document-misc.c:
	(ev_document_misc_surface_from_pixbuf),
	(ev_document_misc_surface_rotate_and_scale):

	Use CAIRO_FORMAT_RGB24 instead of CAIRO_FORMAT_ARGB32 when
	creating page surfaces. Fixes bug #453123. Thank you very much to
	Jeff Muizelaar <jeff@infidigm.net>.

2007-08-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-page-cache.c: (ev_page_cache_new),
	(ev_page_cache_get_thumbnail_size):
	* shell/ev-sidebar-thumbnails.c: (get_scale_for_page),
	(ev_sidebar_thumbnails_set_loading_icon):

	Also store in page-cache the dimensions of the thumbnails so that
	they can be used to create the correct loading icon in the side
	pane. Fixes bug #466857.

2007-08-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc:
	(pdf_document_thumbnails_get_thumbnail):

	Fix thumbnails rotation in pdf documents that include embedded 
	thumbnails.

2007-08-15  Jens Granseuer  <jensgr@gmx.net>

	* backend/pdf/ev-poppler.cc:

	Don't use #ifdef in macro expansion. Some compilers don't
	like that. Closes bug #467042.

2007-08-15  Justin Blanchard  <justinb04@aim.com>

	* backend/djvu/djvu-document.c: (djvu_document_finalize):
	
	Fixes memory leak in djvu backend.

2007-08-15  Andreas Nilsson  <nisses.mail@home.se>

	* data/icons/32x32/Makefile.am:
	* data/icons/32x32/actions/Makefile.am:
	* data/icons/32x32/actions/view-page-cont.svg:
	* data/icons/32x32/actions/view-page-facing.svg:
	* data/icons/48x48/Makefile.am:
	* data/icons/48x48/actions/Makefile.am:
	* data/icons/48x48/actions/view-page-cont.svg:
	* data/icons/48x48/actions/view-page-facing.svg:
	
	Icons for a new sizes.

2007-08-14  Justin Blanchard  <justinb04@aim.com>

	* shell/ev-page-cache.c: (build_height_to_page),
	(ev_page_cache_get_height_to_page):
	
	Fixes invalid read, see bug #466401.

2007-08-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/toolbar-editor/egg-toolbar-editor.c:
	(set_drag_cursor):
	* cut-n-paste/toolbar-editor/egg-editable-toolbar.c:
	(configure_item_cursor), (new_pixbuf_from_widget):

	Fix multihead problems in toolbar editor. Fixes bug #382055.

2007-08-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_cmd_file_open),
	(ev_window_cmd_save_as):

	Use g_get_user_special_dir when available instead of
	xdg_user_dir_lookup.

2007-08-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* MAINTAINERS:
	
	Updated according to request on desktop-devel.

2007-08-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_expose_event), (draw_one_page):

	Do not use cairo_rectangle and cairo_clip since we are
	not using cairo_fill but cairo_paint. Use the same cairo context
	for every page in the same expose event.

2007-07-31  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* shell/ev-window.c: (file_open_dialog_response_cb): Plugged memory
	leak.

2007-07-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* NEWS:

	Release 0.9.3

2007-07-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document-info.h:
	* libdocument/ev-document.h:
	* shell/ev-page-action.h:
	* shell/ev-sidebar-links.h:

	Fix a headers problem with ev-link
	
	* libdocument/ev-link.[ch]: (ev_link_mapping_get_area):
	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_handle_cursor_over_xy),
	(get_link_area), (ev_view_query_tooltip),
	(ev_view_leave_notify_event), (ev_view_destroy),
	(ev_view_class_init):

	Use new gtk tooltips when available instead of ev-tooltip.
	
2007-07-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (update_chrome_visibility),
	(ev_window_sidebar_visibility_changed_cb):

	Do not hide sidebar in fullscreen mode. Fixes bug #396535.
	
2007-07-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-navigation-action.c:
	(ev_navigation_action_history_changed),
	(ev_navigation_action_set_history):
	* shell/ev-navigation-action-widget.c:
	(ev_navigation_action_widget_init):
	* shell/ev-sidebar-thumbnails.c: (adjustment_changed_cb):

	Fix compile warnings.
	
2007-07-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/toolbar-editor/egg-editable-toolbar.c:
	(egg_editable_toolbar_dispose):

	Fix memory leak.
	
2007-07-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/totem-screensaver/totem-scrsaver.c:
	(screensaver_disable_x11):
	* shell/ev-metadata-manager.c: (ev_metadata_arm_timeout):
	* shell/ev-window.c: (presentation_set_timeout):
	* shell/ev-view.c: (ev_view_presentation_transition_start):

	Use g_timeout_add_seconds instead of g_timeout_add when
	available.
	
2007-07-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-thumbnails.c: (ev_sidebar_thumbnails_init):

	Set horizontal scrollbar policy to AUTOMATIC instead of
	NEVER. Workaround for bug #449462.
	
2007-07-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.c: (ev_job_render_page_ready):

	Add page_ready callback to main loop with high priority and hold
	a reference to job during idle.
	
2007-07-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc: (pdf_print_context_free),
	(pdf_document_file_exporter_begin),
	(pdf_document_file_exporter_do_page),
	(pdf_document_file_exporter_get_capabilities):
	* libdocument/ev-file-exporter.h:
	* shell/ev-jobs.[ch]: (ev_job_print_new), (ev_job_print_run):
	* shell/ev-window.c: (ev_window_print_send),
	(ev_window_print_dialog_response_cb):

	Allow printing multiple pages per sheet. Fixes bug #395573.
	
2007-07-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c: (tip_from_link):
	
	Check for NULL, fixes bug #460862.

2007-07-29  Christian Persch  <chpe@gnome.org>

	* shell/ev-window.c: (ev_window_enumerate_printer_cb),
	(ev_window_preview_print_finished), (ev_window_do_preview_print),
	(ev_window_cmd_preview_print):
	
	Fixes bug #437681 - blocks while enumerating printers.

2007-07-29  Christian Persch  <chpe@gnome.org>

	* shell/ev-window.c: (ev_window_screen_changed):
	
	Don't use deprecated gtk+ function. See bug #460909.

2007-07-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-utils.c: (get_num_monitors):
	* shell/ev-window.c: (ev_window_sizing_mode_changed_cb):

	Do not use display before initializing it. Remove compile
	warnings.

2007-07-27  Cosimo Cecchi  <anarki@lilik.it>

	* shell/ev-view.c: (ev_view_class_init):
	
	Unix-like hjkl bindings added. See bug #458111.

2007-07-27  Johannes Buchner  <buchner.johannes@gmx.at>

	* shell/ev-utils.c: (get_num_monitors), (get_screen_dpi):
	* shell/ev-utils.h:
	* shell/ev-view.c: (ev_view_set_zoom_for_size),
	(ev_view_update_view_size):
	* shell/ev-view.h:
	* shell/ev-window.c: (ev_window_update_actions),
	(setup_view_from_metadata), (ev_window_screen_changed),
	(ev_window_sizing_mode_changed_cb), (ev_window_zoom_changed_cb),
	(zoom_control_changed_cb):
	* shell/ev-window.h:
	
	Reorganizes utility functions.

2007-07-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c: (job_page_ready_cb), (job_finished_cb),
	(copy_job_page_and_selection_to_job_info), (copy_job_to_job_info),
	(add_job), (ev_pixbuf_cache_get_surface),
	(ev_pixbuf_cache_get_link_mapping),
	(ev_pixbuf_cache_get_image_mapping),
	(ev_pixbuf_cache_get_form_field_mapping),
	(ev_pixbuf_cache_get_text_mapping):
	* shell/ev-jobs.[ch]: (ev_job_render_class_init),
	(notify_page_ready), (ev_job_render_page_ready),
	(ev_job_render_run):

	Add page_ready signal to notify that page is ready as soon as
	possible even if other page elements like links, forms, images or
	text mapping are not ready yet.

2007-07-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/dvi-document.c: (dvi_document_file_exporter_begin),
	(dvi_document_file_exporter_do_page),
	(dvi_document_file_exporter_get_capabilities),
	(dvi_document_file_exporter_iface_init):
	* backend/ps/ps-document.c: (ps_document_file_exporter_begin),
	(ps_document_file_exporter_do_page),
	(ps_document_file_exporter_get_capabilities),
	(ps_document_file_exporter_iface_init):
	* backend/djvu/djvu-document.c:
	(djvu_document_file_exporter_begin),
	(djvu_document_file_exporter_end),
	(djvu_document_file_exporter_get_capabilities),
	(djvu_document_file_exporter_iface_init):
	* backend/tiff/tiff-document.c:
	(tiff_document_file_exporter_begin),
	(tiff_document_file_exporter_get_capabilities),
	(tiff_document_document_file_exporter_iface_init):
	* backend/pdf/ev-poppler.cc: (pdf_document_file_exporter_begin),
	(pdf_document_file_exporter_do_page),
	(pdf_document_file_exporter_get_capabilities),
	(pdf_document_file_exporter_iface_init):
	* libdocument/ev-file-exporter.[ch]: (ev_file_exporter_begin),
	(ev_file_exporter_get_capabilities):
	* shell/ev-print-job.c: (ev_print_job_use_print_dialog_settings),
	(idle_print_handler), (ev_print_job_print):
	* shell/ev-jobs.c: (ev_job_print_run):
	* shell/ev-window.c: (ev_window_print_send),
	(ev_window_print_range):

	Use capabilities to know which options should be offered by the
	print dialog depending on the document backend.

2007-07-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_handle_cursor_over_xy):

	Give priority to forms over text to set the cursor.

2007-07-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_handle_cursor_over_xy),
	(ev_view_leave_notify_event), (ev_view_finalize),
	(ev_view_get_property), (ev_view_class_init):

	Use IBEAM cursor for text form fields and NORMAL cursor for read
	only fields. Remove unused status attribute.

2007-07-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_form_field_button_create_widget):

	Update region for current selected items also for checkbox
	buttons, since they can behave as radio buttons when they are in a
	set.

2007-07-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc: (ev_form_field_from_poppler_field):

	Get max length of text form fields.

2007-07-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (ev_form_field_from_poppler_field):
	* libdocument/ev-form-field.h:
	* shell/ev-view.c: (ev_view_form_field_text_create_widget):

	Fix build with current poppler cvs head.

2007-07-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* cut-n-paste/zoom-control/ephy-zoom-control.c:
	* shell/eggfindbar.c: (egg_find_bar_init):

	Fix build with gtk+ >= 2.11.5 due to gtktooltips
	deprecation. Fixes bug #455667

2007-07-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 0.9.2

2007-07-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_form_field_text_save),
	(ev_view_form_field_choice_save):

	Fix a crash when closing whith a form widget visible.

2007-07-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_form_field_button_create_widget):

	Update also the region of the current selected button when
	clicking on another button if they are radio buttons.

2007-07-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.[ch]: (ev_pixbuf_cache_class_init),
	(dispose_cache_job_info), (job_finished_cb), (move_one_job),
	(add_job), (add_job_if_needed), (ev_pixbuf_cache_get_surface),
	(ev_pixbuf_cache_get_link_mapping),
	(ev_pixbuf_cache_get_image_mapping),
	(ev_pixbuf_cache_get_form_field_mapping),
	(ev_pixbuf_cache_get_text_mapping), (ev_pixbuf_cache_reload_page):
	* shell/ev-view.c: (ev_view_form_field_get_region),
	(ev_view_form_field_button_create_widget),
	(ev_view_form_field_text_save), (ev_view_form_field_choice_save),
	(job_finished_cb):

	Redraw only form field region instead of the whole page when
	reloading a page to show changes on the form field.

2007-07-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_form_field_choice_save):

	Fix selection of first item in list form fields.

2007-07-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c: (add_job), (add_job_if_needed),
	(ev_pixbuf_cache_reload_page),
	(ev_pixbuf_cache_get_form_field_mapping):

	Some refactoring to avoid duplicated code.

2007-07-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc: (pdf_document_get_crop_box),
	(ev_form_field_from_poppler_field),
	(pdf_document_forms_get_form_fields),
	(pdf_document_forms_form_field_text_get_text),
	(pdf_document_forms_form_field_text_set_text),
	(pdf_document_forms_form_field_button_set_state),
	(pdf_document_forms_form_field_button_get_state),
	(pdf_document_forms_form_field_choice_get_item),
	(pdf_document_forms_form_field_choice_get_n_items),
	(pdf_document_forms_form_field_choice_is_item_selected),
	(pdf_document_forms_form_field_choice_select_item),
	(pdf_document_forms_form_field_choice_toggle_item),
	(pdf_document_forms_form_field_choice_unselect_all),
	(pdf_document_forms_form_field_choice_set_text),
	(pdf_document_forms_form_field_choice_get_text),
	(pdf_document_document_forms_iface_init):
	* libdocument/Makefile.am:
	* libdocument/ev-form-field.[ch]:
	* libdocument/ev-document-forms.[ch]:
	* shell/ev-pixbuf-cache.[ch]: (dispose_cache_job_info),
	(move_one_job), (copy_job_to_job_info), (add_job_if_needed),
	(add_job), (ev_pixbuf_cache_reload_page),
	(ev_pixbuf_cache_get_form_field_mapping):
	* shell/ev-jobs.[ch]: (ev_job_render_new), (ev_job_render_run):
	* shell/ev-view-private.h:
	* shell/ev-view.[ch]: (ev_view_set_scroll_adjustments),
	(ev_view_handle_cursor_over_xy),
	(ev_view_get_form_field_at_location),
	(ev_view_forms_remove_widgets), (ev_view_form_field_destroy),
	(ev_view_form_field_button_create_widget),
	(ev_view_form_field_text_save), (ev_view_form_field_text_changed),
	(ev_view_form_field_text_create_widget),
	(ev_view_form_field_choice_save),
	(ev_view_form_field_choice_changed),
	(ev_view_form_field_choice_create_widget),
	(ev_view_handle_form_field), (ev_view_size_allocate),
	(ev_view_realize), (draw_end_presentation_page),
	(ev_view_button_press_event), (ev_view_remove_all),
	(ev_view_motion_notify_event), (ev_view_key_press_event),
	(ev_view_enter_notify_event), (highlight_find_results),
	(draw_loading_text), (draw_one_page), (ev_view_destroy),
	(ev_view_class_init), (page_changed_cb),
	(on_adjustment_value_changed), (ev_view_set_presentation),
	(merge_selection_region), (ev_view_set_cursor),
	(ev_view_reset_presentation_state):
	
	Merge evince-forms branch.

2007-07-03  Jaap Haitsma  <jaap@haitsma.org>

	* cut-n-paste/toolbar-editor/update-toolbareditor-from-libegg: removed

	* cut-n-paste/toolbar-editor/update-toolbareditor-from-libegg.sh: added
	This script also updates itself from libegg

	* cut-n-paste/toolbar-editor/egg*:
	Run update-toolbareditor-from-libegg.sh so we are in sync again with
	libegg

2007-07-02  Jaap Haitsma  <jaap@haitsma.org>

	* shell/ev-window.c:
	
	Adds a nice icon to page action during toolbar editing.
	See bug #452872.

2007-07-02  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/evince-toolbar.xml:
	* shell/ev-window.c:
	
	Let user add a presentation and fullscreen icons on toolbar.
	See bug #449734.

2007-07-01  Jaap Haitsma  <jaap@haitsma.org>

	* cut-n-paste/toolbar-editor/update-toolbareditor-from-libegg: 

	new script to keep in sync with toolbareditor in libegg

	* cut-n-paste/toolbar-editor/*: 

	Run update-toolbareditor-from-libegg so we are in sync again. 
	Fixes bug #452850.
	

2007-07-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-links.c: (job_finished_callback):

	Do not connect selection changed signal more than once. Fixes bug
	#349433.

2007-06-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_view_sidebar_cb):

	Do not change sidebar chrome flag when pressing F9 key in
	presentation mode.

2007-06-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc:
	(pdf_document_thumbnails_get_dimensions):

	Make sure thumbnails width and height is not <= 0. Fixes a crash
	with some pdf documents which have really small pages.

2007-06-22  Gabor Kelemen  <kelemeng@gnome.hu>

	* shell/main.c: (main):

	Fixes program description translation issue.
	Bug #450148.

2007-06-21  Cesar Fernandez  <cesar@pk2.org>

	* shell/ev-view.c: (ev_view_next_page), (ev_view_previous_page):

	Do not change current page when returning from black/white mode
	in presentation. Fixes bug #415032.

2007-06-19  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 0.9.1

2007-06-17  Alaska Subedi  <asubedi@gmail.com>

	* backend/dvi/dvi-document.c:
	(dvi_document_finalize),
	(dvi_document_file_exporter_format_supported),
	(dvi_document_file_exporter_begin),
	(dvi_document_file_exporter_do_page),
	(dvi_document_file_exporter_end),
	(dvi_document_file_exporter_iface_init), (dvi_document_init):
	
	PDF exporter for dvi documents. Fixes bug #441319.

2007-06-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_clear_print_job):

	Clear gtk print job when job has finished. Fixes bug #447612.

2007-06-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_send),
	(ev_window_print_dialog_response_cb), (ev_window_print_range):

	Add preview button to print dialog. Fixes bug #445419.

2007-06-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/Makefile.am:
	* backend/dvi/pixbuf-device.[ch]: Removed
	* backend/dvi/cairo-device.[ch]: Added
	* backend/dvi/mdvi-lib/dviread.c: (draw_shrink_rule):
	* backend/dvi/dvi-document.c: (dvi_document_load),
	(dvi_document_render), (dvi_document_finalize),
	(dvi_document_thumbnails_get_thumbnail), (parse_color),
	(dvi_document_do_color_special):
	* libdocument/ev-document-misc.[ch]:
	(ev_document_misc_pixbuf_from_surface):

	Port dvi backend to cairo and fix a problem with colors. 

2007-06-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (draw_one_page):

	Draw only visible region.

2007-06-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/djvu-document.c: (djvu_document_render):

	Fix rotation in djvu backend.

2007-06-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c: (job_finished_cb),
	(ev_pixbuf_cache_get_surface), (ev_pixbuf_cache_get_link_mapping),
	(ev_pixbuf_cache_get_image_mapping),
	(ev_pixbuf_cache_get_text_mapping):

	Redraw view every time we have a new surface. Fixes bug #443587.

2007-06-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document.c: (ev_document_info_free):

	Fix memory leaks.

2007-06-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/dvi-document.c: (dvi_document_render),
	(dvi_document_render_pixbuf), (dvi_document_document_iface_init):
	* backend/impress/impress-document.c:
	(imp_render_get_from_drawable), (impress_document_render_pixbuf),
	(impress_document_render), (impress_document_document_iface_init),
	(impress_document_thumbnails_get_thumbnail):
	* backend/djvu/djvu-document-private.h:
	* backend/djvu/djvu-document.c: (djvu_document_render),
	(djvu_document_finalize), (djvu_document_document_iface_init),
	(djvu_document_thumbnails_get_thumbnail), (djvu_document_init):
	* backend/tiff/tiff-document.c: (tiff_document_render),
	(tiff_document_render_pixbuf),
	(tiff_document_document_iface_init):
	* backend/pdf/ev-poppler.cc: (pdf_document_render),
	(pdf_document_render_pixbuf), (pdf_document_document_iface_init),
	(pdf_selection_render_selection):
	* backend/comics/comics-document.c:
	(comics_document_render_pixbuf), (comics_document_render),
	(comics_document_document_iface_init):
	* backend/pixbuf/pixbuf-document.c: (pixbuf_document_render),
	(pixbuf_document_document_iface_init):
	* libdocument/ev-document-misc.[ch]:
	(ev_document_misc_surface_from_pixbuf),
	(ev_document_misc_surface_rotate_and_scale):
	* libdocument/ev-document.[ch]: (ev_document_render):
	* libdocument/ev-selection.[ch]: (ev_selection_render_selection):
	* shell/ev-pixbuf-cache.[ch]: (dispose_cache_job_info),
	(move_one_job), (copy_job_to_job_info), (add_job_if_needed),
	(ev_pixbuf_cache_get_surface), (new_selection_surface_needed),
	(clear_selection_if_needed), (ev_pixbuf_cache_style_changed),
	(ev_pixbuf_cache_get_selection_surface), (clear_job_selection):
	* shell/ev-jobs.[ch]: (ev_job_render_dispose),
	(render_finished_cb), (ev_job_render_run):
	* shell/ev-view.c: (draw_loading_text), (draw_one_page),
	(merge_selection_region):

	Use cairo image surfaces instead of GDK pixbufs for drawing pages
	and selections.

2007-06-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window-title.c: (ev_window_title_update):

	Fix memory leak.

2007-06-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (draw_loading_text):

	Show loading text centered. Fixes bug #433061

2007-06-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-thumbnails.c:
	(ev_sidebar_thumbnails_set_loading_icon):

	Remove a mutex in the main thread that blocks the UI in heavy
	documents.

2007-06-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c (copy_job_to_job_info):

	Set points_set to TRUE so that selections don't disappear after a
	zoom change.

2007-06-07  Michael Monreal  <infernux@web.de>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/zoom.svg:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/actions/zoom.svg:
	* data/icons/24x24/actions/Makefile.am:
	* shell/ev-stock-icons.c:
	* shell/ev-stock-icons.h:
	* shell/ev-window.c:
	
	Zoom icon artwork. See bug #444795.

2007-06-05  Bastien Nocera  <hadess@hadess.net>

	* shell/ev-metadata-manager.c: Remove extraneous function
	(Closes: #444386)

2007-06-05  Bastien Nocera  <hadess@hadess.net>

	* shell/ev-metadata-manager.c: (ev_metadata_manager_init),
	(ev_metadata_manager_shutdown), (ev_metadata_manager_set_last),
	(ev_metadata_manager_set), (ev_metadata_manager_save):
	Simplify the timeout, no need for modified anymore

2007-06-05  Bastien Nocera  <hadess@hadess.net>

	* shell/ev-metadata-manager.c: (ev_metadata_arm_timeout),
	(ev_metadata_manager_init), (ev_metadata_manager_shutdown),
	(ev_metadata_manager_set_last), (ev_metadata_manager_set),
	(ev_metadata_manager_save): Adapted patch from Arjan van de
	Ven (arjan@linux.intel.com) to avoid the timeout running all the
	time, saves on power (Closes: #443851)

2007-06-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc: (pdf_document_images_get_images),
	(pdf_selection_render_selection), (pdf_document_get_page_duration):

	Bump requirements to poppler 0.5.9 and drop all ifdefs used.

2007-05-25  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (ev_window_add_history):

	Check if history is NULL

2007-05-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-image.c: (ev_image_finalize):
	* libdocument/ev-document-factory.c: (free_uncompressed_uri):
	* libdocument/ev-attachment.c: (ev_attachment_finalize):
	* libdocument/ev-file-helpers.[ch]: (ev_tmp_filename_unlink),
	(ev_tmp_uri_unlink):

	Add functions to delete temporary files created by evince in a safe
	way.

	* shell/ev-window.c: (ev_window_clear_local_uri),
	(open_xfer_update_progress_callback),
	(save_xfer_update_progress_callback), (ev_window_save_remote),
	(file_save_dialog_response_cb), (ev_window_cmd_save_as),
	(image_save_dialog_response_cb), (ev_view_popup_cmd_save_image_as),
	(attachment_save_dialog_response_cb),
	(ev_attachment_popup_cmd_save_attachment_as):

	Allow saving a copy of a document, image or attachment to a remote
	location. Fixes bug #440754. 

2007-05-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/pdf/ev-poppler.cc: (pdf_selection_render_selection):

	Fix build with current poppler from cvs head. 

2007-05-21  Eduardo Lima <eduardo.lima@indt.org.br>

	* libdocument/ev-file-helpers.c: (ensure_dir_exists):

	Using g_mkdir_with_parents() instead of g_mkdir() to really ensure the
	directory exists.

2007-05-20  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* shell/ev-sidebar.c: (ev_sidebar_add_page):
	* shell/ev-window.c:

	Change sidebar ordering. Fixes bug #439939.

2007-05-20  Marc Brockschmidt he+bugzilla.g@marcbrockschmidt.de

	* backend/comics/Makefile.am:
	
	Fixes build with --without-libgnome.

2007-05-19  Carlos Garcia Campos  <carlosgc@gnome.org>
	
	* shell/ev-view.c: (page_changed_cb), (on_adjustment_value_changed):

	Update cursor and tooltip on page change and view scroll. Fixes bug
	#439217.

2007-05-14  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 0.9.0

2007-05-14  Alaska Subedi <asubedi@gmail.com>

	* backend/djvu/djvu-document-private.h:
	* backend/djvu/djvu-document.c: (G_DEFINE_TYPE_WITH_CODE),
	(djvu_document_finalize),
	(djvu_document_file_exporter_format_supported),
	(djvu_document_file_exporter_begin),
	(djvu_document_file_exporter_do_page),
	(djvu_document_file_exporter_end),
	(djvu_document_file_exporter_iface_init), (djvu_document_init):
	
	Implemented printing with djvu. Bug #437998.

2007-05-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/impress/zip.c:
	Add missing ulong definition.

	* backend/ps/ps-interpreter.c:
	Add missing headers.

	Fix compilation on FreeBSD. Patch by Roy Marples. Fixes bug #438277.

2007-05-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_dispose):

	Add missing call to parent class dispose method. 

2007-05-12  Ross Burton  <ross@openedhand.com>

	* shell/main.c:
	Sync keybindings manually when building without libgnome
	(#437925).

2007-05-12  Ross Burton  <ross@openedhand.com>

	* shell/ev-window.c:
	Respect the screen when opening help (#437866).

2007-05-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/evince-ui.xml:
	* shell/ev-application.[ch]: (get_print_settings_from_args),
	(ev_application_open_uri_at_dest), (ev_application_open_uri),
	(ev_application_open_uri_list):
	* shell/ev-window.[ch]: (ev_window_clear_print_settings_file),
	(ev_window_open_uri), (ev_window_cmd_file_open_copy_at_dest),
	(ev_window_cmd_recent_file_activate), (ev_window_run_preview),
	(ev_window_cmd_view_reload), (lookup_printer_from_name),
	(ev_window_preview_print_finished), (ev_window_cmd_preview_print),
	(ev_window_dispose):
	* shell/main.c: (arguments_parse):

	Add print button in preview mode. Fixes bug #396475. 

2007-05-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/zoom-control/ephy-zoom.h:
	
	Fixes zoom level factors. See bug #408119 for details.

2007-05-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/comics/comics-document.c: (comics_regex_quote),
	(extract_argv):
	
	Correctly quote symbols. Fixes crash in the bug
	#415370.

2007-05-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-navigation-action-widget.c:
	(ev_navigation_action_widget_init),
	(ev_navigation_action_widget_class_init),
	(ev_navigation_action_widget_button_press_event):
	
	Connect to button-press event on correct widget. Fixes
	bug #431988

2007-05-09  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-application.c: (ev_application_open_window),
	(ev_application_add_icon_path_for_screen),
	(ev_application_open_uri_at_dest):
	* shell/ev-navigation-action-widget.c: (popup_menu_under_arrow):
	* shell/ev-navigation-action.c: (build_menu):
	
	Add app-specific icons to our icon theme. Fixes bug
	#425508.

2007-05-09  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-history.c: (ev_history_class_init),
	(ev_history_add_link):
	* shell/ev-history.h:
	* shell/ev-navigation-action.c:
	(ev_navigation_action_history_changed),
	(ev_navigation_action_set_history), (build_menu),
	(ev_navigation_action_finalize):
	* shell/ev-window.c: (ev_window_setup_action_sensitivity):
	
	Make navigation action unsensitive instead of showing
	menu with unsensitive word. Fixes bug #417392.

2007-05-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.[ch]: (ev_application_shutdown),
	(ev_application_get_print_settings),
	(ev_application_set_print_settings):
	* shell/ev-window.c:

	Remember print settings. Fixes bug #349102. 

2007-05-08  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* properties/ev-properties-view.c:

	No need for a configure check; just use the GTK_CHECK_VERSION macro.
	Bug #382438.

2007-05-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* properties/ev-properties-view.c: (ev_regular_paper_size):

	Use gtk+ builtin paper list to identify the document's paper size.
	Fixes bug #382438. 

2007-05-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Fix build when compiling with thumbnailer and libgnome support. 

2007-05-04  Ross Burton  <ross@openedhand.com>

	* configure.ac:
	Add --without-libgnome, check for libgnome and libgnomeui
	separately, and add them to the symbols as required.

	* libdocument/ev-file-helpers.c:
	When building without libgnome, use g_get_user_config_dir instead
	of gnome_user_dir_get.

	* shell/ev-application.c:
	When building without libgnome, don't use session management.

	* shell/main.c:
	When building without libgnome, don't use GnomeProgram or
	initialise the authentication manager.

	This fixes #328842.

2007-05-04  Ross Burton  <ross@openedhand.com>

	* shell/ev-window.c:
	Don't use libgnome to open help, instead call Yelp directly.

2007-05-04  Ross Burton  <ross@openedhand.com>

	* shell/ev-sidebar-attachments.c:
	Don't use libgnome to lookup icons for MIME types, instead copy
	code from GTK+ to do it manually.

2007-05-04  Ross Burton  <ross@openedhand.com>

	* configure.ac:
	Add libxml to the dependencies for SHELL_CORE (#435818).

2007-05-02  Ross Burton  <ross@openedhand.com>

	* configure.ac:
	* Makefile.am:
	Add --disable-thumbnailer (#434825)

2007-05-02  Ross Burton  <ross@openedhand.com>

	* shell/ev-window.c:
	Add missing includes, fix indentation.

	* shell/main.c:
	Fix indentation.

2007-04-30  Eduardo Lima <eduardo.lima@indt.org.br>

	* shell/ev-window.c (ev_window_cmd_recent_file_activate): Use
	ev_application_open_uri_at_dest instead of ev_application_open_uri
	preventing new document always being opened in a new window even if there
	is an empty window.

2007-04-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/recent-files/egg-recent-view-uimanager.c:
	(egg_recent_view_uimanager_finalize):
	* properties/ev-properties-view.c: (ev_properties_view_dispose):
	* shell/ev-page-action-widget.c: (ev_page_action_widget_finalize):
	* shell/ev-pixbuf-cache.c: (ev_pixbuf_cache_finalize),
	(ev_pixbuf_cache_dispose):
	* shell/ev-properties-fonts.c: (ev_properties_fonts_dispose):
	* shell/ev-tooltip.c: (ev_tooltip_dispose):
	
	Add missing chain to parent class methods. Fixes
	bug #433128.

2007-04-22  Brian Pepple  <bpepple@fedoraproject.org>

	* data/Makefile.am (update-icon-cache): Updates
	gtk-update-icon-cache in uninstall-hook.

2007-04-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_setup_document),
	(ev_window_set_document), (ev_window_load_job_cb):
	* shell/ev-view.c: (setup_caches):
	* shell/ev-sidebar-thumbnails.c: (ev_sidebar_thumbnails_set_document):

	Start rendering pages before any other jobs. 

2007-04-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_stop_fullscreen),
	(ev_window_stop_presentation):

	Update chrome visibility before window unfullscreen. 

2007-04-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/Makefile.am:
	* data/evince-ui.xml:
	* shell/ev-stock-icons.[ch]:
	* shell/ev-application.[ch]: (ev_application_shutdown),
	(ev_application_init), (ev_application_get_toolbars_model):
	* shell/ev-window.c: (update_chrome_visibility),
	(fullscreen_toolbar_setup_item_properties),
	(ev_window_run_fullscreen), (ev_window_stop_fullscreen),
	(ev_window_run_presentation), (ev_window_stop_presentation),
	(ev_window_run_preview), (ev_window_screen_changed),
	(ev_window_cmd_leave_fullscreen), (ev_window_cmd_start_presentation),
	(ev_window_dispose), (ev_window_init):

	Make fullscreen toolbar always visible. Do not use egg toolbars for
	fullscreen and preview modes since such toolbars are not editables.
	Fixes bugs #300278, #338910 and #316188.  

2007-04-20  Iñigo Martínez  <inigomartinez@gmail.com>

	* shell/ev-application.c:
	* shell/ev-job-queue.c:
	* shell/ev-metadata-manager.c:
	* shell/ev-stock-icons.c:
	* shell/ev-window.c:
	* shell/main.c:
	
	Developers documentation updated.

2007-04-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (uri_is_valid), (launch_external_uri):

	Check whether uri is valid before launching it. Fixes bug #427664.

2007-04-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c:

	Change key accelerator for Open a Copy menu entry which is in conflict
	with Close. Fixes bug #427321.

2007-04-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 0.8.1

2007-04-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (setup_size_from_metadata):
	
	Do not make window bigger than screen. Fixes bug 
	#388985.

2007-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/tiff/tiff-document.c: (tiff_document_get_resolution),
	(tiff_document_get_page_size), (tiff_document_render_pixbuf):

	Use default resolution when it's not provided by document. Fixes bug
	#408762.

2007-04-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* thumbnailer/Makefile.am:
	* thumbnailer/evince-thumbnailer.c: (evince_thumbnail_pngenc_get):
	* thumbnailer/evince-thumbnailer.schemas.in:
	* thumbnailer/evince-thumbnailer-ps.schemas.in:

	Add support for ps, eps and compressed documents thumbnails. Do not
	ignore size parameter. 

2007-04-07  Ricardo Markiewicz  <rmarkie@fi.uba.ar>

	* backend/dvi/dvi-document.c: (dvi_document_class_init), (hsb2rgb),
	(dvi_document_do_color_special):
	* backend/dvi/mdvi-lib/special.c: (register_builtin_specials):

	Implement font color specials in the DVI backend. Fixes bug #303651.

2007-04-02  Matthias Clasen  <mclasen@redhat.com>

	Fixup the previous commit:

	* shell/Makefile.am (SOURCES): Add xdg-user-dir-lookup.c
	* shell/xdg-user-dir-lookup.c: Make the function non-static
	* shell/ev-window.c: Don't include xdg-user-dir-lookup.c

2007-04-02  Matthias Clasen  <mclasen@redhat.com>

	* shell/ev-window.c (file_open_dialog_response_cb): Use
	the xdg-user-dirs DOCUMENTS folder as default folder when
	opening a file chooser.  (#424858)

	* shell/xdg-user-dir-lookup.c: Copy-and-pasted file from
	xdg-user-dirs.

2007-03-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_load_job_cb):

	Do not setup view from metadata on preview mode. 

2007-03-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/main.c:

	Use unlink-tempfile instead of unlink-temp-file. Fixes bug #421274. 

2007-03-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_primary_get_cb):

	Check pointer != NULL before using it. Fixes bug #416841. 

2007-03-12  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Release 0.8.0

2007-03-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-thumbnails.c: (adjustment_changed_cb):

	Do not render thumbnails when sidebar thumbnail page is not visible
	at startup. Fixes bug #416447. 

2007-03-07  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* data/evince.desktop.in.in:

	"Application" is not a valid category in the freedesktop specification.

2007-02-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-file-helpers.[ch]: (compression_run),
	(ev_file_uncompress), (ev_file_compress):
	* shell/ev-window.c: (file_save_dialog_response_cb):

	Save document compressed when saving a copy of a compressed document.
	Fixes bug #334542.

2007-02-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_goto_window_key_press_event):

	Allow deleting in goto window entry in presentation mode. 

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Dist MAINTAINERS.

2007-02-20  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_update_actions):

	Fix zoom shortcut keys when searching. Fixes bug #409828.

2007-02-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_setup_document):

	Fix crash when loading documents with only one page. 

2007-02-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/dvi/dvi-document.c:
	(dvi_document_thumbnails_get_dimensions),
	(dvi_document_thumbnails_get_thumbnail):
	* backend/impress/impress-document.c:
	(impress_document_thumbnails_get_thumbnail),
	(impress_document_thumbnails_get_dimensions):
	* backend/ps/ps-document.c: (ps_document_thumbnails_get_thumbnail),
	(ps_document_thumbnails_get_dimensions):
	* backend/djvu/djvu-document.c:
	(djvu_document_thumbnails_get_dimensions),
	(djvu_document_thumbnails_get_thumbnail):
	* backend/tiff/tiff-document.c:
	(tiff_document_thumbnails_get_thumbnail),
	(tiff_document_thumbnails_get_dimensions):
	* backend/pdf/ev-poppler.cc: (make_thumbnail_for_page),
	(pdf_document_thumbnails_get_thumbnail),
	(pdf_document_thumbnails_get_dimensions):
	* backend/comics/comics-document.c:
	(comics_document_thumbnails_get_thumbnail),
	(comics_document_thumbnails_get_dimensions):
	* backend/pixbuf/pixbuf-document.c:
	(pixbuf_document_thumbnails_get_thumbnail),
	(pixbuf_document_thumbnails_get_dimensions):
	* libdocument/ev-document-thumbnails.[ch]:
	(ev_document_thumbnails_get_thumbnail),
	(ev_document_thumbnails_get_dimensions):
	* libdocument/ev-document-misc.[ch]:
	(ev_document_misc_get_thumbnail_frame):
	* shell/ev-jobs.[ch]: (ev_job_thumbnail_dispose),
	(ev_job_thumbnail_new), (ev_job_thumbnail_run):
	* shell/ev-sidebar-thumbnails.c: (get_scale_for_page), (add_range),
	(ev_sidebar_thumbnails_set_loading_icon), (refresh),
	(ev_sidebar_thumbnails_refresh):
	* shell/ev-window.c: (ev_window_setup_document):
	* thumbnailer/evince-thumbnailer.c: (evince_thumbnail_pngenc_get):

	Use an EvRenderContext for rendering thumbnails instead of a suggested
	width, so that different sized pages get sized proportionally.

2007-02-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_button_press_event),
	(ev_view_key_press_event):

	Fix critical warnings when there is no document loaded. 

2007-02-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-page-action-widget.c:
	* shell/ev-navigation-action.c:
	* shell/ev-window.c:

	Fix compile warnings. 

2007-02-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/djvu-text.h:
	* backend/djvu/djvu-document.c:
	* backend/djvu/djvu-text-page.c:
	* backend/djvu/djvu-links.c:
	* backend/djvu/djvu-text-page.h:
	* backend/djvu/djvu-text.c:
	
	Fix build on Mac. Fixes bug #392186. Patch by
	<ephraim_owns@hotmail.com>

2007-02-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/pdf/ev-poppler.cc: (pdf_document_file_exporter_do_page):

	Restore cairo context before rendering every page when printing a PDF
	document into a PDF file. 

2007-02-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ps/gstypes.h:
	* backend/ps/ps-document.c: (ps_document_get_page_rotation),
	(ps_document_get_page_size), (ps_async_renderer_render_pixbuf),
	(ps_document_thumbnails_get_thumbnail):

	Handle PostScript page orientation. Fixes bug #318568.

2007-02-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ps/Makefile.am:
	* backend/ps/ps-document.[ch]: (ps_document_init), (ps_document_dispose),
	(document_load), (ps_document_load), (save_document),
	(save_page_list), (ps_document_get_n_pages),
	(ps_document_get_page_size), (ps_document_get_info),
	(ps_interpreter_page_rendered), (ps_async_renderer_render_pixbuf),
	(ps_interpreter_thumbnail_rendered), (ps_document_render_thumbnail),
	(ps_document_thumbnails_get_thumbnail),
	(ps_document_thumbnails_get_dimensions),
	(ps_document_document_thumbnails_iface_init):
	* backend/ps/ps.[ch]: (psgetpagebox):
	* backend/ps/ps-interpreter.[ch]:

	Add support for thumbnails in ps backend. Fixes bug #164755. 

2007-02-13  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Release 0.7.2

2007-02-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_set_icon_from_thumbnail),
	(ev_window_clear_thumbnail_job), (ev_window_setup_document),
	(ev_window_dispose):

	Use document thumbnail as window icon. Fixes bug #384442.

2007-02-11  Ed Catmur  <ed@catmur.co.uk>

	* configure.ac:

	Remove application/x-gzpostscript from EVINCE_MIME_TYPES which was
	duplicated adding application/x-bzpostscript instead. 

2007-02-11  Tom Parker  <palfrey@tevp.net>

	* backend/ps/ps-document.c: (document_load):

	Check return value of psscan before trying
	to use it. Fixes bug #372414.

2007-02-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-page-cache.c: (ev_page_cache_finalize):

	Fix invalid free in ev-page-cache. Fixes bug #404745.

2007-02-11  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* test/Makefile.am:
	* test/test3.py:
	
	Added reload test case.

2007-02-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* po/POTFILES.in:
	* backend/djvu/djvu-document.c: (djvu_document_load):

	Check whether there are missing files in indirect multipage djvu
	documents. Fixes bug #361683. 

2007-02-07  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* test/Makefile.am:
	* test/test-mime.bin:
	* test/test3.py:
	
	Added test for slow mime type

2007-02-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-page-cache.c: (ev_page_cache_finalize):

	Add some checks and call parent_class->finalize. Fixes bug #404745.

2007-02-06  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-navigation-action.c: (connect_proxy):
	
	Fixes dropdown history menu. Thanks a lot Carlos!

2007-02-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/djvu/djvu-links.c: (str_to_utf8), (build_tree):

	Make sure g_markup_escape_text receives a valid utf-8 string. Fixes
	bug #373715.

2007-02-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ps/ps.c: (psscan):

	Fix memory leak. 

2007-02-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* libdocument/ev-file-helpers.c: 

	Add missing libgnome/gnome-init.h header file. Fixes bug #396677.

2007-02-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/ps/ps-document.c: (ps_document_init), (ps_document_dispose),
	(ps_interpreter_start), (document_load), (save_document),
	(save_page_list):
	* libdocument/ev-file-helpers.[ch]: (ev_file_uncompress):
	* libdocument/ev-document-factory.c:
	(ev_document_factory_get_from_mime), (get_document_from_uri),
	(free_uncompressed_uri), (ev_document_factory_get_document):
	* shell/ev-window.c: (ev_window_cmd_file_open_copy_at_dest):

	Support for PDF, PS and EPS compressed files. Fixes bug #307087. 

2007-02-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* libdocument/ev-document.h:

	Fix typo in function name. 

2007-02-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ps/ps-document.c: (ps_interpreter_finished),
	(ps_interpreter_start), (ps_interpreter_failed):

	Handle ghostscript interpreter crashes. 

2007-02-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_open_uri),
	(window_configure_event_cb):

	Setup window size and position before showing it. Fixes bug #401711.

2007-02-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ps/Makefile.am:
	* backend/ps/ps-document.[ch]: (ps_section_free), (ps_document_init),
	(ps_document_dispose), (ps_document_class_init),
	(ps_interpreter_input), (ps_interpreter_output),
	(ps_interpreter_error), (setup_interpreter_env),
	(ps_interpreter_start), (ps_interpreter_stop),
	(ps_interpreter_failed), (ps_interpreter_is_ready),
	(check_filecompressed), (document_load), (ps_document_load),
	(ps_document_get_n_pages), (setup_page), (setup_pixmap),
	(ps_document_widget_event), (send_ps), (ps_document_next_page),
	(render_page):

	Rework ps-document. Code cleanups, remove deprecated code. 

2007-02-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_button_press_event):

	Do not start an image drag and drop operation when pointer is on 
	text, so that we can select text when the whole background is an
	image. 

2007-01-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_update_actions): 

	Disable all zoom related actions during presentation mode. 

2007-01-31  Esteban Sanchez  <esteban@steve-0.com>

	* shell/ev-view.c: (ev_view_zoom_in), (ev_view_zoom_out):

	Do not zoom in or out on presentation mode. Fixes bug #401305.

2007-01-30  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-navigation-action.c: (connect_proxy),
	(create_menu_item), (ev_navigation_action_class_init):
	
	Correctly show menu and fix crash when navigaton 
	action is out of toolbar visible area.

2007-01-30  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/Makefile.am:
	* data/evince.1:
	
	Added man file

2007-01-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* help/reference/* :
	* configure.ac:
	
	Added gtk-doc based documentation for Evince.
	Still in initial state but I hope it will
	grow.
	
	* configure.ac:
	
	Lower dbus requirement to 0.70

2007-01-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_add_history):

	Fix memory leak. 

2007-01-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c: (ev_view_page_label_from_dest), (tip_from_link):
	* shell/ev-view.h:
	* shell/ev-window.c: (ev_window_add_history):
	
	Correctly handle named destination links

2007-01-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NOTES:
	* backend/djvu/djvu-links.c: (djvu_links_get_links_model):
	* backend/pdf/ev-poppler.cc:
	* libdocument/ev-document-links.h:
	* libdocument/ev-link.c: (ev_link_get_page):
	* libdocument/ev-link.h:
	* shell/ev-history.c: (ev_history_init), (ev_history_class_init),
	(ev_history_add_link):
	* shell/ev-history.h:
	* shell/ev-navigation-action.c: (activate_menu_item_cb),
	(new_history_menu_item), (build_menu):
	* shell/ev-page-cache.c: (ev_page_cache_set_current_page_history):
	* shell/ev-sidebar-links.c: (create_loading_model),
	(print_section_cb), (ev_sidebar_links_construct),
	(fill_page_labels), (update_page_callback_foreach),
	(update_page_callback), (job_finished_callback):
	* shell/ev-view.c: (ev_view_handle_link):
	* shell/ev-window.c: (ev_window_find_chapter),
	(ev_window_add_history), (view_handle_link_cb),
	(history_changed_cb):
	
	Implements another history variant

2007-01-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (view_external_link_cb):
	* shell/ev-view.c: (ev_view_button_release_event):

	Open links in new window when clicking with middle button. 

2007-01-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-navigation-action.c: (new_history_menu_item):
	* shell/ev-page-cache.c: (ev_page_cache_set_current_page_history):
	* shell/ev-view.c: (ev_view_handle_link):
	* shell/ev-window.c:
	
	Store link before jump, not the destination. For me it 
	seems like more natural history behavior.

2007-01-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-navigation-action.c: (activate_menu_item_cb),
	(ev_navigation_action_class_init):
	* shell/ev-navigation-action.h:
	* shell/ev-page-action.c: (activate_cb):
	* shell/ev-page-cache.c: (ev_page_cache_class_init),
	(ev_page_cache_set_current_page_history):
	* shell/ev-page-cache.h:
	* shell/ev-sidebar-thumbnails.c:
	(ev_sidebar_tree_selection_changed),
	(ev_sidebar_icon_selection_changed), (page_changed_cb):
	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_handle_link), (ev_view_class_init):
	* shell/ev-view.h:
	* shell/ev-window.c: (page_changed_cb), (history_changed_cb),
	(ev_window_setup_document), (ev_window_load_job_cb):
	* shell/ev-window.h:
	
	History finally works as expected.

2007-01-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-links.c: (ev_sidebar_links_map):

	Do not update links treeview if it doesn't have a model assigned yet. 

2007-01-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-links.c: (ev_sidebar_links_map),
	(ev_sidebar_links_class_init), (update_page_callback):

	Do not update links treeview when sidepane is not visible. 

2007-01-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-marshal.list:
	* shell/ev-page-action.c: (activate_cb),
	(ev_page_action_class_init):
	* shell/ev-page-action.h:
	* shell/ev-page-cache.c: (ev_page_cache_set_page_label):
	* shell/ev-window.c:
	
	Remove activate_link signal, not required.

2007-01-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-navigation-action.c: (build_menu):
	
	Reorder menu items and build menu with fixed length.

2007-01-27  Ed Catmur  <ed@catmur.co.uk>

	* shell/ev-view.c: (get_selected_text):
	
	Normalize text to fix ligatures problem. See bug
	#341947 for details.

2007-01-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-page-cache.c: (ev_page_cache_finalize):

	Fix memory leak in ev-page-cache. 

2007-01-25  Tom Parker <palfrey@tevp.net>

	* backend/impress/impress-document.c: (impress_document_load),
	(impress_document_finalize), (impress_document_init):
	* properties/ev-properties-main.c: (ev_properties_get_pages):
	
	Correctly handle impress document errors. Fixes nautilus
	crash in property page #370491.

2007-01-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-job-queue.c: (handle_job), (search_for_jobs_unlocked),
	(no_jobs_available_unlocked), (ev_job_queue_init), (find_queue),
	(ev_job_queue_remove_job):
	* shell/ev-jobs.[ch]: (ev_job_load_init), (ev_job_load_class_init),
	(ev_job_load_dispose), (ev_job_load_new), (ev_job_load_set_uri),
	(ev_job_load_run):
	* shell/ev-window.c: (ev_window_is_empty), (password_dialog_response),
	(ev_window_popup_password_dialog), (ev_window_clear_load_job),
	(ev_window_load_job_cb), (xfer_update_progress_callback),
	(ev_window_open_uri), (ev_window_dispose):
	* shell/main.c: (main):

	Do file transfer asynchronously in the main thread instead of
	synchronously in the load thread. Fixes bugs #399694, #398307 and
	#343542.

2007-01-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.c: (ev_job_xfer_run):

	Load the document with the font-config lock held. 

2007-01-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ps/ps-document.c: (start_interpreter):

	Fix memory leaks in ps backend. 

2007-01-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/impress/impress-document.c:
	(impress_document_render_pixbuf):

	Do not acquire fontconfig lock in impress backend, since it is using
	the main loop for rendering. 

2007-01-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* po/POTFILES.in: 

	Remove mdvi files that shouldn't be translated. 

2007-01-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (draw_loading_text), (ev_view_destroy),
	(ev_view_set_zoom):

	Render "loading..." text into a cairo surface instead of directly into
	the window so that fontconfig lock is only needed once and UI is not
	blocked. Change text color to #9B9B9B. Fixes bug #397356.

2007-01-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-stock-icons.c: (ev_stock_icons_init):
	* shell/ev-application.c: (ev_application_open_uri_at_dest):

	Use icon theme associated with the window screen rather than default. 

2007-01-19  Luca Ferretti  <elle.uca@libero.it>

	* configure.ac:

	Fix a typo in previous commit (24x24/action/ --> 24x24/actions)

2007-01-19  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/*/apps/evince.*:

	Move Evince icons under new apps directory.

	* data/icons/*/actions/*:

	Add new custom themeable Evince icons: view-page-continuous, 
	view-page-facing, zoom-fit-width, zoom-fit-page. From Andreas
	Nilsson, at 16 and 22 pixels (plus 24 for compatibility).

	* configure.ac:

	Add new directories to AC_CONFIG_FILES.

	* shell/ev-stock-icons.c:
	* shell/ev-stock-icons.h:

	Use new custom themeable icons.

2007-01-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_expose_event), (draw_one_page):

	Do not draw white background page in presentation mode. 

2007-01-16  Jani Monoses <jani.monoses@gmail.com>

	* shell/ev-view.c: Remove unused gnome-vfs include.

2007-01-16  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* backend/dvi/mdvi-lib/fontmap.c: (mdvi_load_fontmap):
	
	Format string is corrected, fixes bug #397129.

2007-01-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_setup_recent):

	Do not include in recent menu inexistent documents. Fixes
	bug #339171.

2007-01-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* po/POTFILES.skip: 

	Update POTFILES.skip file according to current source tree. 

2007-01-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (file_save_dialog_response_cb):

	Do Save a copy in atomic way. Fixes bug #328266. 

2007-01-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-links.c: (update_page_callback_foreach):

	Keep selected cell always visible in index treeview.

2007-01-12  Carlos Garcia Campos  <carlosgc@gnome.org>
	
	* shell/ev-view.c: (ev_view_size_allocate):

	Restore horizontal scrollbar after switching to/from fullscreen
	or presentation mode. Fixes bug #331728.

2007-01-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view-private.h:
	* shell/ev-window.c: (ev_window_screen_changed), (ev_window_init):
	* shell/ev-view.[ch]: (ev_view_class_init), (ev_view_set_zoom),
	(ev_view_set_screen_dpi), (ev_view_can_zoom_in),
	(ev_view_can_zoom_out):

	Use max and min scale values in the view iby taking dpi into account. 

2007-01-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* NEWS:

	Release 0.7.1

2007-01-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_send):

	Send print job to printer with some settings set to default values,
	since we have already exported to a file according to such settings
	and they could be taken twice by some printers. 

2007-01-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.c: (ev_job_xfer_run):
	* shell/ev-application.c: (ev_application_open_uri_at_dest):

	Show main window and load document with the font-config lock held. 

2007-01-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* shell/ev-application.c: (ev_application_register_service):
	* shell/main.c: (load_files_remote):

	Bump requirements to dbus-glib 0.71 and drop all ifdefs used.

2007-01-08  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* doc/debugging.txt:
	
	Remove obsolete documentation.

2007-01-08  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* Makefile.am:
	* backend/Makefile.am:
	* backend/comics/Makefile.am:
	* backend/djvu/Makefile.am:
	* backend/dvi/Makefile.am:
	* backend/ev-async-renderer.c:
	* backend/ev-async-renderer.h:
	* backend/ev-attachment.c:
	* backend/ev-attachment.h:
	* backend/ev-backend-marshal.c:
	* backend/ev-document-factory.c:
	* backend/ev-document-factory.h:
	* backend/ev-document-find.c:
	* backend/ev-document-find.h:
	* backend/ev-document-fonts.c:
	* backend/ev-document-fonts.h:
	* backend/ev-document-images.c:
	* backend/ev-document-images.h:
	* backend/ev-document-info.h:
	* backend/ev-document-links.c:
	* backend/ev-document-links.h:
	* backend/ev-document-misc.c:
	* backend/ev-document-misc.h:
	* backend/ev-document-security.c:
	* backend/ev-document-security.h:
	* backend/ev-document-thumbnails.c:
	* backend/ev-document-thumbnails.h:
	* backend/ev-document-transition.c:
	* backend/ev-document-transition.h:
	* backend/ev-document.c:
	* backend/ev-document.h:
	* backend/ev-file-exporter.c:
	* backend/ev-file-exporter.h:
	* backend/ev-image.c:
	* backend/ev-image.h:
	* backend/ev-link-action.c:
	* backend/ev-link-action.h:
	* backend/ev-link-dest.c:
	* backend/ev-link-dest.h:
	* backend/ev-link.c:
	* backend/ev-link.h:
	* backend/ev-render-context.c:
	* backend/ev-render-context.h:
	* backend/ev-selection.c:
	* backend/ev-selection.h:
	* backend/impress/Makefile.am:
	* backend/pdf/Makefile.am:
	* backend/pixbuf/Makefile.am:
	* backend/ps/Makefile.am:
	* backend/ps/ps-document.c: (push_pixbuf), (interpreter_failed),
	(ps_document_widget_event), (setup_pixmap), (setup_page), (input),
	(start_interpreter), (stop_interpreter), (document_load),
	(ps_document_next_page), (render_page):
	* backend/tiff/Makefile.am:
	* comics/Makefile.am:
	* comics/comics-document.c:
	* comics/comics-document.h:
	* configure.ac:
	* cut-n-paste/zoom-control/ephy-zoom-control.c:
	* djvu/Makefile.am:
	* djvu/djvu-document-private.h:
	* djvu/djvu-document.c:
	* djvu/djvu-document.h:
	* djvu/djvu-links.c:
	* djvu/djvu-links.h:
	* djvu/djvu-text-page.c:
	* djvu/djvu-text-page.h:
	* djvu/djvu-text.c:
	* djvu/djvu-text.h:
	* dvi/Makefile.am:
	* dvi/dvi-document.c:
	* dvi/dvi-document.h:
	* dvi/fonts.c:
	* dvi/fonts.h:
	* dvi/mdvi-lib/Makefile.am:
	* dvi/mdvi-lib/afmparse.c:
	* dvi/mdvi-lib/afmparse.h:
	* dvi/mdvi-lib/bitmap.c:
	* dvi/mdvi-lib/bitmap.h:
	* dvi/mdvi-lib/color.c:
	* dvi/mdvi-lib/color.h:
	* dvi/mdvi-lib/common.c:
	* dvi/mdvi-lib/common.h:
	* dvi/mdvi-lib/defaults.h:
	* dvi/mdvi-lib/dvimisc.c:
	* dvi/mdvi-lib/dviopcodes.h:
	* dvi/mdvi-lib/dviread.c:
	* dvi/mdvi-lib/files.c:
	* dvi/mdvi-lib/font.c:
	* dvi/mdvi-lib/fontmap.c:
	* dvi/mdvi-lib/fontmap.h:
	* dvi/mdvi-lib/fontsrch.c:
	* dvi/mdvi-lib/gf.c:
	* dvi/mdvi-lib/hash.c:
	* dvi/mdvi-lib/hash.h:
	* dvi/mdvi-lib/list.c:
	* dvi/mdvi-lib/mdvi.h:
	* dvi/mdvi-lib/pagesel.c:
	* dvi/mdvi-lib/paper.c:
	* dvi/mdvi-lib/paper.h:
	* dvi/mdvi-lib/pk.c:
	* dvi/mdvi-lib/private.h:
	* dvi/mdvi-lib/setup.c:
	* dvi/mdvi-lib/sp-epsf.c:
	* dvi/mdvi-lib/special.c:
	* dvi/mdvi-lib/sysdeps.h:
	* dvi/mdvi-lib/t1.c:
	* dvi/mdvi-lib/tfm.c:
	* dvi/mdvi-lib/tfmfile.c:
	* dvi/mdvi-lib/tt.c:
	* dvi/mdvi-lib/util.c:
	* dvi/mdvi-lib/vf.c:
	* dvi/pixbuf-device.c:
	* dvi/pixbuf-device.h:
	* impress/Makefile.am:
	* impress/common.h:
	* impress/document.c:
	* impress/f_oasis.c:
	* impress/f_oo13.c:
	* impress/iksemel.c:
	* impress/iksemel.h:
	* impress/imposter.h:
	* impress/impress-document.c:
	* impress/impress-document.h:
	* impress/internal.h:
	* impress/r_back.c:
	* impress/r_draw.c:
	* impress/r_geometry.c:
	* impress/r_gradient.c:
	* impress/r_style.c:
	* impress/r_text.c:
	* impress/render.c:
	* impress/render.h:
	* impress/zip.c:
	* impress/zip.h:
	* lib/Makefile.am:
	* lib/ev-debug.c:
	* lib/ev-debug.h:
	* lib/ev-file-helpers.c:
	* lib/ev-file-helpers.h:
	* lib/ev-gui.c:
	* lib/ev-gui.h:
	* lib/ev-tooltip.c:
	* lib/ev-tooltip.h:
	* libdocument/Makefile.am:
	* libdocument/ev-file-helpers.c:
	* pdf/Makefile.am:
	* pdf/ev-poppler.cc:
	* pdf/ev-poppler.h:
	* pixbuf/Makefile.am:
	* pixbuf/pixbuf-document.c:
	* pixbuf/pixbuf-document.h:
	* properties/Makefile.am:
	* ps/Makefile.am:
	* ps/gsdefaults.c:
	* ps/gsdefaults.h:
	* ps/gsio.c:
	* ps/gsio.h:
	* ps/gstypes.h:
	* ps/ps-document.c:
	* ps/ps-document.h:
	* ps/ps.c:
	* ps/ps.h:
	* shell/Makefile.am:
	* shell/ev-application.h:
	* shell/ev-sidebar-links.c:
	* shell/ev-sidebar-links.h:
	* shell/ev-utils.c: (ev_gui_sanitise_popup_position),
	(ev_gui_menu_position_tree_selection):
	* shell/ev-utils.h:
	* shell/ev-view.c: (ev_view_finalize):
	* shell/ev-window.c:
	* shell/main.c: (main):
	* thumbnailer/Makefile.am:
	* tiff/Makefile.am:
	* tiff/tiff-document.c:
	* tiff/tiff-document.h:
	* tiff/tiff2ps.c:
	* tiff/tiff2ps.h:
	
	Reorganize source tree.

2007-01-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-document-factory.c:

	Do not include ev-poppler.h when pdf is disabled. 

2007-01-07  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* data/evince-ui.xml:
	* pdf/ev-poppler.cc: (pdf_document_images_get_images),
	(pdf_document_document_images_iface_init):
	* backend/Makefile.am:
	* backend/ev-document-images.[ch]:
	* backend/ev-image.[ch]:
	* lib/ev-file-helpers.[ch]: (ev_tmp_filename):
	* shell/ev-jobs.[ch]: (ev_job_render_new), (ev_job_render_run),
	(ev_job_xfer_run):
	* shell/ev-pixbuf-cache.[ch]: (dispose_cache_job_info),
	(move_one_job), (copy_job_to_job_info), (add_job_if_needed),
	(ev_pixbuf_cache_get_image_mapping):
	* shell/ev-window.c: (view_menu_link_popup), (view_menu_image_popup),
	(view_menu_popup_cb), (ev_window_dispose),
	(image_save_dialog_response_cb), (ev_view_popup_cmd_save_image_as),
	(ev_view_popup_cmd_copy_image):
	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_get_image_at_location),
	(ev_view_do_popup_menu), (ev_view_popup_menu),
	(ev_view_button_press_event), (ev_view_drag_data_get),
	(ev_view_drag_motion), (ev_view_drag_data_received),
	(ev_view_motion_notify_event), (ev_view_button_release_event),
	(ev_view_finalize), (ev_view_class_init):

	Add image handling support. Fixes bugs #310008 and #325047. Images
	selection is not supported yet. 

2007-01-07  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (drag_data_received_cb), (ev_window_init):
	* shell/ev-view.c: (ev_view_drag_data_received), (ev_view_class_init),
	(ev_view_init):

	Move view drag and drop stuff to ev-view.

2007-01-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-pixbuf-cache.c: (clear_job_selection):
	* shell/ev-view.c: (clear_selection): 

	Clear selection also in pixbuf cache.

2007-01-02  Luca Ferretti <elle.uca@libero.it>

	* data/evince.desktop.in.in:
	
	Change icon name in desktop file. See bug #390734
	for details.

2006-12-28  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* thumbnailer/Makefile.am:

	Use top_builddir instead top_srcdir for generated schema
	file installation. Fixes bug #390161.

2006-12-27  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/Makefile.am:
	* backend/ev-document-transition.[ch]:
	* pdf/ev-poppler.cc: (pdf_document_get_page_duration),
	(pdf_document_page_transition_iface_init):
	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_destroy), (page_changed_cb),
	(ev_view_set_presentation), (transition_next_page),
	(ev_view_presentation_transition_stop),
	(ev_view_presentation_transition_start), (ev_view_next_page):

	Add page transition support in presentation mode. At the moment only
	page duration is supported, but not transition effects. Fixes bug
	#309815.

2006-12-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-document-links.c: (ev_document_links_find_link_dest):

	Run find_link_dest with document lock held, since it's called by links
	thread and main thread at the same time. 

2006-12-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (goto_dest):

	Update page-cache when page is changed by the view, so that
	page-changed signal is emitted. 

2006-12-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* test/test1.py:
	* test/test2.py:

	Use C locale in tests. 

2006-12-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_run_presentation):
	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_set_presentation):

	Restore zoom settings when back from presentation mode. 

2006-12-24  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* shell/ev-window.c: (ev_window_run_presentation):

	Always use "best fit" zoom in presentation mode.
	Fixes bug #389195.

2006-12-24  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* shell/ev-view.c: (ev_view_goto_window_create):

	Show "Jump to page" label in the page jumping popup in
	presentation mode instead of just a GtkEntry.

2006-12-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (launch_external_uri):

	Do not escape uri before calling gnome_vfs_url_show(). Fixes bug
	#378085.

2006-12-22  Elijah Newren  <newren gmail com>

	* configure.ac: explicitly check for libxml2.  Fixes #388795

2006-12-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (send_focus_change), (ev_view_goto_window_hide),
	(ev_view_goto_window_delete_event), (key_is_numeric),
	(ev_view_goto_window_key_press_event),
	(ev_view_goto_window_button_press_event),
	(ev_view_goto_entry_activate), (ev_view_goto_window_create),
	(ev_view_goto_entry_grab_focus), (ev_view_goto_window_send_key_event),
	(ev_view_key_press_event), (ev_view_focus_out), (ev_view_destroy):

	Allow jumping to another page by typing a page number in presentation
	mode. It uses a popup window with an entry. Fixes bug #353625.

2006-12-21  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* properties/ev-properties-view.c: (ev_get_default_user_units),
	(ev_regular_paper_size):
	
	Check for NL_MEASUREMENT. Fixes bug #376469. Thanks
	to Damien Carbery <damien.carbery@sun.com> and
	Yevgen Muntyan <muntyan@tamu.edu>.

2006-12-20  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* shell/ev-window.c: (setup_document_from_metadata):

	Make sure Evince doesn't restore the view on the last
	page when a document is reopened. Fixes bug #383381.

2006-12-18  Jens Granseuer  <jensgr@gmx.net>

	* shell/ev-view.c: (draw_loading_text):

	Fix compilation with older compilers like gcc 2. Fixes bug #387237.

2006-12-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* NEWS:

	Release 0.7.0

2006-12-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* pdf/ev-poppler.cc: (pdf_print_context_free),
	(pdf_document_file_exporter_begin),
	(pdf_document_file_exporter_do_page):

	Make cairo-pdf dependency optional.

2006-12-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-print-job.c: (idle_print_handler), (ev_print_job_print):

	Use ev_file_exporter instead of ev_ps_exporter in ev-print-job.

2006-12-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-document.[ch]: (ev_document_get_fc_mutex),
	(ev_document_fc_mutex_lock), (ev_document_fc_mutex_unlock):
	* pdf/ev-poppler.cc: (make_thumbnail_for_size):
	* shell/ev-jobs.c: (ev_job_render_run), (ev_job_fonts_run):
	* shell/ev-view.c: (draw_loading_text):
	* shell/ev-window.c: (ev_window_cmd_file_properties):

	Use an specific lock for FontConfig. Hopefully it fixes some crashes
	related to using FontConfig from different threads.
	
2006-12-18  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (draw_loading_text):

	Acquire lock document when drawing "Loading..." text so that only one
	thread will use FontConfig at the same time. Fixes bug #374750.

2006-12-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-page-action.[ch]: (activate_cb):
	* shell/ev-window.c: (activate_label_cb):

	Check if text inserted in page entry is a valid page number when it
	doesn't match to any document page label. Fixes bug #383165.

2006-12-14  Julien Rebetez,  <julienr@cvs.gnome.org>
	* shell/ev-window.c:

	GTK_STOCK_SELECT_ALL is used in menu definition, but isn't
	available with GTK < 2.10. Added an ifdef to avoid compilation
	error.

2006-12-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* ps/ps-document.c: (start_interpreter), (ps_document_next_page):

	Fix ps backend in multihead systems.

2006-12-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* ps/ps-document.c: (setup_page), (ps_document_get_page_size):
	* shell/ev-window.c: (ev_window_get_screen_dpi),
	(ev_window_update_actions), (setup_view_from_metadata),
	(ev_window_zoom_changed_cb), (zoom_control_changed_cb):

	Take screen DPI into account when zooming. Fixes bug #318285.

2006-12-14  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* data/Makefile.am:

	Cleaned up/slightly refactored Makefile.am. Added GConf
	schemas uninstallation as well.

2006-12-13  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* Makefile.am:
	* test/Makefile.am:

	Fight with autotools to fix make check. Make distcheck
	works fine as well now!

2006-12-13  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* shell/ev-view.c: (draw_end_presentation_page):

	Corrected "end of presentation" string.

2006-12-13  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* shell/ev-view.c: (ev_view_key_press_event):

	Correctly propagate key press event so that up/down keys
	work as expected (correct behaviour was broken by
	black/white screen key bindings for presentations).

2006-12-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* pdf/ev-poppler.cc: (pdf_document_find_get_n_results),
	(pdf_document_find_get_result), (pdf_document_find_page_has_results),
	(pdf_document_find_get_progress), (pdf_selection_render_selection),
	(pdf_selection_get_selection_region),
	(pdf_selection_get_selection_map):

	Add "static" to some private functions. 

2006-12-13  P. Henrique Silva  <ph.silva@gmail.com>

	* lib/ev-tooltip.h:
	* properties/ev-properties-view.h:
	* shell/ev-jobs.h:
	* shell/ev-properties-dialog.h:
	* shell/ev-properties-fonts.h:
	* shell/ev-sidebar-links.h:
	* shell/ev-sidebar-thumbnails.h:
	* shell/ev-sidebar.h:
	* shell/ev-window.h:
	
	Fixes CHACK type in class casts. See bug #385343
	for details.

2006-12-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (draw_end_presentation_page),
	(ev_view_expose_event), (ev_view_key_press_event),
	(ev_view_class_init), (ev_view_init):

	Blank screen in presentation mode when pressing 'b' (filling with
	black) or 'w' (filling with white) keys. Fixes bug #358132.

2006-12-09  Gabriel Felipe Cornejo  <gnomeusr@gmail.com>

	* data/evince-toolbar.xml:
	* shell/ev-window.c:
	
	Use stock icon for Select All action. Fixes
	bug #382652.

2006-12-09  Radoslav Dorcik  <dixiecko@gmail.com>

	* shell/ev-view.c: (get_doc_point_from_offset),
	(ev_view_get_link_at_location), (ev_view_motion_notify_event):

	Add links support in rotated documents. Fixes bug #343733.

2006-12-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (draw_end_presentation_page),
	(ev_view_expose_event), (ev_view_init), (ev_view_set_presentation):

	Show a blank page after the last page in presentation mode with a
	message indicating that presentation has finished and how to exit. 

2006-12-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (fullscreen_timeout_cb):

	Hide cursor after a while in presentation mode. 

2006-12-04  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* backend/ev-document-info.h:
	* data/evince-properties.glade:
	* pdf/ev-poppler.cc:
	* properties/ev-properties-view.c: (ev_regular_paper_size),
	(ev_properties_view_set_info):
	* ps/ps-document.c: (ps_document_get_info):

	Adds a paper size field to the properties dialog. Fixes
	bug #307315. Patch by Kasper Svendsen (with some i18n
	changes done by me).

2006-12-03  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/totem-screensaver/totem-scrsaver.c:
	(screensaver_init_dbus), (totem_scrsaver_new),
	(totem_scrsaver_init):
	* cut-n-paste/totem-screensaver/totem-scrsaver.h:
	* shell/ev-application.c: (ev_application_register_service),
	(ev_application_screensaver_enable),
	(ev_application_screensaver_disable):
	* shell/ev-application.h:
	* shell/ev-window.c: (ev_window_run_presentation),
	(ev_window_stop_presentation), (build_comments_string),
	(ev_window_init):
	
	Move screensaver handling to application. No more
	message on startup.

2006-12-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* backend/Makefile.am:
	* backend/ev-file-exporter.[ch]:
	* pdf/ev-poppler.cc: (pdf_document_file_exporter_*):
	* ps/ps-document.c: (ps_document_file_exporter_*):
	* tiff/tiff-document.c: (tiff_document_document_file_exporter_*):
	* shell/ev-jobs.[ch]: (ev_job_print_new), (ev_job_print_run):
	* shell/ev-window.c: (ev_window_setup_action_sensitivity),
	(ev_window_print_dialog_response_cb), (ev_window_print_range):

	Allow printing to PDF when suppoted by the backend.
	
2006-12-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (build_comments_string):

	Use always "Document Viewer" in about dialog. 

2006-12-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* djvu/djvu-document.c: (djvu_document_get_page_size):

	Display a warning message when get_pageinfo fails. 

2006-11-30  Yevgen Muntyan  <muntyan@tamu.edu>

	* Makefile.am:
	* backend/Makefile.am:
	* backend/ev-document-factory.c: (ev_document_factory_add_filters):
	* configure.ac:
	* shell/ev-window.c: (build_comments_string):
	
	Make pdf compilation optional. See bug #38007.

2006-11-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* ps/ps.c: (get_next_text):

	Fix CVE-2006-5864.

2006-11-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-history.c: (ev_history_finalize), (ev_history_class_init):
	* shell/ev-navigation-action.c: (connect_proxy),
	(ev_navigation_action_finalize), (ev_navigation_action_class_init):
	
	Do not call g_type_class_peek_parent twice.

2006-11-22  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* data/icons/24x24/.cvsignore:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/evince.png:
	* data/icons/Makefile.am:
	
	Add 24x24 icon. Thanks to 
	Michael Monreal <infernux@web.de>.

2006-11-22  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac: Fix typo in configure.ac. Thanks
	to dmacks@netspace.org for notification.

2006-11-22  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/totem-screensaver/totem-scrsaver.c:
	
	Drop dbus include, fixes compilation with older dbus.

2006-11-22  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* configure.ac:
	* cut-n-paste/Makefile.am:
	* cut-n-paste/totem-screensaver/.cvsignore
	* cut-n-paste/totem-screensaver/Makefile.am:
	* cut-n-paste/totem-screensaver/README:
	* cut-n-paste/totem-screensaver/totem-scrsaver.c:
	* cut-n-paste/totem-screensaver/totem-scrsaver.h:
	* shell/Makefile.am:
	* shell/ev-window.c: (ev_window_run_presentation),
	(ev_window_stop_presentation), (ev_window_cmd_help_about),
	(ev_window_init):

	Implemented screensaver enabling/disabling for
	presentation mode (not fullscreen mode). Code stolen
	from Totem (with some minor tweaks). Fixes bug #338889.

2006-11-19  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* configure.ac:

	Bump gnome-icon-theme requirements. We use the rotation
	icons that appeared recently.

2006-11-19  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-history.c: (ev_history_add_page):
	* shell/ev-history.h:
	* shell/ev-window.c: (page_changed_cb):
	
	Use page labels instead of numbers.

2006-11-19  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/evince-toolbar.xml:
	* po/POTFILES.in:
	* shell/Makefile.am:
	* shell/ev-navigation-action-widget.c:
	(ev_navigation_action_widget_init),
	(ev_navigation_action_widget_class_init), (menu_deactivate_cb),
	(menu_detacher), (ev_navigation_action_widget_set_menu),
	(menu_position_func), (popup_menu_under_arrow),
	(ev_navigation_action_widget_toggled),
	(ev_navigation_action_widget_button_press_event):
	* shell/ev-navigation-action-widget.h:
	* shell/ev-navigation-action.c: (ev_navigation_action_set_history),
	(ev_navigation_action_set_window), (activate_menu_item_cb),
	(new_history_menu_item), (new_empty_history_menu_item),
	(build_menu), (menu_activated_cb), (connect_proxy),
	(create_tool_item), (ev_navigation_action_init),
	(ev_navigation_action_finalize), (ev_navigation_action_class_init):
	* shell/ev-navigation-action.h:
	* shell/ev-page-action-widget.c: (ev_page_action_widget_init),
	(ev_page_action_widget_set_page_cache),
	(ev_page_action_widget_finalize),
	(ev_page_action_widget_class_init), (match_selected_cb),
	(display_completion_text), (match_completion), (build_new_tree_cb),
	(get_filter_model_from_model),
	(ev_page_action_widget_update_model):
	* shell/ev-page-action-widget.h:
	* shell/ev-page-action.c: (activate_link_cb), (update_model),
	(connect_proxy):
	* shell/ev-page-action.h:
	* shell/ev-stock-icons.c:
	* shell/ev-stock-icons.h:
	* shell/ev-window.c: (ev_window_setup_action_sensitivity),
	(page_changed_cb), (ev_window_setup_document), (ev_window_dispose),
	(register_custom_actions):
	* shell/main.c:
	
	Preliminary history implementation

2006-11-16  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* dvi/dvi-document.c: (dvi_document_load), (dvi_document_finalize),
	(dvi_document_class_init), (dvi_document_init_params):
	* dvi/mdvi-lib/font.c: (font_reference):
	
	Add reference to subfont. Fixes bug #374277.

2006-11-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_create_tmp_symlink),
	(ev_window_cmd_file_open_copy_at_dest):

	Fix a race condition when creating symlink. Increase the counter
	avoiding an infinite loop. Really fixes bug #357472. (Based on patch by
	Mathias Hasselmann).

2006-11-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/Makefile.am:
	* backend/ev-attachment.c: (ev_attachment_open):
	* lib/ev-file-helpers.[ch]: (ensure_dir_exists), (ev_dot_dir),
	(ev_tmp_dir), (ev_tmp_filename):
	* shell/ev-sidebar-attachments.c:
	(ev_sidebar_attachments_drag_data_get):
	* shell/ev-window.c: (ev_window_clear_temp_file):

	Use always ev_tmp_dir instead of g_get_tmp_dir. Fix a race condition
	in ensure_dir_exists. Abort without crashing when we can't create
	user's directory.

2006-11-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/evince-ui.xml:
	* shell/ev-window.c: (ev_window_setup_action_sensitivity),
	(ev_window_xfer_job_cb), (ev_window_get_copy_tmp_name),
	(ev_window_cmd_file_open_copy_at_dest),
	(ev_window_cmd_file_open_copy), (view_menu_popup_cb),
	(ev_view_popup_cmd_open_link_new_window):

	Allow opening a copy of the current document in a new window. Fixes bug
	#357472

2006-11-11  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/evince-toolbar.xml:
	
	Add rotate right and rotate left to available items for toolbar.
	
	* data/evince-ui.xml:
	* shell/ev-window.c: (ev_window_init):
	
	Customize toolbar with right click. Fixes bug #372451.

2006-11-11  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* shell/ev-window.c: 
	
	Use "object-rotate-{left,right}" stock icons. Fixes 
	bug #373863.

2006-11-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.[ch]: (get_unlink_temp_file_from_args),
	(ev_application_open_uri_at_dest), (ev_application_open_uri):
	* shell/ev-window.[ch]: (ev_window_clear_temp_file),
	(ev_window_open_uri):
	* shell/main.c: (arguments_parse):

	Remove temp file created when evince is used by GTK+ in
	preview mode. Fixes bug #365282. 

2006-11-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (ev_window_sidebar_visibility_changed_cb):
	
	Fixes bug #372474 - Side pane disabled when entering 
	and leaving fullscreen mode.

2006-11-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/toolbar-editor/egg-toolbar-editor.c: (setup_editor):
	* data/Makefile.am:
	* data/evince-preview-toolbar.xml:
	* data/evince-toolbar.xml:
	* shell/ev-application.c: (ev_application_shutdown),
	(ev_application_init), (ev_application_get_toolbars_model):
	* shell/ev-application.h:
	* shell/ev-window.c: (update_chrome_visibility),
	(ev_window_create_fullscreen_popup), (ev_window_run_preview),
	(ev_window_cmd_edit_toolbar), (ev_window_init):
	
	Fixes bug #364364 - toolbar editor shows zoom actions again.

2006-11-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_dialog_response_cb):

	Do not take margins into consideration for paper size when printing.
	Really fixes bug #350491.

2006-11-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/evince-ui.xml:
	* shell/ev-window.c: (ev_window_print_page_setup_done_cb),
	(ev_window_cmd_file_print_setup),
	(ev_window_print_dialog_response_cb),
	(ev_window_setup_action_sensitivity):

	Add page setup settings for printing. Fixes bugs #363860 and #350491.

2006-11-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_range):

	Revert my previuos commit, since printing to PDF is not supported by
	evince yet. 

2006-11-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_print_range):

	Enable print to a PDF. Fixes bug #332121.

2006-10-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application-service.xml:
	* shell/ev-application.[ch]: (ev_application_open_window),
	(ev_application_get_empty_window), (ev_application_open_uri_at_dest),
	(ev_application_open_uri), (ev_application_open_uri_list):
	* shell/ev-window.c: (file_open_dialog_response_cb),
	(ev_window_cmd_recent_file_activate), (ev_window_setup_recent),
	(drag_data_received_cb), (open_remote_link):
	* shell/main.c: (arguments_parse), (load_files), (load_files_remote):

	Add support for multiscreen systems. Fixes bug #316206.

2006-10-30  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.[ch]: (ev_job_print_new),
	(ev_print_job_print_page_in_range), (ev_print_job_print_page_in_set),
	(ev_job_print_do_page):
	* shell/ev-window.[ch]: (ev_window_print_dialog_response_cb):

	Allow printing only odd/even pages. Fixes bug #367289.

2006-10-29  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* test/test1.py:
	* test/test2.py:

	Re-add locale settings to test files.

2006-10-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/evince-ui.xml:
	* shell/ev-window.c: (set_action_properties):
	
	Removed garbage from code and ui.

2006-10-29  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* shell/ev-window.c: (ev_window_cmd_help_about):

	Shamelessly add my name to the list of contributors.

2006-10-29  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* test/test1.py:
	* test/test2.py:

	Cleaned up the dogtail scripts.

2006-10-27  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* shell/ev-view.c: (draw_loading_text): Don't render
	"loading..." text in presentation mode. Temporary
	workaround for bug #320352.

2006-10-24  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.[ch]: (ev_job_print_new), (ev_job_print_run):
	* shell/ev-window.c: (ev_window_print_dialog_response_cb):

	Use print settings scale, copies, collate and reverse which were
	ignored. Fixes bug #359032.

2006-10-24  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* data/evince-password.glade:
	* test/Makefile.am:
	* test/test-encrypt.pdf:
	* test/test-links.pdf:
	* test/test1.py:
	* test/test2.py:

	Add automated UI tests for evince with dogtail. See
	bug #300948.	

2006-10-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (fullscreen_timeout_cb), (ev_window_init):

	Hide fullscreen toolbar when switching to another desktop workspace.
	Fixes bug #338871

2006-10-20  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window-title.c: 
	
	Test for .dvi in title of pdf documents.

2006-10-19  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* shell/ev-view.c: (ev_view_scroll):

	Page Up/Down should do page jumps in "Best fit" mode.
	If a user has explicitly chosen to view exactly one page
	at a time, scrolling just a part of the page when
	pressing Page Up/Down is not right. Fixes bug #323107.

2006-10-09  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for 0.6.1

2006-10-09  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-properties-fonts.c: (ev_properties_fonts_dispose),
	(job_fonts_finished_cb), (ev_properties_fonts_set_document):
	
	Correctly disconnect from job signals on destroy.

2006-10-08  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (view_set_adjustment_values),
	(view_update_range_and_current_page),
	(ensure_rectangle_is_visible), (ev_view_size_allocate):
	
	Fixes bug #343199, current page now follows find page.

2006-10-08  Wouter Bolsterlee  <wbolster@gnome.org>

	* backend/ev-document-factory.c:
	* configure.ac:
	Assigned OpenDocument presenation MIME type to the
	Impress backend. Added some missing (but harmless)
	#ifdefs in the document factory as well to make things
	consistent again. Fixes bug #360658.

2006-10-08  Christian Persch  <chpe@cvs.gnome.org>

	* backend/ev-async-renderer.c: (ev_async_renderer_get_type):
	* backend/ev-document-find.c: (ev_document_find_get_type):
	* backend/ev-document-fonts.c: (ev_document_fonts_get_type):
	* backend/ev-document-links.c: (ev_document_links_get_type):
	* backend/ev-document-security.c: (ev_document_security_get_type):
	* backend/ev-document-thumbnails.c:
	(ev_document_thumbnails_get_type):
	* backend/ev-document.c: (ev_document_get_type):
	* backend/ev-ps-exporter.c: (ev_ps_exporter_get_type):
	* backend/ev-selection.c: (ev_selection_get_type):
	* cut-n-paste/recent-files/egg-recent-model.c:
	(egg_recent_model_get_type):
	* cut-n-paste/recent-files/egg-recent-view-uimanager.c:
	(egg_recent_view_uimanager_get_type):
	* cut-n-paste/recent-files/egg-recent-view.c:
	(egg_recent_view_get_type):
	* cut-n-paste/toolbar-editor/egg-editable-toolbar.c:
	(egg_editable_toolbar_get_type):
	* cut-n-paste/toolbar-editor/egg-toolbar-editor.c:
	(egg_toolbar_editor_get_type):
	* cut-n-paste/toolbar-editor/egg-toolbars-model.c:
	(egg_toolbars_model_get_type):
	* cut-n-paste/toolbar-editor/eggtreemultidnd.c:
	(egg_tree_multi_drag_source_get_type):
	* cut-n-paste/zoom-control/ephy-zoom-action.c:
	(ephy_zoom_action_get_type):
	* cut-n-paste/zoom-control/ephy-zoom-control.c:
	(ephy_zoom_control_get_type):
	* impress/r_back.c: (_imp_fill_back):
	* properties/ev-properties-main.c:
	(ev_properties_plugin_register_type):
	* shell/ev-sidebar-page.c: (ev_sidebar_page_get_type):
	* shell/ev-view-accessible.c: (ev_view_accessible_get_type),
	(ev_view_accessible_factory_get_type):

	Reduce relocations. Bug #360616.

2006-10-08  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/ev-document-factory.c:
	(ev_document_factory_get_document):
	
	Load document even if extension is wrong.

2006-10-03  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-metadata-manager.c: (save_values):
	* shell/ev-window.c: (setup_size_from_metadata),
	(setup_view_from_metadata), (ev_window_setup_document),
	(ev_window_xfer_job_cb), (window_configure_event_cb):
	
	Set size according to the document size/page size ratio.
	That should correct rather wierd behaviour of the previous
	commit.

2006-10-03  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (setup_view_from_metadata):
	
	Set size for new windows from previous window size.
	See bugs #354968 and #168450 for details. Thanks
	to Meik Hellmund.

2006-10-01  Carlos Garcia Campos  <carlosgc@gnome.org>

	* djvu/djvu-links.c: (build_tree):

	Fix memory leak.

2006-10-01  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-sidebar.c: (ev_sidebar_init), (ev_sidebar_set_document):
	
	Don't make sidebar close button insensitive. Fixes
	bug #357871.

2006-10-01  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (ev_window_setup_action_sensitivity),
	(ev_window_set_view_accels_sensitivity):
	
	Don't enable Slash on documents which don't support
	find. Fixes bug #358648.

2006-10-01  Wouter Bolsterlee  <wbolster@gnome.org>

	* shell/ev-window.c: (ev_window_cmd_file_open): Make the
	open dialog fall back to the current document uri if the
	filechooser hasn't been used before. Fixes bug #356980.

2006-09-24  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* shell/ev-window.c: (ev_window_setup_recent), 
	(ev_window_get_recent_file_label):

	Escape underscores in filenames of recent file items.

2006-09-24  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	
	Bumped poppler requirements, really 0.5.3 is very 
	buggy, now we require 0.5.4.

2006-09-17  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* djvu/Makefile.am:
	* djvu/djvu-document.c: (G_DEFINE_TYPE_WITH_CODE),
	(djvu_document_find_iface_init), (djvu_document_links_get_links),
	(djvu_document_document_links_iface_init):
	* djvu/djvu-links.c: (number_from_miniexp), (string_from_miniexp),
	(number_from_string_10), (get_djvu_link_dest),
	(get_djvu_link_action), (build_tree), (get_djvu_hyperlink_area),
	(get_djvu_hyperlink_mapping), (djvu_links_has_document_links),
	(djvu_links_get_links), (djvu_links_find_link_dest),
	(djvu_links_get_links_model):
	* djvu/djvu-links.h:
	
	Add support for links and bookmarks in djvu documents. Thanks
	to Pauli Virtanen <pauli.virtanen@iki.fi> for the wonderful
	patch.

2006-09-14  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-application.c: (ev_application_open_uri_at_dest):
	
	Reopen should reload document. Fixes 
	bug 327951.

2006-09-07  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* data/Makefile.am:
	* data/evince-16.png:
	* data/evince-22.png:
	* data/evince.png:
	* data/evince.svg:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/evince.png:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/evince.png:
	* data/icons/48x48/Makefile.am:
	* data/icons/48x48/evince.png:
	* data/icons/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/evince.svg:
	
	Install icons with correct names. Fixes
	bug #354429.

2006-09-07  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (ev_view_button_release_event):

	Don't open links with middle mouse button. Fixes bug #353649

2006-09-04  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 0.6.0

2006-08-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (ev_window_xfer_job_cb), (do_action_named):
	Implement Close named action. Patch by Carlos Garcia Campos.

2006-08-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-pixbuf-cache.c: (copy_job_to_job_info):
	
	Don't clear link mapping on copy_job_to_job_info. Fixes
	bug 346168.

2006-08-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/main.c: (main):

	Revert my previous commit, gnome_program_init owns the option context.
	Fix another memory leak in main. Both caught by Christian Persch. 

2006-08-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/main.c: (main):

	Fix memory leak.

2006-08-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-document-factory.c: (ev_document_factory_get_document):

	Fix crash when opening a pdf with password protection. 

2006-08-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* pdf/ev-poppler.cc: (pdf_document_search_free):

	Fix memory leak. 

2006-08-17  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/ev-document-factory.c:
	(ev_document_factory_get_document):
	* tiff/tiff-document.c: (tiff_document_finalize):
	
	More correct handling of document loading. Fixes
	bug #349043.

2006-08-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-attachment.c: (ev_attachment_save):

	Remove GNOME_VFS_OPEN_TRUNCATE flag which is only available with
	gnome-vfs >= 2.9.3 and it's not really needed. Fixes bug #351493

2006-08-15  Julien Rebetez  <julienr@cvs.gnome.org>
	
	* shell/ev-window.c: (ev_window_cmd_recent_file_activate):
	Fixed a compilation error if HAVE_GTK_RECENT isn't defined.

2006-08-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-thumbnails.c:

	Do not render thumbnails unless thumbnails page is active in the
	sidebar.

2006-08-14  Christian Persch  <chpe@cvs.gnome.org>

	* shell/ev-properties-dialog.c:

	Fix dialogue spacing. Bug #351370.

2006-08-13  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* configure.ac:

	Use lowercase gettext catalog file names (evince.mo
	instead of Evince.mo)

2006-08-13  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-sidebar-attachments.c:

	GtkIconTheme is now screen safe too. Fixes bug #350878

2006-08-11  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c:

	GtkRecent manager is now screen safe. Fixes bug #350145

2006-08-11  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-sidebar.c: (ev_sidebar_init):
	
	Make sidebar close icon smaller. Fix for bug 350177.
	See also bugs 350176 and 165770.

2006-08-10  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-view.c: (goto_fith_dest), (goto_fit_dest), (goto_xyz_dest):

	Ignore zoom for xyz destinations when it's <= 1, keeping user
	preferences instead. Set correct sizing-mode for fith and fitv
	destinations rather than EV_SIZING_FREE. Fixes bug #349433

2006-08-08  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 0.5.5

2006-08-07  Radoslav Dorcik <dixiecko@gmail.com>
	
	* shell/ev-window.c: (ev_window_cmd_escape)

	Escape unfocus page entry. Fixes bug #345809.

2006-08-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* pdf/ev-poppler.cc: (ev_link_dest_from_dest), (ev_link_from_action),
	(build_tree), (pdf_document_links_get_links),
	(pdf_document_links_find_link_dest):
	* shell/ev-view.c: (goto_fitr_dest), (goto_fith_dest),
	(goto_xyz_dest):

	Convert from PDF style coordinates to X style coordinates in the
	backend rather than in the view. Fixes bug #338440

2006-08-06  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c:
	
	Remove Ctrl+Shift+T shortcut for toolbars. See
	the bug #350098.

2006-08-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:

	Use [] in AC_DEFINE for GtkRecent. Probably build was failing because
	of this. 

2006-08-05  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* cut-n-paste/Makefile.am:
	* data/evince-ui.xml:
	* shell/Makefile.am:
	* shell/ev-application.[ch]:
	* shell/ev-window.c:

	Use GtkRecent instead of EggRecent when it's available. Fixes bug
	#349273

2006-08-04  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* shell/eggfindbar.c: (egg_find_bar_init): Fixed typo in
	findbar code: s/help/search/

2006-08-04  Ricardo Markiewicz  <rmarkie@fi.uba.ar>

	* shell/ev-window.c: (setup_document_from_metadata),
	(setup_chrome_from_metadata), (setup_sidebar_from_metadata),
	(setup_view_from_metadata):
	
	Fix memory leaks.

2006-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* autogen.sh, configure.ac: 
	
	Update automake usage. See bug 349292.

2006-07-30  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/eggfindbar.c: (egg_find_bar_class_init),
	(entry_activate_callback), (egg_find_bar_init),
	(egg_find_bar_set_status_text):
	* shell/eggfindbar.h:
	
	Unify Evince findbar with Epiphany. Nice patch
	from Fabricio Silva <silva@crans.org> and
	Frederic Peters <fpeters@entrouvert.com>. See
	bug #339966 for details.

2006-07-27  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/evince.desktop.in.in:
	
	Correct information for bugzilla. Thanks to
	Olaf Vitters, see bug #348855.

2006-07-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-jobs.[ch]:
	* shell/ev-sidebar-links.c:
	* shell/ev-window.[ch]:

	GtkPrintJob doesn't support print ranges or current page, so we export
	to a ps file now when printing ranges or current page.

2006-07-26  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* pdf/ev-poppler.cc:
	* shell/ev-window.c: (do_action_named):

	We should be more clear about bugzilla. See the
	poppler bug #7623.

2006-07-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac:
	* shell/Makefile.am:
	* shell/ev-job-queue.c:
	* shell/ev-jobs.[ch]:
	* shell/ev-sidebar-links.c:
	* shell/ev-window.[ch]:
	
	Use GtkPrint instead of GnomePrint when it's available. Fixes bug
	#348422

2006-07-17  Carlos Garcia Campos  <carlosgc@gnome.org>

	* data/evince-toolbar.xml: Add preview toolbar (hidden by default)
	* shell/ev-application-service.xml:
	* shell/ev-application.[ch]:
	* shell/ev-jobs.[ch]:
	* shell/ev-window.[ch]: (ev_window_run_preview):
	* shell/main.c: 

	Add preview mode to use evince as a printing previewer. It also adds
	other command line options for fullscreen and presentation modes.
	Fixes bugs #347822, #317031

2006-07-11  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 0.5.4

2006-07-11  Bastien Nocera <hadess@hadess.net>

	* Makefile.am:
	* backend/Makefile.am:
	* backend/ev-document-factory.c: (ev_document_factory_add_filters):
	* backend/ev-document-factory.h:
	* configure.ac:
	* impress/.cvsignore:
	* impress/Makefile.am:
	* impress/common.h:
	* impress/document.c: (_imp_load_xml), (imp_open), (imp_nr_pages),
	(imp_get_page), (imp_next_page), (imp_prev_page),
	(imp_get_page_no), (imp_get_page_name), (imp_get_xml), (imp_close):
	* impress/f_oasis.c: (render_object), (render_page),
	(get_geometry), (_imp_oasis_load):
	* impress/f_oo13.c: (render_object), (render_page), (get_geometry),
	(_imp_oo13_load):
	* impress/iksemel.c: (iks_malloc), (iks_free), (iks_set_mem_funcs),
	(iks_strdup), (iks_strcat), (iks_strcmp), (iks_strcasecmp),
	(iks_strncmp), (iks_strncasecmp), (iks_strlen), (iks_escape),
	(iks_unescape), (find_space), (iks_stack_new), (iks_stack_alloc),
	(iks_stack_strdup), (iks_stack_strcat), (iks_stack_stat),
	(iks_stack_delete), (iks_sax_new), (iks_sax_extend),
	(iks_parser_stack), (iks_user_data), (iks_nr_bytes),
	(iks_nr_lines), (stack_init), (stack_expand), (sax_core),
	(iks_parse), (iks_parser_reset), (iks_parser_delete), (iks_new),
	(iks_new_within), (iks_insert), (iks_insert_cdata),
	(iks_insert_attrib), (iks_insert_node), (iks_hide), (iks_delete),
	(iks_next), (iks_next_tag), (iks_prev), (iks_prev_tag),
	(iks_parent), (iks_root), (iks_child), (iks_first_tag),
	(iks_attrib), (iks_find), (iks_find_cdata), (iks_find_attrib),
	(iks_find_with_attrib), (iks_stack), (iks_type), (iks_name),
	(iks_cdata), (iks_cdata_size), (iks_has_children),
	(iks_has_attribs), (escape_size), (my_strcat), (escape),
	(iks_string), (iks_copy_within), (iks_copy), (tagHook),
	(cdataHook), (deleteHook), (iks_dom_new), (iks_set_size_hint),
	(iks_tree), (iks_load), (iks_save):
	* impress/iksemel.h:
	* impress/imposter.h:
	* impress/impress-document.c: (G_DEFINE_TYPE_WITH_CODE),
	(imp_render_draw_bezier_real), (imp_render_get_size),
	(imp_render_set_fg_color), (imp_render_draw_line),
	(imp_render_draw_rect), (imp_render_draw_polygon),
	(imp_render_draw_arc), (imp_render_draw_bezier),
	(imp_render_open_image), (imp_render_get_image_size),
	(imp_render_scale_image), (imp_render_draw_image),
	(imp_render_close_image), (imp_render_markup),
	(imp_render_get_text_size), (imp_render_draw_text),
	(impress_document_load), (impress_document_save),
	(impress_document_get_n_pages), (impress_document_get_page_size),
	(imp_render_get_from_drawable), (impress_document_render_pixbuf),
	(impress_document_finalize), (impress_document_class_init),
	(impress_document_can_get_text), (impress_document_get_info),
	(impress_document_document_iface_init),
	(impress_document_thumbnails_get_thumbnail),
	(impress_document_thumbnails_get_dimensions),
	(impress_document_document_thumbnails_iface_init),
	(impress_document_init):
	* impress/impress-document.h:
	* impress/internal.h:
	* impress/r_back.c: (_imp_fill_back):
	* impress/r_draw.c: (_imp_draw_rect), (_imp_draw_line_end),
	(_imp_draw_image), (_imp_tile_image):
	* impress/r_geometry.c: (r_parse_color), (r_get_color), (fg_color),
	(r_get_x), (r_get_y), (r_get_angle), (r_get_viewbox), (r_polygon),
	(r_polyline):
	* impress/r_gradient.c: (poly_rotate), (r_draw_gradient_simple),
	(r_draw_gradient_complex), (r_draw_gradient):
	* impress/r_style.c: (get_style), (r_get_style), (get_style_x),
	(r_get_bullet):
	* impress/r_text.c: (add_line), (add_span), (calc_sizes),
	(calc_pos), (_imp_draw_layout), (text_span), (text_p), (text_list),
	(r_text):
	* impress/render.c: (imp_create_context), (imp_context_set_page),
	(imp_context_set_step), (imp_render), (imp_delete_context):
	* impress/render.h:
	* impress/zip.c: (zip_error), (find_cd), (get_long), (get_word),
	(list_files), (zip_open), (zip_close), (find_file), (seek_file),
	(zip_load_xml), (zip_get_size), (zip_load):
	* impress/zip.h:
	* shell/ev-utils.c:
	
	New backend to support impress slides. Fixes bug #30867.

2006-07-10  Ghee Teo  <ghee.teo@sun.com>

	* shell/ev-utils.c: (using_postscript_printer):
	
	Fixes crash when print using PAPI backend,
	bug #345012.

2006-06-09  Pat Rondon  <pmr@patrondon.org>

	* shell/ev-jobs.c: (ev_job_xfer_run):
	* shell/ev-window.c: (password_dialog_response),
	(ev_window_popup_password_dialog), (ev_window_xfer_job_cb),
	(ev_window_dispose):
	Fixes bug #344160: if the xfer job doesn't complete
	because a password is required, reload the existing
	instance instead of creating a new one.

2006-06-01  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/main.c: (main): Call gdk_threads_init. Thus
	we'll avoid errors in auth dialog. Fix for the bug
	#343347.

2006-06-01  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* configure.ac: Advertise pixbuf support, fix
	for the bug 343317.

2006-05-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-sidebar-thumbnails.c: (ev_sidebar_thumbnails_refresh),
	(ev_sidebar_thumbnails_set_document):
	
	Update sidebar thumbnails after reloading.

2006-05-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-jobs.c: (ev_job_xfer_dispose), (ev_job_xfer_new):
	* shell/ev-jobs.h:
	* shell/ev-window.c: (ev_window_xfer_job_cb), (ev_window_open_uri),
	(ev_window_cmd_view_reload), (ev_window_init):
	
	Don't crash on reload. Fix for the bug #343167.

2006-05-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-jobs.c: (ev_job_render_run):
	
	Check for document links.

2006-05-27  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/ev-attachment.c: (ev_attachment_save),
	(ev_attachment_launch_app), (ev_attachment_open):
	* backend/ev-document-factory.c: (get_document_from_uri):
	* cut-n-paste/recent-files/egg-recent-view-uimanager.c:
	(egg_recent_view_uimanager_set_list):
	* ps/ps-document.c: (check_filecompressed), (document_load),
	(ps_document_load):
	* shell/ev-metadata-manager.c: (load_values):
	* shell/ev-password.c: (ev_password_dialog_set_property):
	* shell/ev-view.c: (tip_from_link):
	* shell/ev-window.c: (file_save_dialog_response_cb),
	(ev_window_print_dialog_response_cb):
	
	Use consistent quoting style. Fix for the bug #320285.

2006-05-27  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-jobs.c: (ev_job_xfer_run):
	* shell/main.c: (load_files):
		
	Open links with anchors. Fix for the bug #339836.

2006-05-27  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/ev-link-dest.c: (ev_link_dest_type_get_type),
	(ev_link_dest_get_page_label), (ev_link_dest_get_property),
	(ev_link_dest_set_property), (ev_link_dest_finalize),
	(ev_link_dest_class_init), (ev_link_dest_new_named),
	(ev_link_dest_new_page_label):
	* backend/ev-link-dest.h:
	* shell/ev-application.c: (ev_application_open_uri):
	* shell/ev-view.c: (goto_dest):
	* shell/ev-window.c:
	* shell/ev-window.h:
	
	Fix page-label command line option. Bug #342070.

2006-05-27  Ricardo Markiewicz  <rmarkie@fi.uba.ar>

	* shell/ev-view.c: (ev_view_expose_event), (draw_one_page):
	
	Don't show highlight rects if page can't be showed. Fix for 
	the bug #342076

2006-05-27  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (setup_sidebar_from_metadata),
	(ev_window_sidebar_visibility_changed_cb), (ev_window_init):
	
	Setup sidebar from metadata even if there is no document
	loaded. Fix for the bug #342807.

2006-05-26  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* cut-n-paste/toolbar-editor/Makefile.am:
	* cut-n-paste/toolbar-editor/egg-editable-toolbar.c:
	(get_dock_position), (get_toolbar_position), (get_toolbar_nth),
	(find_action), (drag_data_delete_cb), (drag_begin_cb),
	(drag_end_cb), (drag_data_get_cb), (move_item_cb),
	(remove_item_cb), (remove_toolbar_cb), (popup_context_deactivate),
	(popup_context_menu_cb), (button_press_event_cb),
	(configure_item_sensitivity), (configure_item_cursor),
	(configure_item_tooltip), (connect_widget_signals),
	(action_sensitive_cb), (create_item_from_action),
	(create_item_from_position), (toolbar_drag_data_received_cb),
	(toolbar_drag_drop_cb), (toolbar_drag_motion_cb),
	(toolbar_drag_leave_cb), (configure_drag_dest),
	(toggled_visibility_cb), (toolbar_visibility_refresh),
	(create_dock), (toolbar_changed_cb), (unparent_fixed),
	(update_fixed), (toolbar_added_cb), (toolbar_removed_cb),
	(item_added_cb), (item_removed_cb), (egg_editable_toolbar_build),
	(egg_editable_toolbar_set_model), (egg_editable_toolbar_init),
	(egg_editable_toolbar_dispose),
	(egg_editable_toolbar_set_ui_manager),
	(egg_editable_toolbar_get_selected),
	(egg_editable_toolbar_set_selected), (set_edit_mode),
	(egg_editable_toolbar_set_property),
	(egg_editable_toolbar_get_property),
	(egg_editable_toolbar_class_init), (egg_editable_toolbar_new),
	(egg_editable_toolbar_new_with_model),
	(egg_editable_toolbar_get_edit_mode),
	(egg_editable_toolbar_set_edit_mode),
	(egg_editable_toolbar_add_visibility), (egg_editable_toolbar_show),
	(egg_editable_toolbar_hide), (egg_editable_toolbar_set_fixed):
	* cut-n-paste/toolbar-editor/egg-editable-toolbar.h:
	* cut-n-paste/toolbar-editor/egg-toolbar-editor.c: (compare_items),
	(item_added_or_removed_cb), (toolbar_removed_cb),
	(egg_toolbar_editor_set_model), (egg_toolbar_editor_class_init),
	(egg_toolbar_editor_finalize), (drag_begin_cb), (drag_end_cb),
	(drag_data_get_cb), (set_drag_cursor), (editor_create_item),
	(editor_create_item_from_name), (append_table),
	(update_editor_sheet), (egg_toolbar_editor_init):
	* cut-n-paste/toolbar-editor/egg-toolbar-editor.h:
	* cut-n-paste/toolbar-editor/egg-toolbars-model.c:
	(egg_toolbars_model_to_xml), (egg_toolbars_model_save_toolbars),
	(is_unique), (toolbar_node_new), (item_node_new), (item_node_free),
	(toolbar_node_free), (egg_toolbars_model_get_flags),
	(egg_toolbars_model_set_flags), (egg_toolbars_model_get_data),
	(egg_toolbars_model_get_name), (impl_add_item),
	(egg_toolbars_model_add_item), (egg_toolbars_model_add_toolbar),
	(parse_data_list), (parse_item_list), (parse_toolbars),
	(egg_toolbars_model_load_toolbars), (parse_available_list),
	(parse_names), (egg_toolbars_model_load_names),
	(egg_toolbars_model_class_init), (egg_toolbars_model_init),
	(egg_toolbars_model_finalize), (egg_toolbars_model_remove_toolbar),
	(egg_toolbars_model_remove_item), (egg_toolbars_model_move_item),
	(egg_toolbars_model_delete_item), (egg_toolbars_model_n_items),
	(egg_toolbars_model_item_nth), (egg_toolbars_model_n_toolbars),
	(egg_toolbars_model_toolbar_nth), (egg_toolbars_model_get_types),
	(egg_toolbars_model_set_types), (fill_avail_array),
	(egg_toolbars_model_get_name_avail),
	(egg_toolbars_model_get_name_flags),
	(egg_toolbars_model_set_name_flags):
	* cut-n-paste/toolbar-editor/egg-toolbars-model.h:
	* cut-n-paste/toolbar-editor/eggintl.h:
	* cut-n-paste/toolbar-editor/eggtreemultidnd.c:
	(egg_tree_multi_drag_source_get_type),
	(egg_tree_multi_drag_source_row_draggable),
	(egg_tree_multi_drag_source_drag_data_delete),
	(egg_tree_multi_drag_source_drag_data_get), (stop_drag_check),
	(egg_tree_multi_drag_button_release_event), (selection_foreach),
	(path_list_free), (set_context_data), (get_context_data),
	(get_info), (egg_tree_multi_drag_drag_data_get),
	(egg_tree_multi_drag_motion_event),
	(egg_tree_multi_drag_button_press_event),
	(egg_tree_multi_drag_add_drag_support):
	* cut-n-paste/toolbar-editor/eggtreemultidnd.h:
	* shell/ev-application.c: (ev_application_init),
	(ev_application_save_toolbars_model):
	* shell/ev-window.c: (ev_window_create_fullscreen_popup),
	(ev_window_cmd_edit_toolbar), (ev_window_init):
	
	Sync toolbareditor with epiphany and libegg

2006-05-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.ac: 

	Depend on poppler 0.5.2

2006-05-22  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-jobs.c: (ev_job_render_run):
	
	Check if document supports links iterface.

2006-05-16  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* NEWS:
	* configure.ac:
	
	Update for release 0.5.3

2006-05-13  Michael Plump  <plumpy@skylab.org>

	* configure.ac:
	* shell/Makefile.am:
	* shell/main.c: (main):
	
	Port to GOption command line parsing. Fix for the 
	bug #327518

2006-05-13  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (ev_window_cmd_help_about):
	
	Do not wrap license. Fix for the bug #309460.

2006-05-13  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* properties/ev-properties-main.c: (ev_properties_get_pages):
	* shell/ev-application.c: (ev_application_open_window),
	(ev_application_open_uri_at_dest):
	* shell/ev-sidebar-attachments.c: (ev_sidebar_attachments_init):
	* shell/ev-sidebar-thumbnails.c: (adjustment_changed_cb),
	(ev_sidebar_thumbnails_use_icon_view), (page_changed_cb):
	* shell/ev-utils.c: (save_print_config_to_file):
	* shell/ev-window.c: (ev_window_cmd_save_as),
	(ev_attachment_popup_cmd_save_attachment_as):
	* shell/main.c: (load_files_remote):
	
	Bump requirements to gtk 2.8 and drop all ifdefs used.

2006-05-11  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-sidebar-attachments.c: (ev_sidebar_attachments_init):
	* shell/ev-window.c: (ev_window_init):
	
	Show attachments page.

2006-05-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* po/POTFILES.in:
	* shell/ev-attachment-bar.c:
	* shell/ev-attachment-bar.h:
	* shell/ev-sidebar-attachments.c:
	(ev_sidebar_attachments_icon_cache_add),
	(icon_theme_get_pixbuf_from_mime_type),
	(ev_sidebar_attachments_icon_cache_get), (icon_cache_update_icon),
	(ev_sidebar_attachments_icon_cache_refresh),
	(ev_sidebar_attachments_get_attachment_at_pos),
	(ev_sidebar_attachments_popup_menu_show),
	(ev_sidebar_attachments_popup_menu),
	(ev_sidebar_attachments_button_press),
	(ev_sidebar_attachments_update_icons),
	(ev_sidebar_attachments_drag_data_get),
	(ev_sidebar_attachments_get_property),
	(ev_sidebar_attachments_destroy),
	(ev_sidebar_attachments_class_init), (ev_sidebar_attachments_init),
	(ev_sidebar_attachments_new),
	(ev_sidebar_attachments_set_document),
	(ev_sidebar_attachments_support_document),
	(ev_sidebar_attachments_get_label),
	(ev_sidebar_attachments_page_iface_init):
	* shell/ev-sidebar-attachments.h:
	* shell/ev-window.c: (update_chrome_visibility),
	(setup_sidebar_from_metadata), (ev_window_setup_document),
	(ev_window_sidebar_current_page_changed_cb),
	(attachment_bar_menu_popup_cb), (ev_window_init):
	
	Move attachments bar to sidebar.

2006-05-09  Carlos Garcia Campos  <carlosgc@gnome.org>

	* pdf/ev-poppler.cc:
	* shell/ev-application.[ch]:
	* shell/main.c:

	Fix some memory leaks.

2006-05-09  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* shell/ev-properties-dialog.c: (ev_properties_dialog_init):

	Change the properties dialog response to
	GTK_RESPONSE_CANCEL instead of GTK_RESPONSE_CLOSE. This
	will make the dialog go away when the user presses
	enter. With gtk+ >= 2.9 this will happen anyway, but for
	older gtk+ versions only GTK_RESPONSE_CANCEL is bound to
	escape by default. Fixes bug #340539. See also bug
	#101293 for the gtk+ part.

2006-05-08  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* shell/ev-view.c (tip_from_action_named): Replace some strings
	that were wrong. Closes #340970.

2006-05-08  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window.c: (ev_window_sidebar_visibility_changed_cb):

	Update sidebar chrome flag when sidebar visibility changes. Fixes bug
	#341049

2006-05-05  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* djvu/Makefile.am:
	* dvi/Makefile.am:
	* dvi/mdvi-lib/Makefile.am:
	* properties/Makefile.am:
	* ps/Makefile.am:
	* shell/Makefile.am:
	* thumbnailer/Makefile.am:
	
	Due to broken libtool that is unable to track dependencies
	of noinst libraries we are forced to explicitely point
	libraries for binary. Fix for the bug #333334.

2006-05-05  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/evince.desktop.in.in:
	* shell/ev-view.c: (view_update_range_and_current_page),
	(ev_view_next_page), (ev_view_previous_page):
	* shell/ev-window.c: (update_chrome_visibility),
	(setup_sidebar_from_metadata), (ev_window_setup_document),
	(ev_window_update_fullscreen_popup), (fullscreen_timeout_cb),
	(fullscreen_set_timeout), (fullscreen_clear_timeout),
	(fullscreen_motion_notify_cb), (ev_window_run_fullscreen),
	(ev_window_stop_fullscreen), (ev_window_run_presentation),
	(ev_window_stop_presentation), (ev_window_focus_in_event),
	(ev_window_focus_out_event), (ev_window_view_sidebar_cb),
	(ev_window_init):
	* thumbnailer/Makefile.am:
	
	Update fullscreen and presentation timeout handling. Hide
	cursor in presentation after timeout. Fix for the bugs
	#136359 and #336981.

2006-05-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-link-action.[ch]:
	* pdf/ev-poppler.cc: (ev_link_from_action):
	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_handle_link), (tip_from_action_named):
	* shell/ev-window.c: (do_action_named), (view_external_link_cb):

	Add support for Named Action links

2006-05-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/Makefile.am:
	* backend/ev-document-links.[ch]:
	* backend/ev-document.[ch]:
	* backend/ev-link-action.[ch]:
	* backend/ev-link-dest.[ch]:
	* backend/ev-link.[ch]:
	* pdf/ev-poppler.cc: (pdf_document_find_link_dest),
	(ev_link_dest_from_dest), (ev_link_from_action), (build_tree):
	* shell/ev-page-action.c: (build_new_tree_cb):
	* shell/ev-sidebar-links.c: (get_page_from_dest), (print_section_cb),
	(links_page_num_func), (update_page_callback):
	* shell/ev-view.[ch]: (ev_view_goto_dest), (ev_view_handle_link),
	(tip_from_link):
	* shell/ev-jobs.c:
	* shell/ev-window.[ch]: (ev_window_open_uri),
	(sidebar_links_link_activated_cb), (ev_view_popup_cmd_open_link):
	* shell/ev-application.[ch]: (ev_application_open_window),
	(ev_application_open_uri):

	Rework links system, it adds support for remote links now and it makes
	easier to add new kinds of actions and destinations. Fixes bug #317292

2006-05-02  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/Makefile.am:
	* data/evince.png:
	* data/evince-16.png:
	* data/evince-22.png:
	* data/evince.svg:
	* shell/main.c: (main):
	
	Evince use it's own icon. Fix for the bug #313392.

	* shell/ev-window.c: (fullscreen_timeout_cb),
	(fullscreen_set_timeout), (fullscreen_clear_timeout),
	(ev_window_cmd_help_about), (ev_window_dispose):
	
	Simplify fullscreen timeout code.

2006-04-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-attachment.c: 
	* shell/ev-attachment-bar.c:
	* shell/ev-window.c:

	Allow multiple selection of attachments

2006-04-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c: (view_update_range_and_current_page),
	(ev_view_scroll):
	
	Fix for the bug #312573 – Optimal selection of current 
	page among visible pages.

2006-04-29  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* djvu/Makefile.am:
	* djvu/djvu-text.h:
	
	Update to djvulibre-3.5.17, now it uses pkg-config. Fix
	for the bug 339868.

2006-04-22  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.ac: Fix the LINGUAS stuff here too so it builds.

2006-04-21  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* shell/ev-window.c: Add ellipsis to the Find... menu item, as
	dictated by the GNOME HIG. Fixes bug #339235.

2006-04-20  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* data/evince-ui.xml:
	* shell/ev-view.c: (ev_view_can_find_previous):
	* shell/ev-view.h:
	* shell/ev-window.c: (ev_window_update_actions),
	(ev_window_cmd_edit_find_previous):

	Add support for "Find Previous" as dictated by the GNOME HIG. A
	menu item is added and some glue code to make it all work is added
	to various files.

2006-04-09  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* configure.ac: Award myself the "useless use of cat" award.

2006-04-09  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* po/LINGUAS: New file listing all supported languages.

	* configure.in: Use po/LINGUAS instead of including all languages
	directly in this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas

2006-04-06  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-document-factory.c:

	Do not load the document twice when there isn't errors

2006-04-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-attachment.c: 

	Fix a crash when there isn't a default application to open an
	attachment

2006-04-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/ev-attachment.[ch]:
	* shell/ev-attachment-bar.[ch]:

	Added missing files. 

2006-04-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* backend/Makefile.am:
	* data/evince-ui.xml:
	* backend/ev-attachment.[ch]:
	* backend/ev-document.[ch]: (ev_document_has_attachments),
	(ev_document_get_attachments):
	* pdf/ev-poppler.cc: (pdf_document_has_attachments),
	(attachment_save_to_buffer), (pdf_document_get_attachments),
	(pdf_document_document_iface_init):
	* shell/Makefile.am:
	* shell/ev-attachment-bar.[ch]:
	* shell/ev-window.c:

	Add support for PDF attachments. Fixes bug #325143

2006-04-03  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/ev-document-factory.c: (get_document_from_uri),
	(ev_document_factory_get_document):
	* backend/ev-document-factory.h:
	* properties/ev-properties-main.c: (ev_properties_get_pages):
	* shell/Makefile.am:
	* shell/ev-job-queue.c: (handle_job), (search_for_jobs_unlocked),
	(no_jobs_available_unlocked), (ev_job_queue_init), (find_queue),
	(ev_job_queue_remove_job):
	* shell/ev-job-queue.h:
	* shell/ev-job-xfer.c:
	* shell/ev-job-xfer.h:
	* shell/ev-jobs.c: (ev_job_fonts_init), (ev_job_fonts_class_init),
	(ev_job_fonts_new), (ev_job_fonts_run), (ev_job_xfer_init),
	(ev_job_xfer_dispose), (ev_job_xfer_class_init), (ev_job_xfer_new),
	(ev_job_xfer_run):
	* shell/ev-jobs.h:
	* shell/ev-window.c: (ev_window_is_empty),
	(password_dialog_response), (ev_window_clear_xfer_job),
	(ev_window_xfer_job_cb), (ev_window_open_uri),
	(ev_window_cmd_focus_page_selector),
	(ev_window_cmd_scroll_forward), (ev_window_cmd_scroll_backward),
	(ev_window_cmd_continuous), (ev_window_cmd_dual),
	(ev_window_cmd_view_best_fit), (ev_window_cmd_view_page_width),
	(ev_window_dispose):
	* thumbnailer/evince-thumbnailer.c: (evince_thumbnail_pngenc_get):
	
	* Cleanup mime type detection on document load. Fix for the
	bug #336448.

2006-04-02  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-sidebar-thumbnails.c: (ev_sidebar_thumbnails_dispose):
	
	Fix crash on exit, described in the bug #336825.

2006-03-31  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* backend/ev-document-factory.c:
	(ev_document_factory_get_from_mime),
	(ev_document_factory_get_all_mime_types), (get_document_from_uri),
	(ev_document_factory_get_document),
	(file_filter_add_mime_list_and_free),
	(ev_document_factory_add_filters):
	* backend/ev-document-factory.h:
	* properties/ev-properties-main.c: (ev_properties_get_pages):
	* shell/Makefile.am:
	* shell/ev-application.c:
	* shell/ev-job-xfer.c: (ev_job_xfer_run):
	* shell/ev-window.c: (ev_window_cmd_file_open),
	(ev_window_cmd_save_as):
	* thumbnailer/evince-thumbnailer.c: (evince_thumbnail_pngenc_get):
	
	Rework factory functions so they are placed now in a single 
	file ev-document-factory.c

2006-03-28  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (update_chrome_visibility):
	
	Fix for the bug 166566 - don't show menubar in fullscreen
	mode.

2006-03-22  Tommi Vainikainen  <thv@iki.fi>

	* configure.ac (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-21  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c: (ev_view_expose_event):
	
	More correctly draw loading text when document
	is empty.

2006-03-21  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c: (ev_view_scroll):
	
	Fix for the bug #334854, page down and page up switch
	pages in presentation mode.

2006-03-21  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-window.c: (ev_window_set_action_sensitive),
	(ev_window_setup_action_sensitivity), (ev_window_update_actions),
	(ev_window_set_view_accels_sensitivity),
	(update_chrome_visibility), (ev_window_cmd_focus_page_selector),
	(ev_window_cmd_continuous), (ev_window_cmd_dual),
	(ev_window_cmd_view_best_fit), (ev_window_cmd_view_page_width),
	(find_changed_cb), (page_changed_cb), (ev_window_setup_document),
	(ev_window_cmd_edit_find), (ev_window_set_page_mode),
	(ev_window_cmd_edit_toolbar_cb), (ev_window_zoom_changed_cb),
	(ev_window_has_selection_changed_cb), (find_bar_search_changed_cb),
	(view_actions_focus_in_cb), (ev_window_init):
	
	Fix for the bug #333902, now it's possible to search
	words with slash.

2006-03-16  Jérémy Ar Floc'h <jérémy.lefloch@gmail.com>

	* configure.ac: Added Breton translation.
	* po/br.po: Added Breton translation.

2006-03-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-window-title (ev_window_title_update):

	Fix memory leak in window title. Fixes bug #333944

2006-03-14  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-metadata-manager.c (parseItem):

	Fix memory leaks. Fixes bug #333945

2006-03-13  Nickolay V. Shmyrev <nshmyrev@yandex.ru>
	
	* NEWS, configure.ac, TODO:
	
	Update for release 0.5.2.

2006-03-05  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c: (view_update_range_and_current_page),
	(page_changed_cb):
	
	Don't jump on scrolling, fix for the bug #333127.

2006-03-01  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view.c: (ev_view_next_page), (ev_view_previous_page):
	
	Scroll by one page in presentation mode. Fix for the bug
	#332993.

2006-03-01  Vladimer SIchinava <vlsichinava@gmail.com>

	* configure.ac: Added ka (Georgian) to ALL_LINGUAS line.

2006-02-28  Clytie Siddall <clytie@riverland.net.au>

	* configure.ac	Added lv in ALL_LINGUAS line.

2006-02-27  Nickolay V. Shmyrev <nshmyrev@yandex.ru>
	
	* NEWS, configure.ac:
	
	Update for release 0.5.1

2006-02-24  Ricardo Markiewicz  <rmarkie@fi.uba.ar>

	* backend/ev-document-misc.c: (ev_document_misc_paint_one_page):
	* backend/ev-document-misc.h:
	* shell/ev-view.c: (draw_one_page):
	
	 Clairfy what page the toolbar page number applies to. Fix
	 for the bug #328102.

2006-02-24  Stanislav Slusny <slusnys@gmail.com>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_scroll), (ev_view_scroll_event),
	(ev_view_init), (find_changed_cb), (ev_view_find_previous),
	(ev_view_search_changed):
	* shell/ev-view.h:
	* shell/ev-window.c: (find_bar_search_changed_cb):
	
	Dont't jump to find result if window was scrolled during search.
	Fix for the bug #313266.

2006-02-21  Stanislav Slusny <slusnys@gmail.com>

	* shell/eggfindbar.c: (egg_find_bar_class_init):
	* shell/eggfindbar.h:
	* shell/ev-view-accessible.c: (ev_view_accessible_idle_do_action):
	* shell/ev-view-private.h:
	* shell/ev-view.c: (add_scroll_binding_keypad), (ev_view_scroll),
	(ev_view_class_init), (ev_sizing_mode_get_type),
	(ev_scroll_type_get_type):
	* shell/ev-view.h:
	* shell/ev-window.c: (ev_window_cmd_scroll_forward),
	(ev_window_cmd_scroll_backward), (find_bar_scroll),
	(ev_window_init):
	
	Fix for the bug 319133 - Find entry should allow text scroll.

2006-02-20  Antoine Dopffer <antoine.dopffer@free.fr>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (view_update_range_and_current_page),
	(highlight_find_results), (find_changed_cb), (page_changed_cb),
	(ev_view_set_document), (update_find_status_message),
	(jump_to_find_result), (jump_to_find_page), (ev_view_find_next),
	(ev_view_find_previous):
	
	Fix for the bug #319137. Search now takes account for scrolling.

2006-02-19  Michael Hofmann <mh21@piware.de>

	* configure.ac:
	* djvu/Makefile.am:
	* djvu/djvu-document-private.h:
	* djvu/djvu-document.c: (G_DEFINE_TYPE_WITH_CODE),
	(djvu_handle_events), (djvu_document_load), (djvu_document_save),
	(djvu_document_get_page_size), (djvu_document_render_pixbuf),
	(djvu_document_can_get_text), (djvu_document_get_text),
	(djvu_document_document_iface_init),
	(djvu_document_thumbnails_get_thumbnail),
	(djvu_document_find_begin), (djvu_document_find_get_n_results),
	(djvu_document_find_get_result),
	(djvu_document_find_page_has_results),
	(djvu_document_find_get_progress), (djvu_document_find_cancel),
	(djvu_document_find_iface_init):
	* djvu/djvu-text-page.c: (djvu_text_page_selection_process),
	(djvu_text_page_selection), (djvu_text_page_limits_process),
	(djvu_text_page_limits), (djvu_text_page_copy),
	(djvu_text_page_position), (djvu_text_page_union),
	(djvu_text_page_sexpr_process), (djvu_text_page_sexpr),
	(djvu_text_page_box), (djvu_text_page_append_text),
	(djvu_text_page_search), (djvu_text_page_prepare_search),
	(djvu_text_page_new), (djvu_text_page_free):
	* djvu/djvu-text-page.h:
	* djvu/djvu-text.c: (djvu_text_idle_callback), (djvu_text_new),
	(djvu_text_copy), (djvu_text_free), (djvu_text_get_text),
	(djvu_text_n_results), (djvu_text_has_results),
	(djvu_text_get_result), (djvu_text_get_progress):
	* djvu/djvu-text.h:
	
	Text search in djvu. Fix for the bug #303415.

2006-02-18  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* shell/ev-window.c: (ev_window_cmd_save_as):
	
	Ask filechooser to confirm overwrite. Fix for the bug #328266.
	Thanks to Gary Coady <gary@lyranthe.org>

2006-02-18  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-print-job.c: (idle_print_handler):
	
	Inverse order printing, bug #320919.

2006-02-17  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/evince-toolbar.xml:
	* shell/ev-window.c:
	
	Allow to add sidebar checkbutton on toolbar. Fix
	for the bug #144577.

2006-02-16  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* ps/ps-document.c: (push_pixbuf), (setup_pixmap):
	
	Add checks that have sense for empty ps document.

2006-02-15  Luca Ferretti <elle.uca@libero.it>

	* configure.ac: Include PS in mime types list. 

2006-02-13  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* ps/gsdefaults.c: (gtk_gs_defaults_get_paper_sizes):
	* ps/gsdefaults.h:
	* ps/ps-document.c: (start_interpreter), (ps_document_load):
	
	Runtime check for gs interpreter. Fix for the bug #320868.
	Thanks to Antoine Dopffer antoine.dopffer@free.fr

2006-02-12  Carlos Garcia Campos  <carlosgc@gnome.org>

	* shell/ev-application.c: 

	Use DBUS_NAME_FLAG_DO_NOT_QUEUE flag in RequestName method when
	dbus>=0.60, so that the request is not queued. 

2006-02-10  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:
	* shell/Makefile.am:
	* shell/ev-sidebar-links.c: (print_section_cb):
	* shell/ev-utils.c:
	* shell/ev-utils.h:
	* shell/ev-window.c: (update_action_sensitivity),
	(ev_window_close_dialogs), (ev_window_print):
	* shell/ev-window.h:
	
	Make printing support optional. Patch from Eduardo de Barros Lima
	<eduardo.lima@indt.org.br> for the bug #330546.

2006-02-07  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-view-private.h:
	* shell/ev-view.c: (ev_view_expose_event), (ev_view_set_loading),
	(ev_view_set_document):
	* shell/ev-view.h:
	* shell/ev-window.c: (ev_window_load_job_cb),
	(ev_window_xfer_job_cb), (ev_window_open_uri), (ev_window_dispose),
	(ev_window_init):

	Draw Loading message during xfer job. Fix for the bug #329495.

2006-02-03  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* comics/comics-document.c: (comics_regex_quote),
	(comics_document_load), (extract_argv):
	
	Correcly quote regexp before passing it to unzip.

2006-02-01  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* shell/ev-page-cache.c: (build_height_to_page),
	(ev_page_cache_new), (ev_page_cache_get_max_label_chars),
	(ev_page_cache_get_dual_even_left):
	* shell/ev-page-cache.h:
	* shell/ev-view.c: (view_update_range_and_current_page),
	(get_page_y_offset), (get_page_extents):
	
